﻿/*
TODO:
- objectStyleの地道な取り込み
*/

/**
 * @fileoverview 検索設定をスクリプト文字列化し、コピーバッファに格納する
 * @author Kenshi Muto &lt;kmuto@debian.org&gt;
*/

/*
    Copyright:
    2017 Kenshi Muto <kmuto@debian.org>
----------------------------------------------------------------------
ソフトウェア使用許諾同意書
本ソフトウェアの利用・変更・再配布にあたっては、下記の使用許諾同意書に
同意する必要があります。

1. 本使用許諾同意書における「ソフトウェア」とは、機械可読の資料 (ライブ
   ラリ、スクリプト、ソースファイル、データファイル)、実行形式、および
   文書を意味します。
2. 本ソフトウェアの使用許諾同意書に同意する限りにおいて、使用者は
   本ソフトウェアを自由に利用、変更することができます。
3. 本ソフトウェアに変更を加えない限りにおいて、使用者は本ソフトウェアを
   自由にコピー、再配布することができます。
4. 本ソフトウェアは無保証です。作者およびそれに関連する組織、配布者は、
   本ソフトウェアの使用に起因する一切の直接損害、間接損害、偶発的損害、
   特別損害、懲戒的損害、派生的損害について何らの責任・保証も負いません。
5. 本ソフトウェアを変更した上で再配布するときには、下記の事項すべてに
   従わなければなりません。
   - 使用許諾同意書の内容に変更を加えてはなりません。技術上の理由で
     文字エンコーディングの変換を行うことは許可しますが、その使用者が
     特殊な技術的措置なしに可読な形でなければなりません。
   - 技術上の理由でバイナリ化・難読化を行う場合も、変更箇所を含めた
     ソフトウェアを、その使用者が可読可能な形式の形で同一のメディアで
     提供しなければなりません。本使用許諾同意書の2条および3条により、
     使用者が可読形式の該当ソフトウェアを変更、コピー、再配布することを
     妨げてはなりません。
   - ソフトウェア構成物の所定の作者名の欄に、変更者のクレジット
     (個人名、企業名、所属、連絡先など)を「追加」しなければなりません。
6. 本ソフトウェアを変更した上で再配布するときには、変更理由および
   その内容を明記することが推奨されます。
7. 使用者がソフトウェアに適用可能な特許に対して特許侵害にかかわる何らか
   の行動を開始した時点で、この使用許諾同意書は自動的に終了し、以降
   使用者はこの使用許諾書によって与えられた一切の権利を放棄するものと
   します。

著作権所有者 Copyright (C) 2017 Kenshi Muto. All rights reserved.
使用許諾同意書バージョン1.0
著作権所有者による書面での事前の許可がない限り、この使用許諾同意書
に変更を加えてはなりません。
----------------------------------------------------------------------
*/

if (app.documents.length == 0) {
  alert("何かドキュメントを開いてください");
  exit(0);
}

// ダイアログ表示
var dialog = app.dialogs.add({name: "検索/置換設定の保存"});
var labels = ["テキスト", "正規表現", "字形", "オブジェクト"];
var cc = new Array(labels.length);
var repl;

with(dialog.dialogColumns.add()) {
  with(borderPanels.add()) {
    with(radiobuttonGroups.add()) {
      for (var i = 0; i < labels.length; i++)
        cc[i] = radiobuttonControls.add({staticLabel: labels[i]});
    }
    cc[0].checkedState = true;
  }
  repl = checkboxControls.add({staticLabel: "置換も出力", checkedState: false});
}

if (dialog.show() == false) exit(0);

var ret;
for (var i = 0; i < cc.length; i++) {
  if (cc[i].checkedState == true) {
    ret = eval("exportFind" + i + "(app.activeDocument, " + repl.checkedState + ")");
    break;
  }
}

if (ret != null) {
  makeCopyBuffer(ret);
  alert("コピーバッファに収納しました。");
} else
  alert("何らかのエラーにより生成できませんでした。");

// ドキュメントにテキストを作成し、内容をバッファコピーしてから消去
function makeCopyBuffer(ret) {
  var doc = app.documents.add(true); // コピペのためにはtrueで表示するしかない
  var tf = doc.pages[0].textFrames.add({visibleBounds: [0, 0, "50mm", "100mm"]});
  tf.contents = ret + "\r";
  app.select(tf.parentStory.paragraphs[0]);
  for (var i = 1; i < tf.parentStory.paragraphs.length; i++)
    app.select(tf.parentStory.paragraphs[i], SelectionOptions.ADD_TO);
  app.copy();
  doc.close(SaveOptions.NO);
}

// \および"のエスケープとスタイルグループ区切りプレースホルダの復旧 // "
function esc(s) {
  return s.replace(/\\/g, "\\\\").replace(/\"/g, "\\\"").replace(/__UE00BSPLITTER__/g, "\\ue00b"); // " // "
}

// XXX: 段落スタイルと文字スタイルは、オブジェクトではなく文字列でしか返ってこない。
// しかも、グループ名が落ちている。グループを探して最初に見つかったものを使用する
function findParagraphStyle(document, obj, array) {
  for (var i = 0; i < document.paragraphStyles.length; i++) {
    if (document.paragraphStyles.item(obj.toString()) != null) {
      var ret = "";
      if (array.length > 0) ret += array.join("__UE00BSPLITTER__") + "__UE00BSPLITTER__";
      return "\"" + esc(ret + obj) + "\"";
    }
  }
  for (var i = 0; i < document.paragraphStyleGroups.length; i++) {
    array.push(document.paragraphStyleGroups[i].name);
    var ret = findParagraphStyle(document.paragraphStyleGroups[i], obj, array);
    if (ret != null) return ret;
    array.pop();
  }
  return null;
}

function findCharacterStyle(document, obj, array) {
  for (var i = 0; i < document.characterStyles.length; i++) {
    if (document.characterStyles.item(obj.toString()) != null) {
      var ret = "";
      if (array.length > 0) ret += array.join("__UE00BSPLITTER__") + "__UE00BSPLITTER__";
      return "\"" + esc(ret + obj) + "\"";
    }
  }
  for (var i = 0; i < document.characterStyleGroups.length; i++) {
    array.push(document.characterStyleGroups[i].name);
    var ret = findCharacterStyle(document.characterStyleGroups[i], obj, array);
    if (ret != null) return ret;
    array.pop();
  }
  return null;
}

// なんとオブジェクトスタイルだけはe00b区切りで返ってくるぞ！
// ほかのスタイルとあとXMLもやってくれよ！(XMLではダメだった…)
function findObjectStyle(document, obj, array) {
  return "\"" + esc(obj.replace(/\ue00b/g, "__UE00BSPLITTER__")) + "\"";
  // FIXME:しかしChangeobjectPreferencesのappliedObjectStylesには指定できない！ひどい！
}

// プロパティ情報を文字列化する
function makeProperties(document, p, obj, sa, type) {
  for (var key in obj) {
    if (obj[key] == NothingEnum.NOTHING || obj[key] == null || obj[key] == "") continue;
    switch(obj[key].constructor.name) {
      case "String":
        var val = "\"" + esc(obj[key]) + "\"";
        if (key == "appliedParagraphStyle") val = findParagraphStyle(document, type.appliedParagraphStyle, [], type);
        if (key == "appliedCharacterStyle") val = findCharacterStyle(document, type.appliedCharacterStyle, [], type);
        if (key == "appliedObjectStyles") val = findObjectStyle(document, type.appliedObjectStyles, [], type);
        if (val != null)
          sa.push(p + key + " = " + val);
        break;
      case "Boolean", "Number":
        sa.push(p + key + " = " + obj[key]);
        break;
      case "Enumerator":
        var val = getEnumerator(obj[key]);
        if (val) sa.push(p + key + " = " + val);
        break;
      default:
        switch(key) {
          case "appliedFont":
            sa.push(p + key + " = \"" + esc(obj[key].name) + "\"");
            break;
          case "rosFontGroup":
            sa.push(p + key + " = " + obj[key].toSource());
            break;
          default:
            sa.push("// " + p + key + " = " + obj[key].toSource());
        }
    }
  }
}

// テキスト検索置換
function exportFind0(document, repl) {
  var sa = [];
  var obj = app.findChangeTextOptions;
  var p = "app.findChangeTextOptions.";
  var keys = ["caseSensitive", "ignoreDiacritics", "ignoreKashidas", "includeFootnotes", "includeHiddenLayers", "includeLockedLayersForFind", "includeLockedStoriesForFind", "includeMasterPages", "kanaSensitive", "wholeWord", "widthSensitive"];
  for (var i = 0; i < keys.length; i++)
    sa.push(p + keys[i] + " = " + eval("obj." + keys[i]));

  p = "app.findTextPreferences";
  sa.push(p + " = NothingEnum.NOTHING");

  obj = app.findTextPreferences.properties;
  makeProperties(document, p + ".", obj, sa, app.findTextPreferences);

  if (repl) {
    p = "app.changeTextPreferences";
    sa.push(p + " = NothingEnum.NOTHING");
    obj = app.changeTextPreferences.properties;
    makeProperties(document, p + ".", obj, sa, app.changeTextPreferences);
    sa.push("// app.activeDocument.changeText()");
  } else {
    sa.push("// app.activeDocument.findText()");
  }

  return sa.join(";\r") + ";";
}

// 正規表現置換
function exportFind1(document, repl) {
  var sa = [];
  var obj = app.findChangeGrepOptions;
  var p = "app.findChangeGrepOptions.";
  var keys = ["includeFootnotes", "includeHiddenLayers", "includeLockedLayersForFind", "includeLockedStoriesForFind", "includeMasterPages", "kanaSensitive", "widthSensitive"];
  for (var i = 0; i < keys.length; i++)
    sa.push(p + keys[i] + " = " + eval("obj." + keys[i]));

  p = "app.findGrepPreferences";
  sa.push(p + " = NothingEnum.NOTHING");

  obj = app.findGrepPreferences.properties;
  makeProperties(document, p + ".", obj, sa, app.findGrepPreferences);

  if (repl) {
    p = "app.changeGrepPreferences";
    sa.push(p + " = NothingEnum.NOTHING");
    obj = app.changeGrepPreferences.properties;
    makeProperties(document, p + ".", obj, sa, app.changeGrepPreferences);
    sa.push("// app.activeDocument.changeGrep()");
  } else {
    sa.push("// app.activeDocument.findGrep()");
  }

  return sa.join(";\r") + ";";
}

// 字形置換
function exportFind2(document, repl) {
  var sa = [];
  var obj = app.findChangeGlyphOptions;
  var p = "app.findChangeGlyphOptions.";
  var keys = ["includeFootnotes", "includeHiddenLayers", "includeLockedLayersForFind", "includeLockedStoriesForFind", "includeMasterPages"];
  for (var i = 0; i < keys.length; i++)
    sa.push(p + keys[i] + " = " + eval("obj." + keys[i]));

  p = "app.findGlyphPreferences";
  sa.push(p + " = NothingEnum.NOTHING");

  obj = app.findGlyphPreferences.properties;
  makeProperties(document, p + ".", obj, sa, app.findGlyphPreferences);

  if (repl) {
    p = "app.changeGlyphPreferences";
    sa.push(p + " = NothingEnum.NOTHING");
    obj = app.changeGlyphPreferences.properties;
    makeProperties(document, p + ".", obj, sa, app.changeGlyphPreferences);
    sa.push("// app.activeDocument.changeGlyph()");
  } else {
    sa.push("// app.activeDocument.findGlyph()");
  }

  return sa.join(";\r") + ";";
}

// オブジェクト置換
function exportFind3(document, repl) {
  // オブジェクト
  var sa = [];
  var obj = app.findChangeObjectOptions;
  var p = "app.findChangeObjectOptions.";
  var keys = ["includeFootnotes", "includeHiddenLayers", "includeLockedLayersForFind", "includeLockedStoriesForFind", "includeMasterPages"];
  for (var i = 0; i < keys.length; i++)
    sa.push(p + keys[i] + " = " + eval("obj." + keys[i]));

  p = "app.findObjectPreferences";
  sa.push(p + " = NothingEnum.NOTHING");

  obj = app.findObjectPreferences.properties;
  makeProperties(document, p + ".", obj, sa, app.findObjectPreferences);

  if (repl) {
    p = "app.changeObjectPreferences";
    sa.push(p + " = NothingEnum.NOTHING");
    obj = app.changeObjectPreferences.properties;
    makeProperties(document, p + ".", obj, sa, app.changeObjectPreferences);
    sa.push("// app.activeDocument.changeObject()");
  } else {
    sa.push("// app.activeDocument.findObject()");
  }

  return sa.join(";\r") + ";";
}

// Enumerator解釈
function getEnumerator(e) {
  switch(e) {
    // --- BEGIN ENUM ---
    // 2017-09-11 18:14:52 +0900
    case StoryTypes.REGULAR_STORY: return "StoryTypes.REGULAR_STORY";
    case StoryTypes.TOC_STORY: return "StoryTypes.TOC_STORY";
    case StoryTypes.INDEXING_STORY: return "StoryTypes.INDEXING_STORY";
    case StoryDirectionOptions.LEFT_TO_RIGHT_DIRECTION: return "StoryDirectionOptions.LEFT_TO_RIGHT_DIRECTION";
    case StoryDirectionOptions.RIGHT_TO_LEFT_DIRECTION: return "StoryDirectionOptions.RIGHT_TO_LEFT_DIRECTION";
    case StoryDirectionOptions.UNKNOWN_DIRECTION: return "StoryDirectionOptions.UNKNOWN_DIRECTION";
    case ImportFormat.CHARACTER_STYLES_FORMAT: return "ImportFormat.CHARACTER_STYLES_FORMAT";
    case ImportFormat.PARAGRAPH_STYLES_FORMAT: return "ImportFormat.PARAGRAPH_STYLES_FORMAT";
    case ImportFormat.TEXT_STYLES_FORMAT: return "ImportFormat.TEXT_STYLES_FORMAT";
    case ImportFormat.TOC_STYLES_FORMAT: return "ImportFormat.TOC_STYLES_FORMAT";
    case ImportFormat.NAMED_GRIDS_FORMAT: return "ImportFormat.NAMED_GRIDS_FORMAT";
    case ImportFormat.OBJECT_STYLES_FORMAT: return "ImportFormat.OBJECT_STYLES_FORMAT";
    case ImportFormat.STROKE_STYLES_FORMAT: return "ImportFormat.STROKE_STYLES_FORMAT";
    case ImportFormat.TABLE_STYLES_FORMAT: return "ImportFormat.TABLE_STYLES_FORMAT";
    case ImportFormat.CELL_STYLES_FORMAT: return "ImportFormat.CELL_STYLES_FORMAT";
    case ImportFormat.TABLE_AND_CELL_STYLES_FORMAT: return "ImportFormat.TABLE_AND_CELL_STYLES_FORMAT";
    case NestedStyleDelimiters.SENTENCE: return "NestedStyleDelimiters.SENTENCE";
    case NestedStyleDelimiters.ANY_WORD: return "NestedStyleDelimiters.ANY_WORD";
    case NestedStyleDelimiters.ANY_CHARACTER: return "NestedStyleDelimiters.ANY_CHARACTER";
    case NestedStyleDelimiters.LETTERS: return "NestedStyleDelimiters.LETTERS";
    case NestedStyleDelimiters.DIGITS: return "NestedStyleDelimiters.DIGITS";
    case NestedStyleDelimiters.TABS: return "NestedStyleDelimiters.TABS";
    case NestedStyleDelimiters.INLINE_GRAPHIC: return "NestedStyleDelimiters.INLINE_GRAPHIC";
    case NestedStyleDelimiters.DROPCAP: return "NestedStyleDelimiters.DROPCAP";
    case NestedStyleDelimiters.FORCED_LINE_BREAK: return "NestedStyleDelimiters.FORCED_LINE_BREAK";
    case NestedStyleDelimiters.END_NESTED_STYLE: return "NestedStyleDelimiters.END_NESTED_STYLE";
    case NestedStyleDelimiters.INDENT_HERE_TAB: return "NestedStyleDelimiters.INDENT_HERE_TAB";
    case NestedStyleDelimiters.EM_SPACE: return "NestedStyleDelimiters.EM_SPACE";
    case NestedStyleDelimiters.EN_SPACE: return "NestedStyleDelimiters.EN_SPACE";
    case NestedStyleDelimiters.NONBREAKING_SPACE: return "NestedStyleDelimiters.NONBREAKING_SPACE";
    case NestedStyleDelimiters.AUTO_PAGE_NUMBER: return "NestedStyleDelimiters.AUTO_PAGE_NUMBER";
    case NestedStyleDelimiters.SECTION_MARKER: return "NestedStyleDelimiters.SECTION_MARKER";
    case NestedStyleDelimiters.REPEAT: return "NestedStyleDelimiters.REPEAT";
    case RuleWidth.TEXT_WIDTH: return "RuleWidth.TEXT_WIDTH";
    case RuleWidth.COLUMN_WIDTH: return "RuleWidth.COLUMN_WIDTH";
    case Justification.LEFT_ALIGN: return "Justification.LEFT_ALIGN";
    case Justification.CENTER_ALIGN: return "Justification.CENTER_ALIGN";
    case Justification.RIGHT_ALIGN: return "Justification.RIGHT_ALIGN";
    case Justification.LEFT_JUSTIFIED: return "Justification.LEFT_JUSTIFIED";
    case Justification.RIGHT_JUSTIFIED: return "Justification.RIGHT_JUSTIFIED";
    case Justification.CENTER_JUSTIFIED: return "Justification.CENTER_JUSTIFIED";
    case Justification.FULLY_JUSTIFIED: return "Justification.FULLY_JUSTIFIED";
    case Justification.TO_BINDING_SIDE: return "Justification.TO_BINDING_SIDE";
    case Justification.AWAY_FROM_BINDING_SIDE: return "Justification.AWAY_FROM_BINDING_SIDE";
    case SingleWordJustification.LEFT_ALIGN: return "SingleWordJustification.LEFT_ALIGN";
    case SingleWordJustification.CENTER_ALIGN: return "SingleWordJustification.CENTER_ALIGN";
    case SingleWordJustification.RIGHT_ALIGN: return "SingleWordJustification.RIGHT_ALIGN";
    case SingleWordJustification.FULLY_JUSTIFIED: return "SingleWordJustification.FULLY_JUSTIFIED";
    case StartParagraph.ANYWHERE: return "StartParagraph.ANYWHERE";
    case StartParagraph.NEXT_COLUMN: return "StartParagraph.NEXT_COLUMN";
    case StartParagraph.NEXT_FRAME: return "StartParagraph.NEXT_FRAME";
    case StartParagraph.NEXT_PAGE: return "StartParagraph.NEXT_PAGE";
    case StartParagraph.NEXT_ODD_PAGE: return "StartParagraph.NEXT_ODD_PAGE";
    case StartParagraph.NEXT_EVEN_PAGE: return "StartParagraph.NEXT_EVEN_PAGE";
    case FrameTypes.TEXT_FRAME_TYPE: return "FrameTypes.TEXT_FRAME_TYPE";
    case FrameTypes.FRAME_GRID_TYPE: return "FrameTypes.FRAME_GRID_TYPE";
    case FrameTypes.UNKNOWN: return "FrameTypes.UNKNOWN";
    case HorizontalOrVertical.HORIZONTAL: return "HorizontalOrVertical.HORIZONTAL";
    case HorizontalOrVertical.VERTICAL: return "HorizontalOrVertical.VERTICAL";
    case TabStopAlignment.LEFT_ALIGN: return "TabStopAlignment.LEFT_ALIGN";
    case TabStopAlignment.CENTER_ALIGN: return "TabStopAlignment.CENTER_ALIGN";
    case TabStopAlignment.RIGHT_ALIGN: return "TabStopAlignment.RIGHT_ALIGN";
    case TabStopAlignment.CHARACTER_ALIGN: return "TabStopAlignment.CHARACTER_ALIGN";
    case FirstBaseline.ASCENT_OFFSET: return "FirstBaseline.ASCENT_OFFSET";
    case FirstBaseline.CAP_HEIGHT: return "FirstBaseline.CAP_HEIGHT";
    case FirstBaseline.LEADING_OFFSET: return "FirstBaseline.LEADING_OFFSET";
    case FirstBaseline.EMBOX_HEIGHT: return "FirstBaseline.EMBOX_HEIGHT";
    case FirstBaseline.X_HEIGHT: return "FirstBaseline.X_HEIGHT";
    case FirstBaseline.FIXED_HEIGHT: return "FirstBaseline.FIXED_HEIGHT";
    case VerticalJustification.TOP_ALIGN: return "VerticalJustification.TOP_ALIGN";
    case VerticalJustification.CENTER_ALIGN: return "VerticalJustification.CENTER_ALIGN";
    case VerticalJustification.BOTTOM_ALIGN: return "VerticalJustification.BOTTOM_ALIGN";
    case VerticalJustification.JUSTIFY_ALIGN: return "VerticalJustification.JUSTIFY_ALIGN";
    case Leading.AUTO: return "Leading.AUTO";
    case OTFFigureStyle.TABULAR_LINING: return "OTFFigureStyle.TABULAR_LINING";
    case OTFFigureStyle.PROPORTIONAL_OLDSTYLE: return "OTFFigureStyle.PROPORTIONAL_OLDSTYLE";
    case OTFFigureStyle.PROPORTIONAL_LINING: return "OTFFigureStyle.PROPORTIONAL_LINING";
    case OTFFigureStyle.TABULAR_OLDSTYLE: return "OTFFigureStyle.TABULAR_OLDSTYLE";
    case OTFFigureStyle.DEFAULT_VALUE: return "OTFFigureStyle.DEFAULT_VALUE";
    case Capitalization.NORMAL: return "Capitalization.NORMAL";
    case Capitalization.SMALL_CAPS: return "Capitalization.SMALL_CAPS";
    case Capitalization.ALL_CAPS: return "Capitalization.ALL_CAPS";
    case Capitalization.CAP_TO_SMALL_CAP: return "Capitalization.CAP_TO_SMALL_CAP";
    case Position.NORMAL: return "Position.NORMAL";
    case Position.SUPERSCRIPT: return "Position.SUPERSCRIPT";
    case Position.SUBSCRIPT: return "Position.SUBSCRIPT";
    case Position.OT_SUPERSCRIPT: return "Position.OT_SUPERSCRIPT";
    case Position.OT_SUBSCRIPT: return "Position.OT_SUBSCRIPT";
    case Position.OT_NUMERATOR: return "Position.OT_NUMERATOR";
    case Position.OT_DENOMINATOR: return "Position.OT_DENOMINATOR";
    case TextFrameContents.PLACEHOLDER_TEXT: return "TextFrameContents.PLACEHOLDER_TEXT";
    case SpecialCharacters.AUTO_PAGE_NUMBER: return "SpecialCharacters.AUTO_PAGE_NUMBER";
    case SpecialCharacters.NEXT_PAGE_NUMBER: return "SpecialCharacters.NEXT_PAGE_NUMBER";
    case SpecialCharacters.PREVIOUS_PAGE_NUMBER: return "SpecialCharacters.PREVIOUS_PAGE_NUMBER";
    case SpecialCharacters.SECTION_MARKER: return "SpecialCharacters.SECTION_MARKER";
    case SpecialCharacters.BULLET_CHARACTER: return "SpecialCharacters.BULLET_CHARACTER";
    case SpecialCharacters.COPYRIGHT_SYMBOL: return "SpecialCharacters.COPYRIGHT_SYMBOL";
    case SpecialCharacters.DEGREE_SYMBOL: return "SpecialCharacters.DEGREE_SYMBOL";
    case SpecialCharacters.ELLIPSIS_CHARACTER: return "SpecialCharacters.ELLIPSIS_CHARACTER";
    case SpecialCharacters.FORCED_LINE_BREAK: return "SpecialCharacters.FORCED_LINE_BREAK";
    case SpecialCharacters.PARAGRAPH_SYMBOL: return "SpecialCharacters.PARAGRAPH_SYMBOL";
    case SpecialCharacters.REGISTERED_TRADEMARK: return "SpecialCharacters.REGISTERED_TRADEMARK";
    case SpecialCharacters.SECTION_SYMBOL: return "SpecialCharacters.SECTION_SYMBOL";
    case SpecialCharacters.TRADEMARK_SYMBOL: return "SpecialCharacters.TRADEMARK_SYMBOL";
    case SpecialCharacters.RIGHT_INDENT_TAB: return "SpecialCharacters.RIGHT_INDENT_TAB";
    case SpecialCharacters.INDENT_HERE_TAB: return "SpecialCharacters.INDENT_HERE_TAB";
    case SpecialCharacters.EM_DASH: return "SpecialCharacters.EM_DASH";
    case SpecialCharacters.EN_DASH: return "SpecialCharacters.EN_DASH";
    case SpecialCharacters.DISCRETIONARY_HYPHEN: return "SpecialCharacters.DISCRETIONARY_HYPHEN";
    case SpecialCharacters.NONBREAKING_HYPHEN: return "SpecialCharacters.NONBREAKING_HYPHEN";
    case SpecialCharacters.END_NESTED_STYLE: return "SpecialCharacters.END_NESTED_STYLE";
    case SpecialCharacters.DOUBLE_LEFT_QUOTE: return "SpecialCharacters.DOUBLE_LEFT_QUOTE";
    case SpecialCharacters.DOUBLE_RIGHT_QUOTE: return "SpecialCharacters.DOUBLE_RIGHT_QUOTE";
    case SpecialCharacters.SINGLE_LEFT_QUOTE: return "SpecialCharacters.SINGLE_LEFT_QUOTE";
    case SpecialCharacters.SINGLE_RIGHT_QUOTE: return "SpecialCharacters.SINGLE_RIGHT_QUOTE";
    case SpecialCharacters.EM_SPACE: return "SpecialCharacters.EM_SPACE";
    case SpecialCharacters.EN_SPACE: return "SpecialCharacters.EN_SPACE";
    case SpecialCharacters.FLUSH_SPACE: return "SpecialCharacters.FLUSH_SPACE";
    case SpecialCharacters.HAIR_SPACE: return "SpecialCharacters.HAIR_SPACE";
    case SpecialCharacters.NONBREAKING_SPACE: return "SpecialCharacters.NONBREAKING_SPACE";
    case SpecialCharacters.THIN_SPACE: return "SpecialCharacters.THIN_SPACE";
    case SpecialCharacters.FIGURE_SPACE: return "SpecialCharacters.FIGURE_SPACE";
    case SpecialCharacters.PUNCTUATION_SPACE: return "SpecialCharacters.PUNCTUATION_SPACE";
    case SpecialCharacters.COLUMN_BREAK: return "SpecialCharacters.COLUMN_BREAK";
    case SpecialCharacters.FRAME_BREAK: return "SpecialCharacters.FRAME_BREAK";
    case SpecialCharacters.PAGE_BREAK: return "SpecialCharacters.PAGE_BREAK";
    case SpecialCharacters.ODD_PAGE_BREAK: return "SpecialCharacters.ODD_PAGE_BREAK";
    case SpecialCharacters.EVEN_PAGE_BREAK: return "SpecialCharacters.EVEN_PAGE_BREAK";
    case SpecialCharacters.FOOTNOTE_SYMBOL: return "SpecialCharacters.FOOTNOTE_SYMBOL";
    case SpecialCharacters.LEFT_TO_RIGHT_EMBEDDING: return "SpecialCharacters.LEFT_TO_RIGHT_EMBEDDING";
    case SpecialCharacters.RIGHT_TO_LEFT_EMBEDDING: return "SpecialCharacters.RIGHT_TO_LEFT_EMBEDDING";
    case SpecialCharacters.POP_DIRECTIONAL_FORMATTING: return "SpecialCharacters.POP_DIRECTIONAL_FORMATTING";
    case SpecialCharacters.LEFT_TO_RIGHT_OVERRIDE: return "SpecialCharacters.LEFT_TO_RIGHT_OVERRIDE";
    case SpecialCharacters.RIGHT_TO_LEFT_OVERRIDE: return "SpecialCharacters.RIGHT_TO_LEFT_OVERRIDE";
    case SpecialCharacters.DOTTED_CIRCLE: return "SpecialCharacters.DOTTED_CIRCLE";
    case SpecialCharacters.ZERO_WIDTH_JOINER: return "SpecialCharacters.ZERO_WIDTH_JOINER";
    case SpecialCharacters.TEXT_VARIABLE: return "SpecialCharacters.TEXT_VARIABLE";
    case SpecialCharacters.SINGLE_STRAIGHT_QUOTE: return "SpecialCharacters.SINGLE_STRAIGHT_QUOTE";
    case SpecialCharacters.DOUBLE_STRAIGHT_QUOTE: return "SpecialCharacters.DOUBLE_STRAIGHT_QUOTE";
    case SpecialCharacters.DISCRETIONARY_LINE_BREAK: return "SpecialCharacters.DISCRETIONARY_LINE_BREAK";
    case SpecialCharacters.ZERO_WIDTH_NONJOINER: return "SpecialCharacters.ZERO_WIDTH_NONJOINER";
    case SpecialCharacters.THIRD_SPACE: return "SpecialCharacters.THIRD_SPACE";
    case SpecialCharacters.QUARTER_SPACE: return "SpecialCharacters.QUARTER_SPACE";
    case SpecialCharacters.SIXTH_SPACE: return "SpecialCharacters.SIXTH_SPACE";
    case SpecialCharacters.FIXED_WIDTH_NONBREAKING_SPACE: return "SpecialCharacters.FIXED_WIDTH_NONBREAKING_SPACE";
    case SpecialCharacters.HEBREW_MAQAF: return "SpecialCharacters.HEBREW_MAQAF";
    case SpecialCharacters.HEBREW_GERESH: return "SpecialCharacters.HEBREW_GERESH";
    case SpecialCharacters.HEBREW_GERSHAYIM: return "SpecialCharacters.HEBREW_GERSHAYIM";
    case SpecialCharacters.ARABIC_KASHIDA: return "SpecialCharacters.ARABIC_KASHIDA";
    case SpecialCharacters.ARABIC_COMMA: return "SpecialCharacters.ARABIC_COMMA";
    case SpecialCharacters.ARABIC_SEMICOLON: return "SpecialCharacters.ARABIC_SEMICOLON";
    case SpecialCharacters.ARABIC_QUESTION_MARK: return "SpecialCharacters.ARABIC_QUESTION_MARK";
    case SpecialCharacters.LEFT_TO_RIGHT_MARK: return "SpecialCharacters.LEFT_TO_RIGHT_MARK";
    case SpecialCharacters.RIGHT_TO_LEFT_MARK: return "SpecialCharacters.RIGHT_TO_LEFT_MARK";
    case SpecialCharacters.HEBREW_SOF_PASUK: return "SpecialCharacters.HEBREW_SOF_PASUK";
    case ChangecaseMode.UPPERCASE: return "ChangecaseMode.UPPERCASE";
    case ChangecaseMode.LOWERCASE: return "ChangecaseMode.LOWERCASE";
    case ChangecaseMode.TITLECASE: return "ChangecaseMode.TITLECASE";
    case ChangecaseMode.SENTENCECASE: return "ChangecaseMode.SENTENCECASE";
    case BindingOptions.RIGHT_ALIGN: return "BindingOptions.RIGHT_ALIGN";
    case BindingOptions.LEFT_ALIGN: return "BindingOptions.LEFT_ALIGN";
    case BindingOptions.DEFAULT_VALUE: return "BindingOptions.DEFAULT_VALUE";
    case PageOrientation.LANDSCAPE: return "PageOrientation.LANDSCAPE";
    case PageOrientation.PORTRAIT: return "PageOrientation.PORTRAIT";
    case RulerOrigin.SPREAD_ORIGIN: return "RulerOrigin.SPREAD_ORIGIN";
    case RulerOrigin.PAGE_ORIGIN: return "RulerOrigin.PAGE_ORIGIN";
    case RulerOrigin.SPINE_ORIGIN: return "RulerOrigin.SPINE_ORIGIN";
    case MeasurementUnits.POINTS: return "MeasurementUnits.POINTS";
    case MeasurementUnits.PICAS: return "MeasurementUnits.PICAS";
    case MeasurementUnits.INCHES: return "MeasurementUnits.INCHES";
    case MeasurementUnits.INCHES_DECIMAL: return "MeasurementUnits.INCHES_DECIMAL";
    case MeasurementUnits.MILLIMETERS: return "MeasurementUnits.MILLIMETERS";
    case MeasurementUnits.CENTIMETERS: return "MeasurementUnits.CENTIMETERS";
    case MeasurementUnits.CICEROS: return "MeasurementUnits.CICEROS";
    case MeasurementUnits.CUSTOM: return "MeasurementUnits.CUSTOM";
    case MeasurementUnits.AGATES: return "MeasurementUnits.AGATES";
    case MeasurementUnits.U: return "MeasurementUnits.U";
    case MeasurementUnits.BAI: return "MeasurementUnits.BAI";
    case MeasurementUnits.MILS: return "MeasurementUnits.MILS";
    case MeasurementUnits.PIXELS: return "MeasurementUnits.PIXELS";
    case MeasurementUnits.Q: return "MeasurementUnits.Q";
    case MeasurementUnits.HA: return "MeasurementUnits.HA";
    case MeasurementUnits.AMERICAN_POINTS: return "MeasurementUnits.AMERICAN_POINTS";
    case PageBindingOptions.DEFAULT_VALUE: return "PageBindingOptions.DEFAULT_VALUE";
    case PageBindingOptions.RIGHT_TO_LEFT: return "PageBindingOptions.RIGHT_TO_LEFT";
    case PageBindingOptions.LEFT_TO_RIGHT: return "PageBindingOptions.LEFT_TO_RIGHT";
    case BaselineGridRelativeOption.TOP_OF_PAGE_OF_BASELINE_GRID_RELATIVE_OPTION: return "BaselineGridRelativeOption.TOP_OF_PAGE_OF_BASELINE_GRID_RELATIVE_OPTION";
    case BaselineGridRelativeOption.TOP_OF_MARGIN_OF_BASELINE_GRID_RELATIVE_OPTION: return "BaselineGridRelativeOption.TOP_OF_MARGIN_OF_BASELINE_GRID_RELATIVE_OPTION";
    case PageSideOptions.RIGHT_HAND: return "PageSideOptions.RIGHT_HAND";
    case PageSideOptions.LEFT_HAND: return "PageSideOptions.LEFT_HAND";
    case PageSideOptions.SINGLE_SIDED: return "PageSideOptions.SINGLE_SIDED";
    case WhenScalingOptions.APPLY_TO_CONTENT: return "WhenScalingOptions.APPLY_TO_CONTENT";
    case WhenScalingOptions.ADJUST_SCALING_PERCENTAGE: return "WhenScalingOptions.ADJUST_SCALING_PERCENTAGE";
    case PageColorOptions.NOTHING: return "PageColorOptions.NOTHING";
    case PageColorOptions.USE_MASTER_COLOR: return "PageColorOptions.USE_MASTER_COLOR";
    case DocumentIntentOptions.PRINT_INTENT: return "DocumentIntentOptions.PRINT_INTENT";
    case DocumentIntentOptions.WEB_INTENT: return "DocumentIntentOptions.WEB_INTENT";
    case EPSColorSpace.RGB: return "EPSColorSpace.RGB";
    case EPSColorSpace.CMYK: return "EPSColorSpace.CMYK";
    case EPSColorSpace.GRAY: return "EPSColorSpace.GRAY";
    case EPSColorSpace.UNCHANGED_COLOR_SPACE: return "EPSColorSpace.UNCHANGED_COLOR_SPACE";
    case EPSColorSpace.POSTSCRIPT_COLOR_MANAGEMENT: return "EPSColorSpace.POSTSCRIPT_COLOR_MANAGEMENT";
    case PreviewTypes.NONE: return "PreviewTypes.NONE";
    case PreviewTypes.TIFF_PREVIEW: return "PreviewTypes.TIFF_PREVIEW";
    case PreviewTypes.PICT_PREVIEW: return "PreviewTypes.PICT_PREVIEW";
    case FontEmbedding.NONE: return "FontEmbedding.NONE";
    case FontEmbedding.COMPLETE: return "FontEmbedding.COMPLETE";
    case FontEmbedding.SUBSET: return "FontEmbedding.SUBSET";
    case ScaleModes.SCALE_WIDTH_HEIGHT: return "ScaleModes.SCALE_WIDTH_HEIGHT";
    case ScaleModes.SCALE_TO_FIT: return "ScaleModes.SCALE_TO_FIT";
    case PrintLayerOptions.ALL_LAYERS: return "PrintLayerOptions.ALL_LAYERS";
    case PrintLayerOptions.VISIBLE_LAYERS: return "PrintLayerOptions.VISIBLE_LAYERS";
    case PrintLayerOptions.VISIBLE_PRINTABLE_LAYERS: return "PrintLayerOptions.VISIBLE_PRINTABLE_LAYERS";
    case UITools.NONE: return "UITools.NONE";
    case UITools.SELECTION_TOOL: return "UITools.SELECTION_TOOL";
    case UITools.DIRECT_SELECTION_TOOL: return "UITools.DIRECT_SELECTION_TOOL";
    case UITools.GAP_TOOL: return "UITools.GAP_TOOL";
    case UITools.PEN_TOOL: return "UITools.PEN_TOOL";
    case UITools.ADD_ANCHOR_POINT: return "UITools.ADD_ANCHOR_POINT";
    case UITools.DELETE_ANCHOR_POINT: return "UITools.DELETE_ANCHOR_POINT";
    case UITools.CONVERT_DIRECTION_POINT: return "UITools.CONVERT_DIRECTION_POINT";
    case UITools.LINE_TOOL: return "UITools.LINE_TOOL";
    case UITools.TYPE_TOOL: return "UITools.TYPE_TOOL";
    case UITools.TYPE_ON_PATH_TOOL: return "UITools.TYPE_ON_PATH_TOOL";
    case UITools.PENCIL_TOOL: return "UITools.PENCIL_TOOL";
    case UITools.SMOOTH_TOOL: return "UITools.SMOOTH_TOOL";
    case UITools.ERASE_TOOL: return "UITools.ERASE_TOOL";
    case UITools.POLYGON_FRAME_TOOL: return "UITools.POLYGON_FRAME_TOOL";
    case UITools.RECTANGLE_FRAME_TOOL: return "UITools.RECTANGLE_FRAME_TOOL";
    case UITools.ELLIPSE_FRAME_TOOL: return "UITools.ELLIPSE_FRAME_TOOL";
    case UITools.POLYGON_TOOL: return "UITools.POLYGON_TOOL";
    case UITools.RECTANGLE_TOOL: return "UITools.RECTANGLE_TOOL";
    case UITools.ELLIPSE_TOOL: return "UITools.ELLIPSE_TOOL";
    case UITools.ROTATE_TOOL: return "UITools.ROTATE_TOOL";
    case UITools.SCALE_TOOL: return "UITools.SCALE_TOOL";
    case UITools.SHEAR_TOOL: return "UITools.SHEAR_TOOL";
    case UITools.SCISSORS_TOOL: return "UITools.SCISSORS_TOOL";
    case UITools.FREE_TRANSFORM_TOOL: return "UITools.FREE_TRANSFORM_TOOL";
    case UITools.GRADIENT_SWATCH_TOOL: return "UITools.GRADIENT_SWATCH_TOOL";
    case UITools.GRADIENT_FEATHER_TOOL: return "UITools.GRADIENT_FEATHER_TOOL";
    case UITools.NOTE_TOOL: return "UITools.NOTE_TOOL";
    case UITools.EYE_DROPPER_TOOL: return "UITools.EYE_DROPPER_TOOL";
    case UITools.MEASURE_TOOL: return "UITools.MEASURE_TOOL";
    case UITools.HAND_TOOL: return "UITools.HAND_TOOL";
    case UITools.ZOOM_TOOL: return "UITools.ZOOM_TOOL";
    case UITools.TABLE_TOOL: return "UITools.TABLE_TOOL";
    case UITools.PLACE_CURSOR_TOOL: return "UITools.PLACE_CURSOR_TOOL";
    case UITools.MOTION_PATH_TOOL: return "UITools.MOTION_PATH_TOOL";
    case UITools.PAGE_TOOL: return "UITools.PAGE_TOOL";
    case UITools.HORIZONTAL_GRID_TOOL: return "UITools.HORIZONTAL_GRID_TOOL";
    case UITools.VERTICAL_GRID_TOOL: return "UITools.VERTICAL_GRID_TOOL";
    case UITools.VERTICAL_TYPE_TOOL: return "UITools.VERTICAL_TYPE_TOOL";
    case UITools.VERTICAL_TYPE_ON_PATH_TOOL: return "UITools.VERTICAL_TYPE_ON_PATH_TOOL";
    case GlobalClashResolutionStrategyForMasterPage.LOAD_ALL_WITH_OVERWRITE: return "GlobalClashResolutionStrategyForMasterPage.LOAD_ALL_WITH_OVERWRITE";
    case GlobalClashResolutionStrategyForMasterPage.LOAD_ALL_WITH_RENAME: return "GlobalClashResolutionStrategyForMasterPage.LOAD_ALL_WITH_RENAME";
    case ClippingPathType.NONE: return "ClippingPathType.NONE";
    case ClippingPathType.DETECT_EDGES: return "ClippingPathType.DETECT_EDGES";
    case ClippingPathType.ALPHA_CHANNEL: return "ClippingPathType.ALPHA_CHANNEL";
    case ClippingPathType.PHOTOSHOP_PATH: return "ClippingPathType.PHOTOSHOP_PATH";
    case ClippingPathType.USER_MODIFIED_PATH: return "ClippingPathType.USER_MODIFIED_PATH";
    case UpdateLinkOptions.UNKNOWN: return "UpdateLinkOptions.UNKNOWN";
    case UpdateLinkOptions.APPLICATION_SETTINGS: return "UpdateLinkOptions.APPLICATION_SETTINGS";
    case UpdateLinkOptions.KEEP_OVERRIDES: return "UpdateLinkOptions.KEEP_OVERRIDES";
    case IconSizes.EXTRA_SMALL_ICON: return "IconSizes.EXTRA_SMALL_ICON";
    case IconSizes.SMALL_ICON: return "IconSizes.SMALL_ICON";
    case IconSizes.MEDIUM_ICON: return "IconSizes.MEDIUM_ICON";
    case IconSizes.LARGE_ICON: return "IconSizes.LARGE_ICON";
    case IconSizes.EXTRA_LARGE_ICON: return "IconSizes.EXTRA_LARGE_ICON";
    case IconSizes.JUMBO_ICON: return "IconSizes.JUMBO_ICON";
    case PanelLayoutResize.PROPORTIONAL_RESIZE: return "PanelLayoutResize.PROPORTIONAL_RESIZE";
    case PanelLayoutResize.PAGES_FIXED: return "PanelLayoutResize.PAGES_FIXED";
    case PanelLayoutResize.MASTERS_FIXED: return "PanelLayoutResize.MASTERS_FIXED";
    case PDFColorSpace.RGB: return "PDFColorSpace.RGB";
    case PDFColorSpace.CMYK: return "PDFColorSpace.CMYK";
    case PDFColorSpace.UNCHANGED_COLOR_SPACE: return "PDFColorSpace.UNCHANGED_COLOR_SPACE";
    case PDFColorSpace.REPURPOSE_RGB: return "PDFColorSpace.REPURPOSE_RGB";
    case PDFColorSpace.REPURPOSE_CMYK: return "PDFColorSpace.REPURPOSE_CMYK";
    case AcrobatCompatibility.ACROBAT_4: return "AcrobatCompatibility.ACROBAT_4";
    case AcrobatCompatibility.ACROBAT_5: return "AcrobatCompatibility.ACROBAT_5";
    case AcrobatCompatibility.ACROBAT_6: return "AcrobatCompatibility.ACROBAT_6";
    case AcrobatCompatibility.ACROBAT_7: return "AcrobatCompatibility.ACROBAT_7";
    case AcrobatCompatibility.ACROBAT_8: return "AcrobatCompatibility.ACROBAT_8";
    case ICCProfiles.INCLUDE_NONE: return "ICCProfiles.INCLUDE_NONE";
    case ICCProfiles.INCLUDE_ALL: return "ICCProfiles.INCLUDE_ALL";
    case ICCProfiles.INCLUDE_TAGGED: return "ICCProfiles.INCLUDE_TAGGED";
    case ICCProfiles.INCLUDE_RGB_AND_TAGGED: return "ICCProfiles.INCLUDE_RGB_AND_TAGGED";
    case BitmapCompression.NONE: return "BitmapCompression.NONE";
    case BitmapCompression.AUTO_COMPRESSION: return "BitmapCompression.AUTO_COMPRESSION";
    case BitmapCompression.JPEG: return "BitmapCompression.JPEG";
    case BitmapCompression.ZIP: return "BitmapCompression.ZIP";
    case BitmapCompression.JPEG_2000: return "BitmapCompression.JPEG_2000";
    case BitmapCompression.AUTOMATIC_JPEG_2000: return "BitmapCompression.AUTOMATIC_JPEG_2000";
    case CompressionQuality.MINIMUM: return "CompressionQuality.MINIMUM";
    case CompressionQuality.LOW: return "CompressionQuality.LOW";
    case CompressionQuality.MEDIUM: return "CompressionQuality.MEDIUM";
    case CompressionQuality.HIGH: return "CompressionQuality.HIGH";
    case CompressionQuality.MAXIMUM: return "CompressionQuality.MAXIMUM";
    case CompressionQuality.FOUR_BIT: return "CompressionQuality.FOUR_BIT";
    case CompressionQuality.EIGHT_BIT: return "CompressionQuality.EIGHT_BIT";
    case MonoBitmapCompression.NONE: return "MonoBitmapCompression.NONE";
    case MonoBitmapCompression.CCIT3: return "MonoBitmapCompression.CCIT3";
    case MonoBitmapCompression.CCIT4: return "MonoBitmapCompression.CCIT4";
    case MonoBitmapCompression.ZIP: return "MonoBitmapCompression.ZIP";
    case MonoBitmapCompression.RUN_LENGTH: return "MonoBitmapCompression.RUN_LENGTH";
    case PDFMarkWeight.P125PT: return "PDFMarkWeight.P125PT";
    case PDFMarkWeight.P25PT: return "PDFMarkWeight.P25PT";
    case PDFMarkWeight.P50PT: return "PDFMarkWeight.P50PT";
    case PDFMarkWeight.P05MM: return "PDFMarkWeight.P05MM";
    case PDFMarkWeight.P07MM: return "PDFMarkWeight.P07MM";
    case PDFMarkWeight.P10MM: return "PDFMarkWeight.P10MM";
    case PDFMarkWeight.P15MM: return "PDFMarkWeight.P15MM";
    case PDFMarkWeight.P20MM: return "PDFMarkWeight.P20MM";
    case PDFMarkWeight.P30MM: return "PDFMarkWeight.P30MM";
    case Sampling.NONE: return "Sampling.NONE";
    case Sampling.DOWNSAMPLE: return "Sampling.DOWNSAMPLE";
    case Sampling.SUBSAMPLE: return "Sampling.SUBSAMPLE";
    case Sampling.BICUBIC_DOWNSAMPLE: return "Sampling.BICUBIC_DOWNSAMPLE";
    case ExportPresetFormat.PDF_EXPORT_PRESETS_FORMAT: return "ExportPresetFormat.PDF_EXPORT_PRESETS_FORMAT";
    case ExportPresetFormat.PRINTER_PRESETS_FORMAT: return "ExportPresetFormat.PRINTER_PRESETS_FORMAT";
    case ExportPresetFormat.FLATTENER_PRESETS_FORMAT: return "ExportPresetFormat.FLATTENER_PRESETS_FORMAT";
    case ExportPresetFormat.DOCUMENT_PRESETS_FORMAT: return "ExportPresetFormat.DOCUMENT_PRESETS_FORMAT";
    case PDFCrop.CROP_ART: return "PDFCrop.CROP_ART";
    case PDFCrop.CROP_PDF: return "PDFCrop.CROP_PDF";
    case PDFCrop.CROP_TRIM: return "PDFCrop.CROP_TRIM";
    case PDFCrop.CROP_BLEED: return "PDFCrop.CROP_BLEED";
    case PDFCrop.CROP_MEDIA: return "PDFCrop.CROP_MEDIA";
    case PDFCrop.CROP_CONTENT_VISIBLE_LAYERS: return "PDFCrop.CROP_CONTENT_VISIBLE_LAYERS";
    case PDFCrop.CROP_CONTENT_ALL_LAYERS: return "PDFCrop.CROP_CONTENT_ALL_LAYERS";
    case PDFCompressionType.COMPRESS_NONE: return "PDFCompressionType.COMPRESS_NONE";
    case PDFCompressionType.COMPRESS_STRUCTURE: return "PDFCompressionType.COMPRESS_STRUCTURE";
    case PDFCompressionType.COMPRESS_OBJECTS: return "PDFCompressionType.COMPRESS_OBJECTS";
    case PDFProfileSelector.USE_NO_PROFILE: return "PDFProfileSelector.USE_NO_PROFILE";
    case PDFProfileSelector.USE_MONITOR_PROFILE: return "PDFProfileSelector.USE_MONITOR_PROFILE";
    case PDFProfileSelector.USE_DOCUMENT: return "PDFProfileSelector.USE_DOCUMENT";
    case PDFProfileSelector.WORKING: return "PDFProfileSelector.WORKING";
    case PDFXStandards.NONE: return "PDFXStandards.NONE";
    case PDFXStandards.PDFX1A2001_STANDARD: return "PDFXStandards.PDFX1A2001_STANDARD";
    case PDFXStandards.PDFX32002_STANDARD: return "PDFXStandards.PDFX32002_STANDARD";
    case PDFXStandards.PDFX1A2003_STANDARD: return "PDFXStandards.PDFX1A2003_STANDARD";
    case PDFXStandards.PDFX32003_STANDARD: return "PDFXStandards.PDFX32003_STANDARD";
    case PDFXStandards.PDFX42010_STANDARD: return "PDFXStandards.PDFX42010_STANDARD";
    case ExportLayerOptions.EXPORT_ALL_LAYERS: return "ExportLayerOptions.EXPORT_ALL_LAYERS";
    case ExportLayerOptions.EXPORT_VISIBLE_LAYERS: return "ExportLayerOptions.EXPORT_VISIBLE_LAYERS";
    case ExportLayerOptions.EXPORT_VISIBLE_PRINTABLE_LAYERS: return "ExportLayerOptions.EXPORT_VISIBLE_PRINTABLE_LAYERS";
    case PdfMagnificationOptions.DEFAULT_VALUE: return "PdfMagnificationOptions.DEFAULT_VALUE";
    case PdfMagnificationOptions.ACTUAL_SIZE: return "PdfMagnificationOptions.ACTUAL_SIZE";
    case PdfMagnificationOptions.FIT_PAGE: return "PdfMagnificationOptions.FIT_PAGE";
    case PdfMagnificationOptions.FIT_WIDTH: return "PdfMagnificationOptions.FIT_WIDTH";
    case PdfMagnificationOptions.FIT_HEIGHT: return "PdfMagnificationOptions.FIT_HEIGHT";
    case PdfMagnificationOptions.FIT_VISIBLE: return "PdfMagnificationOptions.FIT_VISIBLE";
    case PdfMagnificationOptions.TWENTY_FIVE_PERCENT: return "PdfMagnificationOptions.TWENTY_FIVE_PERCENT";
    case PdfMagnificationOptions.FIFTY_PERCENT: return "PdfMagnificationOptions.FIFTY_PERCENT";
    case PdfMagnificationOptions.SEVENTY_FIVE_PERCENT: return "PdfMagnificationOptions.SEVENTY_FIVE_PERCENT";
    case PdfMagnificationOptions.ONE_HUNDRED_PERCENT: return "PdfMagnificationOptions.ONE_HUNDRED_PERCENT";
    case PageLayoutOptions.DEFAULT_VALUE: return "PageLayoutOptions.DEFAULT_VALUE";
    case PageLayoutOptions.SINGLE_PAGE: return "PageLayoutOptions.SINGLE_PAGE";
    case PageLayoutOptions.SINGLE_PAGE_CONTINUOUS: return "PageLayoutOptions.SINGLE_PAGE_CONTINUOUS";
    case PageLayoutOptions.TWO_UP_FACING: return "PageLayoutOptions.TWO_UP_FACING";
    case PageLayoutOptions.TWO_UP_FACING_CONTINUOUS: return "PageLayoutOptions.TWO_UP_FACING_CONTINUOUS";
    case PageLayoutOptions.TWO_UP_COVER_PAGE: return "PageLayoutOptions.TWO_UP_COVER_PAGE";
    case PageLayoutOptions.TWO_UP_COVER_PAGE_CONTINUOUS: return "PageLayoutOptions.TWO_UP_COVER_PAGE_CONTINUOUS";
    case RasterResolutionOptions.SEVENTY_TWO_PPI: return "RasterResolutionOptions.SEVENTY_TWO_PPI";
    case RasterResolutionOptions.NINETY_SIX_PPI: return "RasterResolutionOptions.NINETY_SIX_PPI";
    case RasterResolutionOptions.ONE_HUNDRED_FORTY_FOUR_PPI: return "RasterResolutionOptions.ONE_HUNDRED_FORTY_FOUR_PPI";
    case PDFRasterCompressionOptions.JPEG_COMPRESSION: return "PDFRasterCompressionOptions.JPEG_COMPRESSION";
    case PDFRasterCompressionOptions.LOSSLESS_COMPRESSION: return "PDFRasterCompressionOptions.LOSSLESS_COMPRESSION";
    case PDFRasterCompressionOptions.AUTOMATIC_COMPRESSION: return "PDFRasterCompressionOptions.AUTOMATIC_COMPRESSION";
    case PDFJPEGQualityOptions.MINIMUM: return "PDFJPEGQualityOptions.MINIMUM";
    case PDFJPEGQualityOptions.LOW: return "PDFJPEGQualityOptions.LOW";
    case PDFJPEGQualityOptions.MEDIUM: return "PDFJPEGQualityOptions.MEDIUM";
    case PDFJPEGQualityOptions.HIGH: return "PDFJPEGQualityOptions.HIGH";
    case PDFJPEGQualityOptions.MAXIMUM: return "PDFJPEGQualityOptions.MAXIMUM";
    case InteractiveElementsOptions.DO_NOT_INCLUDE: return "InteractiveElementsOptions.DO_NOT_INCLUDE";
    case InteractiveElementsOptions.APPEARANCE_ONLY: return "InteractiveElementsOptions.APPEARANCE_ONLY";
    case InteractivePDFInteractiveElementsOptions.INCLUDE_ALL_MEDIA: return "InteractivePDFInteractiveElementsOptions.INCLUDE_ALL_MEDIA";
    case InteractivePDFInteractiveElementsOptions.APPEARANCE_ONLY: return "InteractivePDFInteractiveElementsOptions.APPEARANCE_ONLY";
    case PageTransitionOverrideOptions.FROM_DOCUMENT: return "PageTransitionOverrideOptions.FROM_DOCUMENT";
    case PageTransitionOverrideOptions.NONE: return "PageTransitionOverrideOptions.NONE";
    case PageTransitionOverrideOptions.BLINDS_TRANSITION: return "PageTransitionOverrideOptions.BLINDS_TRANSITION";
    case PageTransitionOverrideOptions.BOX_TRANSITION: return "PageTransitionOverrideOptions.BOX_TRANSITION";
    case PageTransitionOverrideOptions.COMB_TRANSITION: return "PageTransitionOverrideOptions.COMB_TRANSITION";
    case PageTransitionOverrideOptions.COVER_TRANSITION: return "PageTransitionOverrideOptions.COVER_TRANSITION";
    case PageTransitionOverrideOptions.DISSOLVE_TRANSITION: return "PageTransitionOverrideOptions.DISSOLVE_TRANSITION";
    case PageTransitionOverrideOptions.FADE_TRANSITION: return "PageTransitionOverrideOptions.FADE_TRANSITION";
    case PageTransitionOverrideOptions.PAGE_TURN_TRANSITION: return "PageTransitionOverrideOptions.PAGE_TURN_TRANSITION";
    case PageTransitionOverrideOptions.PUSH_TRANSITION: return "PageTransitionOverrideOptions.PUSH_TRANSITION";
    case PageTransitionOverrideOptions.SPLIT_TRANSITION: return "PageTransitionOverrideOptions.SPLIT_TRANSITION";
    case PageTransitionOverrideOptions.UNCOVER_TRANSITION: return "PageTransitionOverrideOptions.UNCOVER_TRANSITION";
    case PageTransitionOverrideOptions.WIPE_TRANSITION: return "PageTransitionOverrideOptions.WIPE_TRANSITION";
    case PageTransitionOverrideOptions.ZOOM_IN_TRANSITION: return "PageTransitionOverrideOptions.ZOOM_IN_TRANSITION";
    case PageTransitionOverrideOptions.ZOOM_OUT_TRANSITION: return "PageTransitionOverrideOptions.ZOOM_OUT_TRANSITION";
    case TaggedPDFStructureOrderOptions.USE_XML_STRUCTURE: return "TaggedPDFStructureOrderOptions.USE_XML_STRUCTURE";
    case TaggedPDFStructureOrderOptions.USE_ARTICLES: return "TaggedPDFStructureOrderOptions.USE_ARTICLES";
    case ConvertShapeOptions.CONVERT_TO_RECTANGLE: return "ConvertShapeOptions.CONVERT_TO_RECTANGLE";
    case ConvertShapeOptions.CONVERT_TO_ROUNDED_RECTANGLE: return "ConvertShapeOptions.CONVERT_TO_ROUNDED_RECTANGLE";
    case ConvertShapeOptions.CONVERT_TO_BEVELED_RECTANGLE: return "ConvertShapeOptions.CONVERT_TO_BEVELED_RECTANGLE";
    case ConvertShapeOptions.CONVERT_TO_INVERSE_ROUNDED_RECTANGLE: return "ConvertShapeOptions.CONVERT_TO_INVERSE_ROUNDED_RECTANGLE";
    case ConvertShapeOptions.CONVERT_TO_OVAL: return "ConvertShapeOptions.CONVERT_TO_OVAL";
    case ConvertShapeOptions.CONVERT_TO_TRIANGLE: return "ConvertShapeOptions.CONVERT_TO_TRIANGLE";
    case ConvertShapeOptions.CONVERT_TO_POLYGON: return "ConvertShapeOptions.CONVERT_TO_POLYGON";
    case ConvertShapeOptions.CONVERT_TO_LINE: return "ConvertShapeOptions.CONVERT_TO_LINE";
    case ConvertShapeOptions.CONVERT_TO_STRAIGHT_LINE: return "ConvertShapeOptions.CONVERT_TO_STRAIGHT_LINE";
    case ConvertShapeOptions.CONVERT_TO_OPEN_PATH: return "ConvertShapeOptions.CONVERT_TO_OPEN_PATH";
    case ConvertShapeOptions.CONVERT_TO_CLOSED_PATH: return "ConvertShapeOptions.CONVERT_TO_CLOSED_PATH";
    case CoordinateSpaces.PASTEBOARD_COORDINATES: return "CoordinateSpaces.PASTEBOARD_COORDINATES";
    case CoordinateSpaces.PARENT_COORDINATES: return "CoordinateSpaces.PARENT_COORDINATES";
    case CoordinateSpaces.INNER_COORDINATES: return "CoordinateSpaces.INNER_COORDINATES";
    case CoordinateSpaces.PAGE_COORDINATES: return "CoordinateSpaces.PAGE_COORDINATES";
    case CoordinateSpaces.SPREAD_COORDINATES: return "CoordinateSpaces.SPREAD_COORDINATES";
    case MatrixContent.SCALE_VALUES: return "MatrixContent.SCALE_VALUES";
    case MatrixContent.SHEAR_VALUE: return "MatrixContent.SHEAR_VALUE";
    case MatrixContent.ROTATION_VALUE: return "MatrixContent.ROTATION_VALUE";
    case MatrixContent.TRANSLATION_VALUES: return "MatrixContent.TRANSLATION_VALUES";
    case BoundingBoxLimits.OUTER_STROKE_BOUNDS: return "BoundingBoxLimits.OUTER_STROKE_BOUNDS";
    case BoundingBoxLimits.GEOMETRIC_PATH_BOUNDS: return "BoundingBoxLimits.GEOMETRIC_PATH_BOUNDS";
    case ResizeConstraints.KEEP_CURRENT_VALUE: return "ResizeConstraints.KEEP_CURRENT_VALUE";
    case ResizeConstraints.KEEP_CURRENT_PROPORTIONS: return "ResizeConstraints.KEEP_CURRENT_PROPORTIONS";
    case ResizeConstraints.TALL_PROPORTIONS: return "ResizeConstraints.TALL_PROPORTIONS";
    case ResizeConstraints.WIDE_PROPORTIONS: return "ResizeConstraints.WIDE_PROPORTIONS";
    case ResizeConstraints.INVERSE_PROPORTIONS: return "ResizeConstraints.INVERSE_PROPORTIONS";
    case ResizeMethods.ADDING_CURRENT_DIMENSIONS_TO: return "ResizeMethods.ADDING_CURRENT_DIMENSIONS_TO";
    case ResizeMethods.MULTIPLYING_CURRENT_DIMENSIONS_BY: return "ResizeMethods.MULTIPLYING_CURRENT_DIMENSIONS_BY";
    case ResizeMethods.REPLACING_CURRENT_DIMENSIONS_WITH: return "ResizeMethods.REPLACING_CURRENT_DIMENSIONS_WITH";
    case ResizeMethods.RESHAPING_AREA_TO_RATIO: return "ResizeMethods.RESHAPING_AREA_TO_RATIO";
    case ResizeMethods.RESHAPING_BORDER_TO_RATIO: return "ResizeMethods.RESHAPING_BORDER_TO_RATIO";
    case EmptyFrameFittingOptions.NONE: return "EmptyFrameFittingOptions.NONE";
    case EmptyFrameFittingOptions.CONTENT_TO_FRAME: return "EmptyFrameFittingOptions.CONTENT_TO_FRAME";
    case EmptyFrameFittingOptions.PROPORTIONALLY: return "EmptyFrameFittingOptions.PROPORTIONALLY";
    case EmptyFrameFittingOptions.FILL_PROPORTIONALLY: return "EmptyFrameFittingOptions.FILL_PROPORTIONALLY";
    case CornerOptions.NONE: return "CornerOptions.NONE";
    case CornerOptions.ROUNDED_CORNER: return "CornerOptions.ROUNDED_CORNER";
    case CornerOptions.INVERSE_ROUNDED_CORNER: return "CornerOptions.INVERSE_ROUNDED_CORNER";
    case CornerOptions.INSET_CORNER: return "CornerOptions.INSET_CORNER";
    case CornerOptions.BEVEL_CORNER: return "CornerOptions.BEVEL_CORNER";
    case CornerOptions.FANCY_CORNER: return "CornerOptions.FANCY_CORNER";
    case DimensionsConstraints.FIXED_DIMENSION: return "DimensionsConstraints.FIXED_DIMENSION";
    case DimensionsConstraints.FLEXIBLE_DIMENSION: return "DimensionsConstraints.FLEXIBLE_DIMENSION";
    case ContentType.UNASSIGNED: return "ContentType.UNASSIGNED";
    case ContentType.GRAPHIC_TYPE: return "ContentType.GRAPHIC_TYPE";
    case ContentType.TEXT_TYPE: return "ContentType.TEXT_TYPE";
    case EndCap.BUTT_END_CAP: return "EndCap.BUTT_END_CAP";
    case EndCap.ROUND_END_CAP: return "EndCap.ROUND_END_CAP";
    case EndCap.PROJECTING_END_CAP: return "EndCap.PROJECTING_END_CAP";
    case EndJoin.MITER_END_JOIN: return "EndJoin.MITER_END_JOIN";
    case EndJoin.ROUND_END_JOIN: return "EndJoin.ROUND_END_JOIN";
    case EndJoin.BEVEL_END_JOIN: return "EndJoin.BEVEL_END_JOIN";
    case StrokeCornerAdjustment.NONE: return "StrokeCornerAdjustment.NONE";
    case StrokeCornerAdjustment.DASHES: return "StrokeCornerAdjustment.DASHES";
    case StrokeCornerAdjustment.GAPS: return "StrokeCornerAdjustment.GAPS";
    case StrokeCornerAdjustment.DASHES_AND_GAPS: return "StrokeCornerAdjustment.DASHES_AND_GAPS";
    case ArrowHead.NONE: return "ArrowHead.NONE";
    case ArrowHead.SIMPLE_ARROW_HEAD: return "ArrowHead.SIMPLE_ARROW_HEAD";
    case ArrowHead.SIMPLE_WIDE_ARROW_HEAD: return "ArrowHead.SIMPLE_WIDE_ARROW_HEAD";
    case ArrowHead.TRIANGLE_ARROW_HEAD: return "ArrowHead.TRIANGLE_ARROW_HEAD";
    case ArrowHead.TRIANGLE_WIDE_ARROW_HEAD: return "ArrowHead.TRIANGLE_WIDE_ARROW_HEAD";
    case ArrowHead.BARBED_ARROW_HEAD: return "ArrowHead.BARBED_ARROW_HEAD";
    case ArrowHead.CURVED_ARROW_HEAD: return "ArrowHead.CURVED_ARROW_HEAD";
    case ArrowHead.CIRCLE_ARROW_HEAD: return "ArrowHead.CIRCLE_ARROW_HEAD";
    case ArrowHead.CIRCLE_SOLID_ARROW_HEAD: return "ArrowHead.CIRCLE_SOLID_ARROW_HEAD";
    case ArrowHead.SQUARE_ARROW_HEAD: return "ArrowHead.SQUARE_ARROW_HEAD";
    case ArrowHead.SQUARE_SOLID_ARROW_HEAD: return "ArrowHead.SQUARE_SOLID_ARROW_HEAD";
    case ArrowHead.BAR_ARROW_HEAD: return "ArrowHead.BAR_ARROW_HEAD";
    case DisplaySettingOptions.HIGH_QUALITY: return "DisplaySettingOptions.HIGH_QUALITY";
    case DisplaySettingOptions.TYPICAL: return "DisplaySettingOptions.TYPICAL";
    case DisplaySettingOptions.OPTIMIZED: return "DisplaySettingOptions.OPTIMIZED";
    case DisplaySettingOptions.DEFAULT_VALUE: return "DisplaySettingOptions.DEFAULT_VALUE";
    case FitOptions.CONTENT_TO_FRAME: return "FitOptions.CONTENT_TO_FRAME";
    case FitOptions.CENTER_CONTENT: return "FitOptions.CENTER_CONTENT";
    case FitOptions.PROPORTIONALLY: return "FitOptions.PROPORTIONALLY";
    case FitOptions.FRAME_TO_CONTENT: return "FitOptions.FRAME_TO_CONTENT";
    case FitOptions.FILL_PROPORTIONALLY: return "FitOptions.FILL_PROPORTIONALLY";
    case FitOptions.APPLY_FRAME_FITTING_OPTIONS: return "FitOptions.APPLY_FRAME_FITTING_OPTIONS";
    case StrokeAlignment.CENTER_ALIGNMENT: return "StrokeAlignment.CENTER_ALIGNMENT";
    case StrokeAlignment.INSIDE_ALIGNMENT: return "StrokeAlignment.INSIDE_ALIGNMENT";
    case StrokeAlignment.OUTSIDE_ALIGNMENT: return "StrokeAlignment.OUTSIDE_ALIGNMENT";
    case GuideTypeOptions.RULER: return "GuideTypeOptions.RULER";
    case GuideTypeOptions.LIQUID: return "GuideTypeOptions.LIQUID";
    case ContourOptionsTypes.BOUNDING_BOX: return "ContourOptionsTypes.BOUNDING_BOX";
    case ContourOptionsTypes.PHOTOSHOP_PATH: return "ContourOptionsTypes.PHOTOSHOP_PATH";
    case ContourOptionsTypes.DETECT_EDGES: return "ContourOptionsTypes.DETECT_EDGES";
    case ContourOptionsTypes.ALPHA_CHANNEL: return "ContourOptionsTypes.ALPHA_CHANNEL";
    case ContourOptionsTypes.GRAPHIC_FRAME: return "ContourOptionsTypes.GRAPHIC_FRAME";
    case ContourOptionsTypes.SAME_AS_CLIPPING: return "ContourOptionsTypes.SAME_AS_CLIPPING";
    case TextWrapSideOptions.BOTH_SIDES: return "TextWrapSideOptions.BOTH_SIDES";
    case TextWrapSideOptions.LEFT_SIDE: return "TextWrapSideOptions.LEFT_SIDE";
    case TextWrapSideOptions.RIGHT_SIDE: return "TextWrapSideOptions.RIGHT_SIDE";
    case TextWrapSideOptions.SIDE_TOWARDS_SPINE: return "TextWrapSideOptions.SIDE_TOWARDS_SPINE";
    case TextWrapSideOptions.SIDE_AWAY_FROM_SPINE: return "TextWrapSideOptions.SIDE_AWAY_FROM_SPINE";
    case TextWrapSideOptions.LARGEST_AREA: return "TextWrapSideOptions.LARGEST_AREA";
    case TextWrapModes.NONE: return "TextWrapModes.NONE";
    case TextWrapModes.JUMP_OBJECT_TEXT_WRAP: return "TextWrapModes.JUMP_OBJECT_TEXT_WRAP";
    case TextWrapModes.NEXT_COLUMN_TEXT_WRAP: return "TextWrapModes.NEXT_COLUMN_TEXT_WRAP";
    case TextWrapModes.BOUNDING_BOX_TEXT_WRAP: return "TextWrapModes.BOUNDING_BOX_TEXT_WRAP";
    case TextWrapModes.CONTOUR: return "TextWrapModes.CONTOUR";
    case FontStatus.INSTALLED: return "FontStatus.INSTALLED";
    case FontStatus.NOT_AVAILABLE: return "FontStatus.NOT_AVAILABLE";
    case FontStatus.FAUXED: return "FontStatus.FAUXED";
    case FontStatus.SUBSTITUTED: return "FontStatus.SUBSTITUTED";
    case FontStatus.UNKNOWN: return "FontStatus.UNKNOWN";
    case FontTypes.TYPE_1: return "FontTypes.TYPE_1";
    case FontTypes.TRUETYPE: return "FontTypes.TRUETYPE";
    case FontTypes.CID: return "FontTypes.CID";
    case FontTypes.ATC: return "FontTypes.ATC";
    case FontTypes.BITMAP: return "FontTypes.BITMAP";
    case FontTypes.OCF: return "FontTypes.OCF";
    case FontTypes.OPENTYPE_CFF: return "FontTypes.OPENTYPE_CFF";
    case FontTypes.OPENTYPE_CID: return "FontTypes.OPENTYPE_CID";
    case FontTypes.OPENTYPE_TT: return "FontTypes.OPENTYPE_TT";
    case FontTypes.UNKNOWN: return "FontTypes.UNKNOWN";
    case OpenTypeFeature.LOW: return "OpenTypeFeature.LOW";
    case OpenTypeFeature.DISCRETIONARY_LIGATURES_FEATURE: return "OpenTypeFeature.DISCRETIONARY_LIGATURES_FEATURE";
    case OpenTypeFeature.FRACTIONS_FEATURE: return "OpenTypeFeature.FRACTIONS_FEATURE";
    case OpenTypeFeature.ORDINAL_FEATURE: return "OpenTypeFeature.ORDINAL_FEATURE";
    case OpenTypeFeature.SWASH_FEATURE: return "OpenTypeFeature.SWASH_FEATURE";
    case OpenTypeFeature.TITLING_FEATURE: return "OpenTypeFeature.TITLING_FEATURE";
    case OpenTypeFeature.CONTEXTUAL_ALTERNATES_FEATURE: return "OpenTypeFeature.CONTEXTUAL_ALTERNATES_FEATURE";
    case OpenTypeFeature.ALL_SMALL_CAPS_FEATURE: return "OpenTypeFeature.ALL_SMALL_CAPS_FEATURE";
    case OpenTypeFeature.SUPERSCRIPT_FEATURE: return "OpenTypeFeature.SUPERSCRIPT_FEATURE";
    case OpenTypeFeature.SUBSCRIPT_FEATURE: return "OpenTypeFeature.SUBSCRIPT_FEATURE";
    case OpenTypeFeature.NUMERATOR_FEATURE: return "OpenTypeFeature.NUMERATOR_FEATURE";
    case OpenTypeFeature.DENOMINATOR_FEATURE: return "OpenTypeFeature.DENOMINATOR_FEATURE";
    case OpenTypeFeature.TABULAR_LINING_FEATURE: return "OpenTypeFeature.TABULAR_LINING_FEATURE";
    case OpenTypeFeature.PROPORTIONAL_OLDSTYLE_FEATURE: return "OpenTypeFeature.PROPORTIONAL_OLDSTYLE_FEATURE";
    case OpenTypeFeature.PROPORTIONAL_LINING_FEATURE: return "OpenTypeFeature.PROPORTIONAL_LINING_FEATURE";
    case OpenTypeFeature.TABULAR_OLDSTYLE_FEATURE: return "OpenTypeFeature.TABULAR_OLDSTYLE_FEATURE";
    case OpenTypeFeature.DEFAULT_FIGURE_STYLE_FEATURE: return "OpenTypeFeature.DEFAULT_FIGURE_STYLE_FEATURE";
    case OpenTypeFeature.OVERLAP_SWASH: return "OpenTypeFeature.OVERLAP_SWASH";
    case OpenTypeFeature.STYLISTIC_ALTERNATE: return "OpenTypeFeature.STYLISTIC_ALTERNATE";
    case OpenTypeFeature.JUSTIFICATION_ALTERNATE: return "OpenTypeFeature.JUSTIFICATION_ALTERNATE";
    case OpenTypeFeature.STRETCHED_ALTERNATE: return "OpenTypeFeature.STRETCHED_ALTERNATE";
    case CharacterAlignment.ALIGN_BASELINE: return "CharacterAlignment.ALIGN_BASELINE";
    case CharacterAlignment.ALIGN_EM_TOP: return "CharacterAlignment.ALIGN_EM_TOP";
    case CharacterAlignment.ALIGN_EM_CENTER: return "CharacterAlignment.ALIGN_EM_CENTER";
    case CharacterAlignment.ALIGN_EM_BOTTOM: return "CharacterAlignment.ALIGN_EM_BOTTOM";
    case CharacterAlignment.ALIGN_ICF_TOP: return "CharacterAlignment.ALIGN_ICF_TOP";
    case CharacterAlignment.ALIGN_ICF_BOTTOM: return "CharacterAlignment.ALIGN_ICF_BOTTOM";
    case AlternateGlyphForms.NONE: return "AlternateGlyphForms.NONE";
    case AlternateGlyphForms.TRADITIONAL_FORM: return "AlternateGlyphForms.TRADITIONAL_FORM";
    case AlternateGlyphForms.EXPERT_FORM: return "AlternateGlyphForms.EXPERT_FORM";
    case AlternateGlyphForms.JIS78_FORM: return "AlternateGlyphForms.JIS78_FORM";
    case AlternateGlyphForms.JIS83_FORM: return "AlternateGlyphForms.JIS83_FORM";
    case AlternateGlyphForms.MONOSPACED_HALF_WIDTH_FORM: return "AlternateGlyphForms.MONOSPACED_HALF_WIDTH_FORM";
    case AlternateGlyphForms.THIRD_WIDTH_FORM: return "AlternateGlyphForms.THIRD_WIDTH_FORM";
    case AlternateGlyphForms.QUARTER_WIDTH_FORM: return "AlternateGlyphForms.QUARTER_WIDTH_FORM";
    case AlternateGlyphForms.NLC_FORM: return "AlternateGlyphForms.NLC_FORM";
    case AlternateGlyphForms.PROPORTIONAL_WIDTH_FORM: return "AlternateGlyphForms.PROPORTIONAL_WIDTH_FORM";
    case AlternateGlyphForms.FULL_WIDTH_FORM: return "AlternateGlyphForms.FULL_WIDTH_FORM";
    case AlternateGlyphForms.JIS04_FORM: return "AlternateGlyphForms.JIS04_FORM";
    case AlternateGlyphForms.JIS90_FORM: return "AlternateGlyphForms.JIS90_FORM";
    case AdornmentOverprint.AUTO: return "AdornmentOverprint.AUTO";
    case AdornmentOverprint.OVERPRINT_ON: return "AdornmentOverprint.OVERPRINT_ON";
    case AdornmentOverprint.OVERPRINT_OFF: return "AdornmentOverprint.OVERPRINT_OFF";
    case KentenCharacter.NONE: return "KentenCharacter.NONE";
    case KentenCharacter.KENTEN_SESAME_DOT: return "KentenCharacter.KENTEN_SESAME_DOT";
    case KentenCharacter.KENTEN_WHITE_SESAME_DOT: return "KentenCharacter.KENTEN_WHITE_SESAME_DOT";
    case KentenCharacter.KENTEN_BLACK_CIRCLE: return "KentenCharacter.KENTEN_BLACK_CIRCLE";
    case KentenCharacter.KENTEN_WHITE_CIRCLE: return "KentenCharacter.KENTEN_WHITE_CIRCLE";
    case KentenCharacter.KENTEN_BLACK_TRIANGLE: return "KentenCharacter.KENTEN_BLACK_TRIANGLE";
    case KentenCharacter.KENTEN_WHITE_TRIANGLE: return "KentenCharacter.KENTEN_WHITE_TRIANGLE";
    case KentenCharacter.KENTEN_BULLSEYE: return "KentenCharacter.KENTEN_BULLSEYE";
    case KentenCharacter.KENTEN_FISHEYE: return "KentenCharacter.KENTEN_FISHEYE";
    case KentenCharacter.KENTEN_SMALL_BLACK_CIRCLE: return "KentenCharacter.KENTEN_SMALL_BLACK_CIRCLE";
    case KentenCharacter.KENTEN_SMALL_WHITE_CIRCLE: return "KentenCharacter.KENTEN_SMALL_WHITE_CIRCLE";
    case KentenCharacter.CUSTOM: return "KentenCharacter.CUSTOM";
    case RubyKentenPosition.ABOVE_RIGHT: return "RubyKentenPosition.ABOVE_RIGHT";
    case RubyKentenPosition.BELOW_LEFT: return "RubyKentenPosition.BELOW_LEFT";
    case KentenCharacterSet.CHARACTER_INPUT: return "KentenCharacterSet.CHARACTER_INPUT";
    case KentenCharacterSet.SHIFT_JIS: return "KentenCharacterSet.SHIFT_JIS";
    case KentenCharacterSet.JIS: return "KentenCharacterSet.JIS";
    case KentenCharacterSet.KUTEN: return "KentenCharacterSet.KUTEN";
    case KentenCharacterSet.UNICODE: return "KentenCharacterSet.UNICODE";
    case RubyTypes.GROUP_RUBY: return "RubyTypes.GROUP_RUBY";
    case RubyTypes.PER_CHARACTER_RUBY: return "RubyTypes.PER_CHARACTER_RUBY";
    case RubyAlignments.RUBY_LEFT: return "RubyAlignments.RUBY_LEFT";
    case RubyAlignments.RUBY_CENTER: return "RubyAlignments.RUBY_CENTER";
    case RubyAlignments.RUBY_RIGHT: return "RubyAlignments.RUBY_RIGHT";
    case RubyAlignments.RUBY_FULL_JUSTIFY: return "RubyAlignments.RUBY_FULL_JUSTIFY";
    case RubyAlignments.RUBY_JIS: return "RubyAlignments.RUBY_JIS";
    case RubyAlignments.RUBY_EQUAL_AKI: return "RubyAlignments.RUBY_EQUAL_AKI";
    case RubyAlignments.RUBY_1_AKI: return "RubyAlignments.RUBY_1_AKI";
    case RubyParentSpacing.RUBY_PARENT_NO_ADJUSTMENT: return "RubyParentSpacing.RUBY_PARENT_NO_ADJUSTMENT";
    case RubyParentSpacing.RUBY_PARENT_BOTH_SIDES: return "RubyParentSpacing.RUBY_PARENT_BOTH_SIDES";
    case RubyParentSpacing.RUBY_PARENT_121_AKI: return "RubyParentSpacing.RUBY_PARENT_121_AKI";
    case RubyParentSpacing.RUBY_PARENT_EQUAL_AKI: return "RubyParentSpacing.RUBY_PARENT_EQUAL_AKI";
    case RubyParentSpacing.RUBY_PARENT_FULL_JUSTIFY: return "RubyParentSpacing.RUBY_PARENT_FULL_JUSTIFY";
    case RubyOverhang.NONE: return "RubyOverhang.NONE";
    case RubyOverhang.RUBY_OVERHANG_ONE_RUBY: return "RubyOverhang.RUBY_OVERHANG_ONE_RUBY";
    case RubyOverhang.RUBY_OVERHANG_HALF_RUBY: return "RubyOverhang.RUBY_OVERHANG_HALF_RUBY";
    case RubyOverhang.RUBY_OVERHANG_ONE_CHAR: return "RubyOverhang.RUBY_OVERHANG_ONE_CHAR";
    case RubyOverhang.RUBY_OVERHANG_HALF_CHAR: return "RubyOverhang.RUBY_OVERHANG_HALF_CHAR";
    case RubyOverhang.RUBY_OVERHANG_NO_LIMIT: return "RubyOverhang.RUBY_OVERHANG_NO_LIMIT";
    case WarichuAlignment.AUTO: return "WarichuAlignment.AUTO";
    case WarichuAlignment.LEFT_ALIGN: return "WarichuAlignment.LEFT_ALIGN";
    case WarichuAlignment.CENTER_ALIGN: return "WarichuAlignment.CENTER_ALIGN";
    case WarichuAlignment.RIGHT_ALIGN: return "WarichuAlignment.RIGHT_ALIGN";
    case WarichuAlignment.FULLY_JUSTIFIED: return "WarichuAlignment.FULLY_JUSTIFIED";
    case WarichuAlignment.LEFT_JUSTIFIED: return "WarichuAlignment.LEFT_JUSTIFIED";
    case WarichuAlignment.CENTER_JUSTIFIED: return "WarichuAlignment.CENTER_JUSTIFIED";
    case WarichuAlignment.RIGHT_JUSTIFIED: return "WarichuAlignment.RIGHT_JUSTIFIED";
    case KinsokuType.KINSOKU_PUSH_IN_FIRST: return "KinsokuType.KINSOKU_PUSH_IN_FIRST";
    case KinsokuType.KINSOKU_PUSH_OUT_FIRST: return "KinsokuType.KINSOKU_PUSH_OUT_FIRST";
    case KinsokuType.KINSOKU_PUSH_OUT_ONLY: return "KinsokuType.KINSOKU_PUSH_OUT_ONLY";
    case KinsokuType.KINSOKU_PRIORITIZE_ADJUSTMENT_AMOUNT: return "KinsokuType.KINSOKU_PRIORITIZE_ADJUSTMENT_AMOUNT";
    case KinsokuHangTypes.NONE: return "KinsokuHangTypes.NONE";
    case KinsokuHangTypes.KINSOKU_HANG_REGULAR: return "KinsokuHangTypes.KINSOKU_HANG_REGULAR";
    case KinsokuHangTypes.KINSOKU_HANG_FORCE: return "KinsokuHangTypes.KINSOKU_HANG_FORCE";
    case LeadingModel.LEADING_MODEL_ROMAN: return "LeadingModel.LEADING_MODEL_ROMAN";
    case LeadingModel.LEADING_MODEL_AKI_BELOW: return "LeadingModel.LEADING_MODEL_AKI_BELOW";
    case LeadingModel.LEADING_MODEL_AKI_ABOVE: return "LeadingModel.LEADING_MODEL_AKI_ABOVE";
    case LeadingModel.LEADING_MODEL_CENTER: return "LeadingModel.LEADING_MODEL_CENTER";
    case LeadingModel.LEADING_MODEL_CENTER_DOWN: return "LeadingModel.LEADING_MODEL_CENTER_DOWN";
    case KinsokuSet.NOTHING: return "KinsokuSet.NOTHING";
    case KinsokuSet.HARD_KINSOKU: return "KinsokuSet.HARD_KINSOKU";
    case KinsokuSet.SOFT_KINSOKU: return "KinsokuSet.SOFT_KINSOKU";
    case KinsokuSet.KOREAN_KINSOKU: return "KinsokuSet.KOREAN_KINSOKU";
    case KinsokuSet.SIMPLIFIED_CHINESE_KINSOKU: return "KinsokuSet.SIMPLIFIED_CHINESE_KINSOKU";
    case KinsokuSet.TRADITIONAL_CHINESE_KINSOKU: return "KinsokuSet.TRADITIONAL_CHINESE_KINSOKU";
    case MojikumiTableDefaults.NOTHING: return "MojikumiTableDefaults.NOTHING";
    case MojikumiTableDefaults.LINE_END_ALL_ONE_HALF_EM_ENUM: return "MojikumiTableDefaults.LINE_END_ALL_ONE_HALF_EM_ENUM";
    case MojikumiTableDefaults.ONE_EM_INDENT_LINE_END_UKE_ONE_HALF_EM_ENUM: return "MojikumiTableDefaults.ONE_EM_INDENT_LINE_END_UKE_ONE_HALF_EM_ENUM";
    case MojikumiTableDefaults.ONE_OR_ONE_HALF_EM_INDENT_LINE_END_UKE_ONE_HALF_EM_ENUM: return "MojikumiTableDefaults.ONE_OR_ONE_HALF_EM_INDENT_LINE_END_UKE_ONE_HALF_EM_ENUM";
    case MojikumiTableDefaults.ONE_OR_ONE_HALF_EM_INDENT_LINE_END_ALL_ONE_EM_ENUM: return "MojikumiTableDefaults.ONE_OR_ONE_HALF_EM_INDENT_LINE_END_ALL_ONE_EM_ENUM";
    case MojikumiTableDefaults.ONE_EM_INDENT_LINE_END_ALL_ONE_EM_ENUM: return "MojikumiTableDefaults.ONE_EM_INDENT_LINE_END_ALL_ONE_EM_ENUM";
    case MojikumiTableDefaults.ONE_EM_INDENT_LINE_END_ALL_NO_FLOAT_ENUM: return "MojikumiTableDefaults.ONE_EM_INDENT_LINE_END_ALL_NO_FLOAT_ENUM";
    case MojikumiTableDefaults.ONE_EM_INDENT_LINE_END_UKE_NO_FLOAT_ENUM: return "MojikumiTableDefaults.ONE_EM_INDENT_LINE_END_UKE_NO_FLOAT_ENUM";
    case MojikumiTableDefaults.ONE_OR_ONE_HALF_EM_INDENT_LINE_END_UKE_NO_FLOAT_ENUM: return "MojikumiTableDefaults.ONE_OR_ONE_HALF_EM_INDENT_LINE_END_UKE_NO_FLOAT_ENUM";
    case MojikumiTableDefaults.ONE_EM_INDENT_LINE_END_ALL_ONE_HALF_EM_ENUM: return "MojikumiTableDefaults.ONE_EM_INDENT_LINE_END_ALL_ONE_HALF_EM_ENUM";
    case MojikumiTableDefaults.LINE_END_ALL_ONE_EM_ENUM: return "MojikumiTableDefaults.LINE_END_ALL_ONE_EM_ENUM";
    case MojikumiTableDefaults.LINE_END_UKE_NO_FLOAT_ENUM: return "MojikumiTableDefaults.LINE_END_UKE_NO_FLOAT_ENUM";
    case MojikumiTableDefaults.ONE_OR_ONE_HALF_EM_INDENT_LINE_END_PERIOD_ONE_EM_ENUM: return "MojikumiTableDefaults.ONE_OR_ONE_HALF_EM_INDENT_LINE_END_PERIOD_ONE_EM_ENUM";
    case MojikumiTableDefaults.ONE_EM_INDENT_LINE_END_PERIOD_ONE_EM_ENUM: return "MojikumiTableDefaults.ONE_EM_INDENT_LINE_END_PERIOD_ONE_EM_ENUM";
    case MojikumiTableDefaults.LINE_END_PERIOD_ONE_EM_ENUM: return "MojikumiTableDefaults.LINE_END_PERIOD_ONE_EM_ENUM";
    case MojikumiTableDefaults.TRAD_CHINESE_DEFAULT: return "MojikumiTableDefaults.TRAD_CHINESE_DEFAULT";
    case MojikumiTableDefaults.SIMP_CHINESE_DEFAULT: return "MojikumiTableDefaults.SIMP_CHINESE_DEFAULT";
    case GridAlignment.NONE: return "GridAlignment.NONE";
    case GridAlignment.ALIGN_BASELINE: return "GridAlignment.ALIGN_BASELINE";
    case GridAlignment.ALIGN_EM_TOP: return "GridAlignment.ALIGN_EM_TOP";
    case GridAlignment.ALIGN_EM_CENTER: return "GridAlignment.ALIGN_EM_CENTER";
    case GridAlignment.ALIGN_EM_BOTTOM: return "GridAlignment.ALIGN_EM_BOTTOM";
    case GridAlignment.ALIGN_ICF_TOP: return "GridAlignment.ALIGN_ICF_TOP";
    case GridAlignment.ALIGN_ICF_BOTTOM: return "GridAlignment.ALIGN_ICF_BOTTOM";
    case KentenAlignment.ALIGN_KENTEN_LEFT: return "KentenAlignment.ALIGN_KENTEN_LEFT";
    case KentenAlignment.ALIGN_KENTEN_CENTER: return "KentenAlignment.ALIGN_KENTEN_CENTER";
    case ComposeUsing.USE_USER_DICTIONARY: return "ComposeUsing.USE_USER_DICTIONARY";
    case ComposeUsing.USE_DOCUMENT: return "ComposeUsing.USE_DOCUMENT";
    case ComposeUsing.BOTH: return "ComposeUsing.BOTH";
    case PageNumberStyle.UPPER_ROMAN: return "PageNumberStyle.UPPER_ROMAN";
    case PageNumberStyle.LOWER_ROMAN: return "PageNumberStyle.LOWER_ROMAN";
    case PageNumberStyle.UPPER_LETTERS: return "PageNumberStyle.UPPER_LETTERS";
    case PageNumberStyle.LOWER_LETTERS: return "PageNumberStyle.LOWER_LETTERS";
    case PageNumberStyle.ARABIC: return "PageNumberStyle.ARABIC";
    case PageNumberStyle.KANJI: return "PageNumberStyle.KANJI";
    case PageNumberStyle.DOUBLE_LEADING_ZEROS: return "PageNumberStyle.DOUBLE_LEADING_ZEROS";
    case PageNumberStyle.TRIPLE_LEADING_ZEROS: return "PageNumberStyle.TRIPLE_LEADING_ZEROS";
    case PageNumberStyle.ARABIC_ALIF_BA_TAH: return "PageNumberStyle.ARABIC_ALIF_BA_TAH";
    case PageNumberStyle.ARABIC_ABJAD: return "PageNumberStyle.ARABIC_ABJAD";
    case PageNumberStyle.HEBREW_BIBLICAL: return "PageNumberStyle.HEBREW_BIBLICAL";
    case PageNumberStyle.HEBREW_NON_STANDARD: return "PageNumberStyle.HEBREW_NON_STANDARD";
    case PageNumberStyle.SINGLE_LEADING_ZEROS: return "PageNumberStyle.SINGLE_LEADING_ZEROS";
    case PageNumberStyle.FULL_WIDTH_ARABIC: return "PageNumberStyle.FULL_WIDTH_ARABIC";
    case GradientType.LINEAR: return "GradientType.LINEAR";
    case GradientType.RADIAL: return "GradientType.RADIAL";
    case JoinOptions.CONNECT: return "JoinOptions.CONNECT";
    case JoinOptions.COMBINE: return "JoinOptions.COMBINE";
    case PathType.OPEN_PATH: return "PathType.OPEN_PATH";
    case PathType.CLOSED_PATH: return "PathType.CLOSED_PATH";
    case PointType.SMOOTH: return "PointType.SMOOTH";
    case PointType.CORNER: return "PointType.CORNER";
    case PointType.PLAIN: return "PointType.PLAIN";
    case PointType.SYMMETRICAL: return "PointType.SYMMETRICAL";
    case CreateProxy.AS_NEEDED: return "CreateProxy.AS_NEEDED";
    case CreateProxy.ALWAYS: return "CreateProxy.ALWAYS";
    case ImportedPageCropOptions.CROP_CONTENT: return "ImportedPageCropOptions.CROP_CONTENT";
    case ImportedPageCropOptions.CROP_BLEED: return "ImportedPageCropOptions.CROP_BLEED";
    case ImportedPageCropOptions.CROP_SLUG: return "ImportedPageCropOptions.CROP_SLUG";
    case StrokeFillProxyOptions.STROKE: return "StrokeFillProxyOptions.STROKE";
    case StrokeFillProxyOptions.FILL: return "StrokeFillProxyOptions.FILL";
    case StrokeFillTargetOptions.FORMATTING_AFFECTS_CONTAINER: return "StrokeFillTargetOptions.FORMATTING_AFFECTS_CONTAINER";
    case StrokeFillTargetOptions.FORMATTING_AFFECTS_TEXT: return "StrokeFillTargetOptions.FORMATTING_AFFECTS_TEXT";
    case RotationDirection.FORWARD: return "RotationDirection.FORWARD";
    case RotationDirection.BACKWARD: return "RotationDirection.BACKWARD";
    case LocationOptions.BEFORE: return "LocationOptions.BEFORE";
    case LocationOptions.AFTER: return "LocationOptions.AFTER";
    case LocationOptions.AT_END: return "LocationOptions.AT_END";
    case LocationOptions.AT_BEGINNING: return "LocationOptions.AT_BEGINNING";
    case LocationOptions.UNKNOWN: return "LocationOptions.UNKNOWN";
    case UIColors.LIGHT_BLUE: return "UIColors.LIGHT_BLUE";
    case UIColors.RED: return "UIColors.RED";
    case UIColors.GREEN: return "UIColors.GREEN";
    case UIColors.BLUE: return "UIColors.BLUE";
    case UIColors.YELLOW: return "UIColors.YELLOW";
    case UIColors.MAGENTA: return "UIColors.MAGENTA";
    case UIColors.CYAN: return "UIColors.CYAN";
    case UIColors.GRAY: return "UIColors.GRAY";
    case UIColors.BLACK: return "UIColors.BLACK";
    case UIColors.ORANGE: return "UIColors.ORANGE";
    case UIColors.DARK_GREEN: return "UIColors.DARK_GREEN";
    case UIColors.TEAL: return "UIColors.TEAL";
    case UIColors.TAN: return "UIColors.TAN";
    case UIColors.BROWN: return "UIColors.BROWN";
    case UIColors.VIOLET: return "UIColors.VIOLET";
    case UIColors.GOLD: return "UIColors.GOLD";
    case UIColors.DARK_BLUE: return "UIColors.DARK_BLUE";
    case UIColors.PINK: return "UIColors.PINK";
    case UIColors.LAVENDER: return "UIColors.LAVENDER";
    case UIColors.BRICK_RED: return "UIColors.BRICK_RED";
    case UIColors.OLIVE_GREEN: return "UIColors.OLIVE_GREEN";
    case UIColors.PEACH: return "UIColors.PEACH";
    case UIColors.BURGUNDY: return "UIColors.BURGUNDY";
    case UIColors.GRASS_GREEN: return "UIColors.GRASS_GREEN";
    case UIColors.OCHRE: return "UIColors.OCHRE";
    case UIColors.PURPLE: return "UIColors.PURPLE";
    case UIColors.LIGHT_GRAY: return "UIColors.LIGHT_GRAY";
    case UIColors.CHARCOAL: return "UIColors.CHARCOAL";
    case UIColors.GRID_BLUE: return "UIColors.GRID_BLUE";
    case UIColors.GRID_ORANGE: return "UIColors.GRID_ORANGE";
    case UIColors.FIESTA: return "UIColors.FIESTA";
    case UIColors.LIGHT_OLIVE: return "UIColors.LIGHT_OLIVE";
    case UIColors.LIPSTICK: return "UIColors.LIPSTICK";
    case UIColors.CUTE_TEAL: return "UIColors.CUTE_TEAL";
    case UIColors.SULPHUR: return "UIColors.SULPHUR";
    case UIColors.GRID_GREEN: return "UIColors.GRID_GREEN";
    case UIColors.WHITE: return "UIColors.WHITE";
    case NothingEnum.NOTHING: return "NothingEnum.NOTHING";
    case AutoEnum.AUTO_VALUE: return "AutoEnum.AUTO_VALUE";
    case EventPhases.NOT_DISPATCHING: return "EventPhases.NOT_DISPATCHING";
    case EventPhases.AT_TARGET: return "EventPhases.AT_TARGET";
    case EventPhases.BUBBLING_PHASE: return "EventPhases.BUBBLING_PHASE";
    case EventPhases.DONE: return "EventPhases.DONE";
    case ExportFormat.TAGGED_TEXT: return "ExportFormat.TAGGED_TEXT";
    case ExportFormat.PDF_TYPE: return "ExportFormat.PDF_TYPE";
    case ExportFormat.EPS_TYPE: return "ExportFormat.EPS_TYPE";
    case ExportFormat.RTF: return "ExportFormat.RTF";
    case ExportFormat.TEXT_TYPE: return "ExportFormat.TEXT_TYPE";
    case ExportFormat.XML: return "ExportFormat.XML";
    case ExportFormat.JPG: return "ExportFormat.JPG";
    case ExportFormat.INTERACTIVE_PDF: return "ExportFormat.INTERACTIVE_PDF";
    case ExportFormat.PACKAGED_XFL: return "ExportFormat.PACKAGED_XFL";
    case ExportFormat.SWF: return "ExportFormat.SWF";
    case ExportFormat.INDESIGN_SNIPPET: return "ExportFormat.INDESIGN_SNIPPET";
    case ExportFormat.INDESIGN_MARKUP: return "ExportFormat.INDESIGN_MARKUP";
    case ExportFormat.INCOPY_MARKUP: return "ExportFormat.INCOPY_MARKUP";
    case ExportFormat.PNG_FORMAT: return "ExportFormat.PNG_FORMAT";
    case ExportFormat.HTML: return "ExportFormat.HTML";
    case ExportFormat.EPUB: return "ExportFormat.EPUB";
    case PlacedVectorProfilePolicy.IGNORE_ALL: return "PlacedVectorProfilePolicy.IGNORE_ALL";
    case PlacedVectorProfilePolicy.IGNORE_OUTPUT_INTENT: return "PlacedVectorProfilePolicy.IGNORE_OUTPUT_INTENT";
    case PlacedVectorProfilePolicy.HONOR_ALL_PROFILES: return "PlacedVectorProfilePolicy.HONOR_ALL_PROFILES";
    case ColorSettingsPolicy.COLOR_POLICY_OFF: return "ColorSettingsPolicy.COLOR_POLICY_OFF";
    case ColorSettingsPolicy.PRESERVE_EMBEDDED_PROFILES: return "ColorSettingsPolicy.PRESERVE_EMBEDDED_PROFILES";
    case ColorSettingsPolicy.CONVERT_TO_WORKING_SPACE: return "ColorSettingsPolicy.CONVERT_TO_WORKING_SPACE";
    case ColorSettingsPolicy.COMBINATION_OF_PRESERVE_AND_SAFE_CMYK: return "ColorSettingsPolicy.COMBINATION_OF_PRESERVE_AND_SAFE_CMYK";
    case DefaultRenderingIntent.PERCEPTUAL: return "DefaultRenderingIntent.PERCEPTUAL";
    case DefaultRenderingIntent.SATURATION: return "DefaultRenderingIntent.SATURATION";
    case DefaultRenderingIntent.RELATIVE_COLORIMETRIC: return "DefaultRenderingIntent.RELATIVE_COLORIMETRIC";
    case DefaultRenderingIntent.ABSOLUTE_COLORIMETRIC: return "DefaultRenderingIntent.ABSOLUTE_COLORIMETRIC";
    case ProofingType.PROOF_OFF: return "ProofingType.PROOF_OFF";
    case ProofingType.DOCUMENT_CMYK: return "ProofingType.DOCUMENT_CMYK";
    case ProofingType.WORKING_CMYK: return "ProofingType.WORKING_CMYK";
    case ProofingType.CUSTOM: return "ProofingType.CUSTOM";
    case ChangeConditionsModes.REPLACE_WITH: return "ChangeConditionsModes.REPLACE_WITH";
    case ChangeConditionsModes.ADD_TO: return "ChangeConditionsModes.ADD_TO";
    case SearchModes.TEXT_SEARCH: return "SearchModes.TEXT_SEARCH";
    case SearchModes.GREP_SEARCH: return "SearchModes.GREP_SEARCH";
    case SearchModes.GLYPH_SEARCH: return "SearchModes.GLYPH_SEARCH";
    case SearchModes.OBJECT_SEARCH: return "SearchModes.OBJECT_SEARCH";
    case SearchModes.TRANSLITERATE_SEARCH: return "SearchModes.TRANSLITERATE_SEARCH";
    case ObjectTypes.ALL_FRAMES_TYPE: return "ObjectTypes.ALL_FRAMES_TYPE";
    case ObjectTypes.TEXT_FRAMES_TYPE: return "ObjectTypes.TEXT_FRAMES_TYPE";
    case ObjectTypes.GRAPHIC_FRAMES_TYPE: return "ObjectTypes.GRAPHIC_FRAMES_TYPE";
    case ObjectTypes.UNASSIGNED_FRAMES_TYPE: return "ObjectTypes.UNASSIGNED_FRAMES_TYPE";
    case FindChangeTransliterateCharacterTypes.HALF_WIDTH_KATAKANA: return "FindChangeTransliterateCharacterTypes.HALF_WIDTH_KATAKANA";
    case FindChangeTransliterateCharacterTypes.HALF_WIDTH_ROMAN_SYMBOLS: return "FindChangeTransliterateCharacterTypes.HALF_WIDTH_ROMAN_SYMBOLS";
    case FindChangeTransliterateCharacterTypes.FULL_WIDTH_HIRAGANA: return "FindChangeTransliterateCharacterTypes.FULL_WIDTH_HIRAGANA";
    case FindChangeTransliterateCharacterTypes.FULL_WIDTH_KATAKANA: return "FindChangeTransliterateCharacterTypes.FULL_WIDTH_KATAKANA";
    case FindChangeTransliterateCharacterTypes.FULL_WIDTH_ROMAN_SYMBOLS: return "FindChangeTransliterateCharacterTypes.FULL_WIDTH_ROMAN_SYMBOLS";
    case LibraryPanelViews.LIST_VIEW: return "LibraryPanelViews.LIST_VIEW";
    case LibraryPanelViews.THUMBNAIL_VIEW: return "LibraryPanelViews.THUMBNAIL_VIEW";
    case LibraryPanelViews.LARGE_THUMBNAIL_VIEW: return "LibraryPanelViews.LARGE_THUMBNAIL_VIEW";
    case SortAssets.BY_NAME: return "SortAssets.BY_NAME";
    case SortAssets.BY_OLDEST: return "SortAssets.BY_OLDEST";
    case SortAssets.BY_NEWEST: return "SortAssets.BY_NEWEST";
    case SortAssets.BY_TYPE: return "SortAssets.BY_TYPE";
    case LinkStatus.NORMAL: return "LinkStatus.NORMAL";
    case LinkStatus.LINK_OUT_OF_DATE: return "LinkStatus.LINK_OUT_OF_DATE";
    case LinkStatus.LINK_MISSING: return "LinkStatus.LINK_MISSING";
    case LinkStatus.LINK_EMBEDDED: return "LinkStatus.LINK_EMBEDDED";
    case LinkStatus.LINK_INACCESSIBLE: return "LinkStatus.LINK_INACCESSIBLE";
    case AssetType.IMAGE_TYPE: return "AssetType.IMAGE_TYPE";
    case AssetType.EPS_TYPE: return "AssetType.EPS_TYPE";
    case AssetType.PDF_TYPE: return "AssetType.PDF_TYPE";
    case AssetType.GEOMETRY_TYPE: return "AssetType.GEOMETRY_TYPE";
    case AssetType.PAGE_TYPE: return "AssetType.PAGE_TYPE";
    case AssetType.TEXT_TYPE: return "AssetType.TEXT_TYPE";
    case AssetType.STRUCTURE_TYPE: return "AssetType.STRUCTURE_TYPE";
    case AssetType.INDESIGN_FILE_TYPE: return "AssetType.INDESIGN_FILE_TYPE";
    case ChangeTypes.INSERTED_TEXT: return "ChangeTypes.INSERTED_TEXT";
    case ChangeTypes.DELETED_TEXT: return "ChangeTypes.DELETED_TEXT";
    case ChangeTypes.MOVED_TEXT: return "ChangeTypes.MOVED_TEXT";
    case TextPathEffects.RAINBOW_PATH_EFFECT: return "TextPathEffects.RAINBOW_PATH_EFFECT";
    case TextPathEffects.SKEW_PATH_EFFECT: return "TextPathEffects.SKEW_PATH_EFFECT";
    case TextPathEffects.RIBBON_PATH_EFFECT: return "TextPathEffects.RIBBON_PATH_EFFECT";
    case TextPathEffects.STAIR_STEP_PATH_EFFECT: return "TextPathEffects.STAIR_STEP_PATH_EFFECT";
    case TextPathEffects.GRAVITY_PATH_EFFECT: return "TextPathEffects.GRAVITY_PATH_EFFECT";
    case TextTypeAlignments.ASCENDER_TEXT_ALIGNMENT: return "TextTypeAlignments.ASCENDER_TEXT_ALIGNMENT";
    case TextTypeAlignments.DESCENDER_TEXT_ALIGNMENT: return "TextTypeAlignments.DESCENDER_TEXT_ALIGNMENT";
    case TextTypeAlignments.CENTER_TEXT_ALIGNMENT: return "TextTypeAlignments.CENTER_TEXT_ALIGNMENT";
    case TextTypeAlignments.BASELINE_TEXT_ALIGNMENT: return "TextTypeAlignments.BASELINE_TEXT_ALIGNMENT";
    case TextTypeAlignments.ABOVE_RIGHT_EM_BOX_TEXT_ALIGNMENT: return "TextTypeAlignments.ABOVE_RIGHT_EM_BOX_TEXT_ALIGNMENT";
    case TextTypeAlignments.BELOW_LEFT_EM_BOX_TEXT_ALIGNMENT: return "TextTypeAlignments.BELOW_LEFT_EM_BOX_TEXT_ALIGNMENT";
    case TextTypeAlignments.ABOVE_RIGHT_ICF_BOX_TEXT_ALIGNMENT: return "TextTypeAlignments.ABOVE_RIGHT_ICF_BOX_TEXT_ALIGNMENT";
    case TextTypeAlignments.BELOW_LEFT_ICF_BOX_TEXT_ALIGNMENT: return "TextTypeAlignments.BELOW_LEFT_ICF_BOX_TEXT_ALIGNMENT";
    case PathTypeAlignments.TOP_PATH_ALIGNMENT: return "PathTypeAlignments.TOP_PATH_ALIGNMENT";
    case PathTypeAlignments.BOTTOM_PATH_ALIGNMENT: return "PathTypeAlignments.BOTTOM_PATH_ALIGNMENT";
    case PathTypeAlignments.CENTER_PATH_ALIGNMENT: return "PathTypeAlignments.CENTER_PATH_ALIGNMENT";
    case FlipValues.NOT_FLIPPED: return "FlipValues.NOT_FLIPPED";
    case FlipValues.FLIPPED: return "FlipValues.FLIPPED";
    case FlipValues.UNDEFINED_FLIP_VALUE: return "FlipValues.UNDEFINED_FLIP_VALUE";
    case XMLElementLocation.ELEMENT_START: return "XMLElementLocation.ELEMENT_START";
    case XMLElementLocation.ELEMENT_END: return "XMLElementLocation.ELEMENT_END";
    case XMLElementPosition.BEFORE_ELEMENT: return "XMLElementPosition.BEFORE_ELEMENT";
    case XMLElementPosition.AFTER_ELEMENT: return "XMLElementPosition.AFTER_ELEMENT";
    case XMLElementPosition.ELEMENT_START: return "XMLElementPosition.ELEMENT_START";
    case XMLElementPosition.ELEMENT_END: return "XMLElementPosition.ELEMENT_END";
    case XMLImportStyles.APPEND_IMPORT: return "XMLImportStyles.APPEND_IMPORT";
    case XMLImportStyles.MERGE_IMPORT: return "XMLImportStyles.MERGE_IMPORT";
    case XMLFileEncoding.UTF8: return "XMLFileEncoding.UTF8";
    case XMLFileEncoding.UTF16: return "XMLFileEncoding.UTF16";
    case XMLFileEncoding.SHIFT_JIS: return "XMLFileEncoding.SHIFT_JIS";
    case ImageConversion.AUTOMATIC: return "ImageConversion.AUTOMATIC";
    case ImageConversion.JPEG: return "ImageConversion.JPEG";
    case ImageConversion.GIF: return "ImageConversion.GIF";
    case ImageConversion.PNG: return "ImageConversion.PNG";
    case GIFOptionsPalette.ADAPTIVE_PALETTE: return "GIFOptionsPalette.ADAPTIVE_PALETTE";
    case GIFOptionsPalette.MACINTOSH_PALETTE: return "GIFOptionsPalette.MACINTOSH_PALETTE";
    case GIFOptionsPalette.WEB_PALETTE: return "GIFOptionsPalette.WEB_PALETTE";
    case GIFOptionsPalette.WINDOWS_PALETTE: return "GIFOptionsPalette.WINDOWS_PALETTE";
    case JPEGOptionsQuality.LOW: return "JPEGOptionsQuality.LOW";
    case JPEGOptionsQuality.MEDIUM: return "JPEGOptionsQuality.MEDIUM";
    case JPEGOptionsQuality.HIGH: return "JPEGOptionsQuality.HIGH";
    case JPEGOptionsQuality.MAXIMUM: return "JPEGOptionsQuality.MAXIMUM";
    case JPEGOptionsFormat.BASELINE_ENCODING: return "JPEGOptionsFormat.BASELINE_ENCODING";
    case JPEGOptionsFormat.PROGRESSIVE_ENCODING: return "JPEGOptionsFormat.PROGRESSIVE_ENCODING";
    case XMLExportUntaggedTablesFormat.NONE: return "XMLExportUntaggedTablesFormat.NONE";
    case XMLExportUntaggedTablesFormat.CALS: return "XMLExportUntaggedTablesFormat.CALS";
    case XMLTransformFile.STYLESHEET_IN_XML: return "XMLTransformFile.STYLESHEET_IN_XML";
    case AnchorPosition.INLINE_POSITION: return "AnchorPosition.INLINE_POSITION";
    case AnchorPosition.ABOVE_LINE: return "AnchorPosition.ABOVE_LINE";
    case AnchorPosition.ANCHORED: return "AnchorPosition.ANCHORED";
    case HorizontalAlignment.RIGHT_ALIGN: return "HorizontalAlignment.RIGHT_ALIGN";
    case HorizontalAlignment.LEFT_ALIGN: return "HorizontalAlignment.LEFT_ALIGN";
    case HorizontalAlignment.CENTER_ALIGN: return "HorizontalAlignment.CENTER_ALIGN";
    case HorizontalAlignment.TEXT_ALIGN: return "HorizontalAlignment.TEXT_ALIGN";
    case VerticalAlignment.TOP_ALIGN: return "VerticalAlignment.TOP_ALIGN";
    case VerticalAlignment.BOTTOM_ALIGN: return "VerticalAlignment.BOTTOM_ALIGN";
    case VerticalAlignment.CENTER_ALIGN: return "VerticalAlignment.CENTER_ALIGN";
    case AnchoredRelativeTo.COLUMN_EDGE: return "AnchoredRelativeTo.COLUMN_EDGE";
    case AnchoredRelativeTo.TEXT_FRAME: return "AnchoredRelativeTo.TEXT_FRAME";
    case AnchoredRelativeTo.PAGE_MARGINS: return "AnchoredRelativeTo.PAGE_MARGINS";
    case AnchoredRelativeTo.PAGE_EDGE: return "AnchoredRelativeTo.PAGE_EDGE";
    case AnchoredRelativeTo.ANCHOR_LOCATION: return "AnchoredRelativeTo.ANCHOR_LOCATION";
    case BalanceLinesStyle.NO_BALANCING: return "BalanceLinesStyle.NO_BALANCING";
    case BalanceLinesStyle.VEE_SHAPE: return "BalanceLinesStyle.VEE_SHAPE";
    case BalanceLinesStyle.FULLY_BALANCED: return "BalanceLinesStyle.FULLY_BALANCED";
    case BalanceLinesStyle.PYRAMID_SHAPE: return "BalanceLinesStyle.PYRAMID_SHAPE";
    case VerticallyRelativeTo.COLUMN_EDGE: return "VerticallyRelativeTo.COLUMN_EDGE";
    case VerticallyRelativeTo.TEXT_FRAME: return "VerticallyRelativeTo.TEXT_FRAME";
    case VerticallyRelativeTo.PAGE_MARGINS: return "VerticallyRelativeTo.PAGE_MARGINS";
    case VerticallyRelativeTo.PAGE_EDGE: return "VerticallyRelativeTo.PAGE_EDGE";
    case VerticallyRelativeTo.LINE_BASELINE: return "VerticallyRelativeTo.LINE_BASELINE";
    case VerticallyRelativeTo.LINE_XHEIGHT: return "VerticallyRelativeTo.LINE_XHEIGHT";
    case VerticallyRelativeTo.LINE_ASCENT: return "VerticallyRelativeTo.LINE_ASCENT";
    case VerticallyRelativeTo.CAPHEIGHT: return "VerticallyRelativeTo.CAPHEIGHT";
    case VerticallyRelativeTo.TOP_OF_LEADING: return "VerticallyRelativeTo.TOP_OF_LEADING";
    case VerticallyRelativeTo.EMBOX_TOP: return "VerticallyRelativeTo.EMBOX_TOP";
    case VerticallyRelativeTo.EMBOX_MIDDLE: return "VerticallyRelativeTo.EMBOX_MIDDLE";
    case VerticallyRelativeTo.EMBOX_BOTTOM: return "VerticallyRelativeTo.EMBOX_BOTTOM";
    case PositionalForms.NONE: return "PositionalForms.NONE";
    case PositionalForms.CALCULATE: return "PositionalForms.CALCULATE";
    case PositionalForms.INITIAL: return "PositionalForms.INITIAL";
    case PositionalForms.MEDIAL: return "PositionalForms.MEDIAL";
    case PositionalForms.FINAL: return "PositionalForms.FINAL";
    case PositionalForms.ISOLATED: return "PositionalForms.ISOLATED";
    case TextStrokeAlign.CENTER_ALIGNMENT: return "TextStrokeAlign.CENTER_ALIGNMENT";
    case TextStrokeAlign.OUTSIDE_ALIGNMENT: return "TextStrokeAlign.OUTSIDE_ALIGNMENT";
    case OutlineJoin.MITER_END_JOIN: return "OutlineJoin.MITER_END_JOIN";
    case OutlineJoin.ROUND_END_JOIN: return "OutlineJoin.ROUND_END_JOIN";
    case OutlineJoin.BEVEL_END_JOIN: return "OutlineJoin.BEVEL_END_JOIN";
    case BaselineFrameGridRelativeOption.TOP_OF_PAGE: return "BaselineFrameGridRelativeOption.TOP_OF_PAGE";
    case BaselineFrameGridRelativeOption.TOP_OF_MARGIN: return "BaselineFrameGridRelativeOption.TOP_OF_MARGIN";
    case BaselineFrameGridRelativeOption.TOP_OF_FRAME: return "BaselineFrameGridRelativeOption.TOP_OF_FRAME";
    case BaselineFrameGridRelativeOption.TOP_OF_INSET: return "BaselineFrameGridRelativeOption.TOP_OF_INSET";
    case FootnoteFirstBaseline.ASCENT_OFFSET: return "FootnoteFirstBaseline.ASCENT_OFFSET";
    case FootnoteFirstBaseline.CAP_HEIGHT: return "FootnoteFirstBaseline.CAP_HEIGHT";
    case FootnoteFirstBaseline.LEADING_OFFSET: return "FootnoteFirstBaseline.LEADING_OFFSET";
    case FootnoteFirstBaseline.EMBOX_HEIGHT: return "FootnoteFirstBaseline.EMBOX_HEIGHT";
    case FootnoteFirstBaseline.X_HEIGHT: return "FootnoteFirstBaseline.X_HEIGHT";
    case FootnoteFirstBaseline.FIXED_HEIGHT: return "FootnoteFirstBaseline.FIXED_HEIGHT";
    case FootnoteRestarting.DONT_RESTART: return "FootnoteRestarting.DONT_RESTART";
    case FootnoteRestarting.PAGE_RESTART: return "FootnoteRestarting.PAGE_RESTART";
    case FootnoteRestarting.SPREAD_RESTART: return "FootnoteRestarting.SPREAD_RESTART";
    case FootnoteRestarting.SECTION_RESTART: return "FootnoteRestarting.SECTION_RESTART";
    case FootnotePrefixSuffix.NO_PREFIX_SUFFIX: return "FootnotePrefixSuffix.NO_PREFIX_SUFFIX";
    case FootnotePrefixSuffix.PREFIX_SUFFIX_REFERENCE: return "FootnotePrefixSuffix.PREFIX_SUFFIX_REFERENCE";
    case FootnotePrefixSuffix.PREFIX_SUFFIX_MARKER: return "FootnotePrefixSuffix.PREFIX_SUFFIX_MARKER";
    case FootnotePrefixSuffix.PREFIX_SUFFIX_BOTH: return "FootnotePrefixSuffix.PREFIX_SUFFIX_BOTH";
    case FootnoteNumberingStyle.UPPER_ROMAN: return "FootnoteNumberingStyle.UPPER_ROMAN";
    case FootnoteNumberingStyle.LOWER_ROMAN: return "FootnoteNumberingStyle.LOWER_ROMAN";
    case FootnoteNumberingStyle.UPPER_LETTERS: return "FootnoteNumberingStyle.UPPER_LETTERS";
    case FootnoteNumberingStyle.LOWER_LETTERS: return "FootnoteNumberingStyle.LOWER_LETTERS";
    case FootnoteNumberingStyle.ARABIC: return "FootnoteNumberingStyle.ARABIC";
    case FootnoteNumberingStyle.SYMBOLS: return "FootnoteNumberingStyle.SYMBOLS";
    case FootnoteNumberingStyle.KANJI: return "FootnoteNumberingStyle.KANJI";
    case FootnoteNumberingStyle.FULL_WIDTH_ARABIC: return "FootnoteNumberingStyle.FULL_WIDTH_ARABIC";
    case FootnoteNumberingStyle.SINGLE_LEADING_ZEROS: return "FootnoteNumberingStyle.SINGLE_LEADING_ZEROS";
    case FootnoteNumberingStyle.DOUBLE_LEADING_ZEROS: return "FootnoteNumberingStyle.DOUBLE_LEADING_ZEROS";
    case FootnoteNumberingStyle.ASTERISKS: return "FootnoteNumberingStyle.ASTERISKS";
    case FootnoteNumberingStyle.ARABIC_ALIF_BA_TAH: return "FootnoteNumberingStyle.ARABIC_ALIF_BA_TAH";
    case FootnoteNumberingStyle.ARABIC_ABJAD: return "FootnoteNumberingStyle.ARABIC_ABJAD";
    case FootnoteNumberingStyle.HEBREW_BIBLICAL: return "FootnoteNumberingStyle.HEBREW_BIBLICAL";
    case FootnoteNumberingStyle.HEBREW_NON_STANDARD: return "FootnoteNumberingStyle.HEBREW_NON_STANDARD";
    case FootnoteMarkerPositioning.NORMAL_MARKER: return "FootnoteMarkerPositioning.NORMAL_MARKER";
    case FootnoteMarkerPositioning.SUPERSCRIPT_MARKER: return "FootnoteMarkerPositioning.SUPERSCRIPT_MARKER";
    case FootnoteMarkerPositioning.SUBSCRIPT_MARKER: return "FootnoteMarkerPositioning.SUBSCRIPT_MARKER";
    case FootnoteMarkerPositioning.RUBY_MARKER: return "FootnoteMarkerPositioning.RUBY_MARKER";
    case OverrideType.ALL: return "OverrideType.ALL";
    case OverrideType.CHARACTER_ONLY: return "OverrideType.CHARACTER_ONLY";
    case OverrideType.PARAGRAPH_ONLY: return "OverrideType.PARAGRAPH_ONLY";
    case GlobalClashResolutionStrategy.LOAD_ALL_WITH_OVERWRITE: return "GlobalClashResolutionStrategy.LOAD_ALL_WITH_OVERWRITE";
    case GlobalClashResolutionStrategy.LOAD_ALL_WITH_RENAME: return "GlobalClashResolutionStrategy.LOAD_ALL_WITH_RENAME";
    case GlobalClashResolutionStrategy.DO_NOT_LOAD_THE_STYLE: return "GlobalClashResolutionStrategy.DO_NOT_LOAD_THE_STYLE";
    case StoryHorizontalOrVertical.HORIZONTAL: return "StoryHorizontalOrVertical.HORIZONTAL";
    case StoryHorizontalOrVertical.VERTICAL: return "StoryHorizontalOrVertical.VERTICAL";
    case StoryHorizontalOrVertical.UNKNOWN: return "StoryHorizontalOrVertical.UNKNOWN";
    case AddPageOptions.END_OF_STORY: return "AddPageOptions.END_OF_STORY";
    case AddPageOptions.END_OF_SECTION: return "AddPageOptions.END_OF_SECTION";
    case AddPageOptions.END_OF_DOCUMENT: return "AddPageOptions.END_OF_DOCUMENT";
    case VariableTypes.CUSTOM_TEXT_TYPE: return "VariableTypes.CUSTOM_TEXT_TYPE";
    case VariableTypes.FILE_NAME_TYPE: return "VariableTypes.FILE_NAME_TYPE";
    case VariableTypes.LAST_PAGE_NUMBER_TYPE: return "VariableTypes.LAST_PAGE_NUMBER_TYPE";
    case VariableTypes.CHAPTER_NUMBER_TYPE: return "VariableTypes.CHAPTER_NUMBER_TYPE";
    case VariableTypes.OUTPUT_DATE_TYPE: return "VariableTypes.OUTPUT_DATE_TYPE";
    case VariableTypes.CREATION_DATE_TYPE: return "VariableTypes.CREATION_DATE_TYPE";
    case VariableTypes.MODIFICATION_DATE_TYPE: return "VariableTypes.MODIFICATION_DATE_TYPE";
    case VariableTypes.MATCH_CHARACTER_STYLE_TYPE: return "VariableTypes.MATCH_CHARACTER_STYLE_TYPE";
    case VariableTypes.MATCH_PARAGRAPH_STYLE_TYPE: return "VariableTypes.MATCH_PARAGRAPH_STYLE_TYPE";
    case VariableTypes.XREF_PAGE_NUMBER_TYPE: return "VariableTypes.XREF_PAGE_NUMBER_TYPE";
    case VariableTypes.XREF_CHAPTER_NUMBER_TYPE: return "VariableTypes.XREF_CHAPTER_NUMBER_TYPE";
    case VariableTypes.LIVE_CAPTION_TYPE: return "VariableTypes.LIVE_CAPTION_TYPE";
    case VariableScopes.DOCUMENT_SCOPE: return "VariableScopes.DOCUMENT_SCOPE";
    case VariableScopes.SECTION_SCOPE: return "VariableScopes.SECTION_SCOPE";
    case VariableNumberingStyles.CURRENT: return "VariableNumberingStyles.CURRENT";
    case VariableNumberingStyles.ARABIC: return "VariableNumberingStyles.ARABIC";
    case VariableNumberingStyles.UPPER_ROMAN: return "VariableNumberingStyles.UPPER_ROMAN";
    case VariableNumberingStyles.LOWER_ROMAN: return "VariableNumberingStyles.LOWER_ROMAN";
    case VariableNumberingStyles.UPPER_LETTERS: return "VariableNumberingStyles.UPPER_LETTERS";
    case VariableNumberingStyles.LOWER_LETTERS: return "VariableNumberingStyles.LOWER_LETTERS";
    case VariableNumberingStyles.KANJI: return "VariableNumberingStyles.KANJI";
    case VariableNumberingStyles.FULL_WIDTH_ARABIC: return "VariableNumberingStyles.FULL_WIDTH_ARABIC";
    case VariableNumberingStyles.SINGLE_LEADING_ZEROS: return "VariableNumberingStyles.SINGLE_LEADING_ZEROS";
    case VariableNumberingStyles.DOUBLE_LEADING_ZEROS: return "VariableNumberingStyles.DOUBLE_LEADING_ZEROS";
    case SearchStrategies.FIRST_ON_PAGE: return "SearchStrategies.FIRST_ON_PAGE";
    case SearchStrategies.LAST_ON_PAGE: return "SearchStrategies.LAST_ON_PAGE";
    case ChangeCaseOptions.NONE: return "ChangeCaseOptions.NONE";
    case ChangeCaseOptions.UPPERCASE: return "ChangeCaseOptions.UPPERCASE";
    case ChangeCaseOptions.LOWERCASE: return "ChangeCaseOptions.LOWERCASE";
    case ChangeCaseOptions.TITLECASE: return "ChangeCaseOptions.TITLECASE";
    case ChangeCaseOptions.SENTENCECASE: return "ChangeCaseOptions.SENTENCECASE";
    case SpanColumnTypeOptions.SINGLE_COLUMN: return "SpanColumnTypeOptions.SINGLE_COLUMN";
    case SpanColumnTypeOptions.SPAN_COLUMNS: return "SpanColumnTypeOptions.SPAN_COLUMNS";
    case SpanColumnTypeOptions.SPLIT_COLUMNS: return "SpanColumnTypeOptions.SPLIT_COLUMNS";
    case SpanColumnCountOptions.ALL: return "SpanColumnCountOptions.ALL";
    case LineAlignment.LEFT_OR_TOP_LINE_ALIGN: return "LineAlignment.LEFT_OR_TOP_LINE_ALIGN";
    case LineAlignment.CENTER_LINE_ALIGN: return "LineAlignment.CENTER_LINE_ALIGN";
    case LineAlignment.RIGHT_OR_BOTTOM_LINE_ALIGN: return "LineAlignment.RIGHT_OR_BOTTOM_LINE_ALIGN";
    case LineAlignment.LEFT_OR_TOP_LINE_JUSTIFY: return "LineAlignment.LEFT_OR_TOP_LINE_JUSTIFY";
    case LineAlignment.CENTER_LINE_JUSTIFY: return "LineAlignment.CENTER_LINE_JUSTIFY";
    case LineAlignment.RIGHT_OR_BOTTOM_LINE_JUSTIFY: return "LineAlignment.RIGHT_OR_BOTTOM_LINE_JUSTIFY";
    case LineAlignment.FULL_LINE_JUSTIFY: return "LineAlignment.FULL_LINE_JUSTIFY";
    case GridViewSettings.GRID_VIEW_ENUM: return "GridViewSettings.GRID_VIEW_ENUM";
    case GridViewSettings.ZN_VIEW_ENUM: return "GridViewSettings.ZN_VIEW_ENUM";
    case GridViewSettings.ALIGN_VIEW_ENUM: return "GridViewSettings.ALIGN_VIEW_ENUM";
    case GridViewSettings.GRID_AND_ZN_VIEW_ENUM: return "GridViewSettings.GRID_AND_ZN_VIEW_ENUM";
    case CharacterCountLocation.NONE: return "CharacterCountLocation.NONE";
    case CharacterCountLocation.TOP_ALIGN: return "CharacterCountLocation.TOP_ALIGN";
    case CharacterCountLocation.LEFT_ALIGN: return "CharacterCountLocation.LEFT_ALIGN";
    case CharacterCountLocation.BOTTOM_ALIGN: return "CharacterCountLocation.BOTTOM_ALIGN";
    case CharacterCountLocation.RIGHT_ALIGN: return "CharacterCountLocation.RIGHT_ALIGN";
    case InCopyUIColors.CANARY: return "InCopyUIColors.CANARY";
    case InCopyUIColors.LEMON: return "InCopyUIColors.LEMON";
    case InCopyUIColors.ELECTROLYTE: return "InCopyUIColors.ELECTROLYTE";
    case InCopyUIColors.LIME: return "InCopyUIColors.LIME";
    case InCopyUIColors.FOREST: return "InCopyUIColors.FOREST";
    case InCopyUIColors.LICHEN: return "InCopyUIColors.LICHEN";
    case InCopyUIColors.JADE: return "InCopyUIColors.JADE";
    case InCopyUIColors.AQUA: return "InCopyUIColors.AQUA";
    case InCopyUIColors.CIRRUS: return "InCopyUIColors.CIRRUS";
    case InCopyUIColors.ETHER: return "InCopyUIColors.ETHER";
    case InCopyUIColors.SLATE: return "InCopyUIColors.SLATE";
    case InCopyUIColors.ULTRAMARINE: return "InCopyUIColors.ULTRAMARINE";
    case InCopyUIColors.MIDNIGHT: return "InCopyUIColors.MIDNIGHT";
    case InCopyUIColors.BLUEBERRY: return "InCopyUIColors.BLUEBERRY";
    case InCopyUIColors.EGGPLANT: return "InCopyUIColors.EGGPLANT";
    case InCopyUIColors.GRAPE: return "InCopyUIColors.GRAPE";
    case InCopyUIColors.FUCHSIA: return "InCopyUIColors.FUCHSIA";
    case InCopyUIColors.IRIS: return "InCopyUIColors.IRIS";
    case InCopyUIColors.CARNATION: return "InCopyUIColors.CARNATION";
    case InCopyUIColors.MOCHA: return "InCopyUIColors.MOCHA";
    case InCopyUIColors.WHEAT: return "InCopyUIColors.WHEAT";
    case InCopyUIColors.MUSTARD: return "InCopyUIColors.MUSTARD";
    case InCopyUIColors.AMBER: return "InCopyUIColors.AMBER";
    case InCopyUIColors.CORNSTARCH: return "InCopyUIColors.CORNSTARCH";
    case InCopyUIColors.POWDER: return "InCopyUIColors.POWDER";
    case InCopyUIColors.SMOKE: return "InCopyUIColors.SMOKE";
    case InCopyUIColors.GRAPHITE: return "InCopyUIColors.GRAPHITE";
    case InCopyUIColors.GUNMETAL: return "InCopyUIColors.GUNMETAL";
    case InCopyUIColors.LIGHT_BLUE: return "InCopyUIColors.LIGHT_BLUE";
    case InCopyUIColors.RED: return "InCopyUIColors.RED";
    case InCopyUIColors.GREEN: return "InCopyUIColors.GREEN";
    case InCopyUIColors.BLUE: return "InCopyUIColors.BLUE";
    case InCopyUIColors.YELLOW: return "InCopyUIColors.YELLOW";
    case InCopyUIColors.MAGENTA: return "InCopyUIColors.MAGENTA";
    case InCopyUIColors.CYAN: return "InCopyUIColors.CYAN";
    case InCopyUIColors.GRAY: return "InCopyUIColors.GRAY";
    case InCopyUIColors.BLACK: return "InCopyUIColors.BLACK";
    case InCopyUIColors.ORANGE: return "InCopyUIColors.ORANGE";
    case InCopyUIColors.DARK_GREEN: return "InCopyUIColors.DARK_GREEN";
    case InCopyUIColors.TEAL: return "InCopyUIColors.TEAL";
    case InCopyUIColors.TAN: return "InCopyUIColors.TAN";
    case InCopyUIColors.BROWN: return "InCopyUIColors.BROWN";
    case InCopyUIColors.VIOLET: return "InCopyUIColors.VIOLET";
    case InCopyUIColors.GOLD: return "InCopyUIColors.GOLD";
    case InCopyUIColors.DARK_BLUE: return "InCopyUIColors.DARK_BLUE";
    case InCopyUIColors.PINK: return "InCopyUIColors.PINK";
    case InCopyUIColors.LAVENDER: return "InCopyUIColors.LAVENDER";
    case InCopyUIColors.BRICK_RED: return "InCopyUIColors.BRICK_RED";
    case InCopyUIColors.OLIVE_GREEN: return "InCopyUIColors.OLIVE_GREEN";
    case InCopyUIColors.PEACH: return "InCopyUIColors.PEACH";
    case InCopyUIColors.BURGUNDY: return "InCopyUIColors.BURGUNDY";
    case InCopyUIColors.GRASS_GREEN: return "InCopyUIColors.GRASS_GREEN";
    case InCopyUIColors.OCHRE: return "InCopyUIColors.OCHRE";
    case InCopyUIColors.PURPLE: return "InCopyUIColors.PURPLE";
    case InCopyUIColors.LIGHT_GRAY: return "InCopyUIColors.LIGHT_GRAY";
    case InCopyUIColors.CHARCOAL: return "InCopyUIColors.CHARCOAL";
    case InCopyUIColors.GRID_BLUE: return "InCopyUIColors.GRID_BLUE";
    case InCopyUIColors.GRID_ORANGE: return "InCopyUIColors.GRID_ORANGE";
    case InCopyUIColors.FIESTA: return "InCopyUIColors.FIESTA";
    case InCopyUIColors.LIGHT_OLIVE: return "InCopyUIColors.LIGHT_OLIVE";
    case InCopyUIColors.LIPSTICK: return "InCopyUIColors.LIPSTICK";
    case InCopyUIColors.CUTE_TEAL: return "InCopyUIColors.CUTE_TEAL";
    case InCopyUIColors.SULPHUR: return "InCopyUIColors.SULPHUR";
    case InCopyUIColors.GRID_GREEN: return "InCopyUIColors.GRID_GREEN";
    case InCopyUIColors.WHITE: return "InCopyUIColors.WHITE";
    case CursorTypes.STANDARD_CURSOR: return "CursorTypes.STANDARD_CURSOR";
    case CursorTypes.THICK_CURSOR: return "CursorTypes.THICK_CURSOR";
    case CursorTypes.BARBELL_CURSOR: return "CursorTypes.BARBELL_CURSOR";
    case CursorTypes.BLOCK_CURSOR: return "CursorTypes.BLOCK_CURSOR";
    case AntiAliasType.GRAY_ANTIALIASING: return "AntiAliasType.GRAY_ANTIALIASING";
    case AntiAliasType.COLOR_ANTIALIASING: return "AntiAliasType.COLOR_ANTIALIASING";
    case AntiAliasType.THICKER_ANTIALIASING: return "AntiAliasType.THICKER_ANTIALIASING";
    case LineSpacingType.SINGLE_SPACE: return "LineSpacingType.SINGLE_SPACE";
    case LineSpacingType.ONE_AND_HALF_SPACE: return "LineSpacingType.ONE_AND_HALF_SPACE";
    case LineSpacingType.DOUBLE_SPACE: return "LineSpacingType.DOUBLE_SPACE";
    case LineSpacingType.TRIPLE_SPACE: return "LineSpacingType.TRIPLE_SPACE";
    case RepaginateOption.NEXT_PAGE: return "RepaginateOption.NEXT_PAGE";
    case RepaginateOption.NEXT_ODD_PAGE: return "RepaginateOption.NEXT_ODD_PAGE";
    case RepaginateOption.NEXT_EVEN_PAGE: return "RepaginateOption.NEXT_EVEN_PAGE";
    case BookContentStatus.NORMAL: return "BookContentStatus.NORMAL";
    case BookContentStatus.MISSING_DOCUMENT: return "BookContentStatus.MISSING_DOCUMENT";
    case BookContentStatus.DOCUMENT_OUT_OF_DATE: return "BookContentStatus.DOCUMENT_OUT_OF_DATE";
    case BookContentStatus.DOCUMENT_IN_USE: return "BookContentStatus.DOCUMENT_IN_USE";
    case BookContentStatus.DOCUMENT_IS_OPEN: return "BookContentStatus.DOCUMENT_IS_OPEN";
    case SmartMatchOptions.MATCH_STYLE_PATH: return "SmartMatchOptions.MATCH_STYLE_PATH";
    case SmartMatchOptions.MATCH_STYLE_NAME: return "SmartMatchOptions.MATCH_STYLE_NAME";
    case RowTypes.BODY_ROW: return "RowTypes.BODY_ROW";
    case RowTypes.HEADER_ROW: return "RowTypes.HEADER_ROW";
    case RowTypes.FOOTER_ROW: return "RowTypes.FOOTER_ROW";
    case RowTypes.MIXED_STATE: return "RowTypes.MIXED_STATE";
    case HeaderFooterBreakTypes.IN_ALL_TEXT_COLUMNS: return "HeaderFooterBreakTypes.IN_ALL_TEXT_COLUMNS";
    case HeaderFooterBreakTypes.ONCE_PER_TEXT_FRAME: return "HeaderFooterBreakTypes.ONCE_PER_TEXT_FRAME";
    case HeaderFooterBreakTypes.ONCE_PER_PAGE: return "HeaderFooterBreakTypes.ONCE_PER_PAGE";
    case AlternatingFillsTypes.NO_ALTERNATING_PATTERN: return "AlternatingFillsTypes.NO_ALTERNATING_PATTERN";
    case AlternatingFillsTypes.ALTERNATING_ROWS: return "AlternatingFillsTypes.ALTERNATING_ROWS";
    case AlternatingFillsTypes.ALTERNATING_COLUMNS: return "AlternatingFillsTypes.ALTERNATING_COLUMNS";
    case StrokeOrderTypes.ROW_ON_TOP: return "StrokeOrderTypes.ROW_ON_TOP";
    case StrokeOrderTypes.COLUMN_ON_TOP: return "StrokeOrderTypes.COLUMN_ON_TOP";
    case StrokeOrderTypes.BEST_JOINS: return "StrokeOrderTypes.BEST_JOINS";
    case StrokeOrderTypes.INDESIGN_2_COMPATIBILITY: return "StrokeOrderTypes.INDESIGN_2_COMPATIBILITY";
    case DisplayOrderOptions.ORDER_BY_ROWS: return "DisplayOrderOptions.ORDER_BY_ROWS";
    case DisplayOrderOptions.ORDER_BY_COLUMNS: return "DisplayOrderOptions.ORDER_BY_COLUMNS";
    case FlattenerLevel.LOW: return "FlattenerLevel.LOW";
    case FlattenerLevel.MEDIUM_LOW: return "FlattenerLevel.MEDIUM_LOW";
    case FlattenerLevel.MEDIUM: return "FlattenerLevel.MEDIUM";
    case FlattenerLevel.MEDIUM_HIGH: return "FlattenerLevel.MEDIUM_HIGH";
    case FlattenerLevel.HIGH: return "FlattenerLevel.HIGH";
    case BlendingSpace.DEFAULT_VALUE: return "BlendingSpace.DEFAULT_VALUE";
    case BlendingSpace.RGB: return "BlendingSpace.RGB";
    case BlendingSpace.CMYK: return "BlendingSpace.CMYK";
    case BlendMode.NORMAL: return "BlendMode.NORMAL";
    case BlendMode.MULTIPLY: return "BlendMode.MULTIPLY";
    case BlendMode.SCREEN: return "BlendMode.SCREEN";
    case BlendMode.OVERLAY: return "BlendMode.OVERLAY";
    case BlendMode.SOFT_LIGHT: return "BlendMode.SOFT_LIGHT";
    case BlendMode.HARD_LIGHT: return "BlendMode.HARD_LIGHT";
    case BlendMode.COLOR_DODGE: return "BlendMode.COLOR_DODGE";
    case BlendMode.COLOR_BURN: return "BlendMode.COLOR_BURN";
    case BlendMode.DARKEN: return "BlendMode.DARKEN";
    case BlendMode.LIGHTEN: return "BlendMode.LIGHTEN";
    case BlendMode.DIFFERENCE: return "BlendMode.DIFFERENCE";
    case BlendMode.EXCLUSION: return "BlendMode.EXCLUSION";
    case BlendMode.HUE: return "BlendMode.HUE";
    case BlendMode.SATURATION: return "BlendMode.SATURATION";
    case BlendMode.COLOR: return "BlendMode.COLOR";
    case BlendMode.LUMINOSITY: return "BlendMode.LUMINOSITY";
    case ShadowMode.NONE: return "ShadowMode.NONE";
    case ShadowMode.DROP: return "ShadowMode.DROP";
    case FeatherMode.NONE: return "FeatherMode.NONE";
    case FeatherMode.STANDARD: return "FeatherMode.STANDARD";
    case FeatherCornerType.SHARP: return "FeatherCornerType.SHARP";
    case FeatherCornerType.ROUNDED: return "FeatherCornerType.ROUNDED";
    case FeatherCornerType.DIFFUSION: return "FeatherCornerType.DIFFUSION";
    case SpreadFlattenerLevel.DEFAULT_VALUE: return "SpreadFlattenerLevel.DEFAULT_VALUE";
    case SpreadFlattenerLevel.NONE: return "SpreadFlattenerLevel.NONE";
    case SpreadFlattenerLevel.CUSTOM: return "SpreadFlattenerLevel.CUSTOM";
    case GlowTechnique.SOFTER: return "GlowTechnique.SOFTER";
    case GlowTechnique.PRECISE: return "GlowTechnique.PRECISE";
    case InnerGlowSource.CENTER_SOURCED: return "InnerGlowSource.CENTER_SOURCED";
    case InnerGlowSource.EDGE_SOURCED: return "InnerGlowSource.EDGE_SOURCED";
    case BevelAndEmbossStyle.OUTER_BEVEL: return "BevelAndEmbossStyle.OUTER_BEVEL";
    case BevelAndEmbossStyle.INNER_BEVEL: return "BevelAndEmbossStyle.INNER_BEVEL";
    case BevelAndEmbossStyle.EMBOSS: return "BevelAndEmbossStyle.EMBOSS";
    case BevelAndEmbossStyle.PILLOW_EMBOSS: return "BevelAndEmbossStyle.PILLOW_EMBOSS";
    case BevelAndEmbossTechnique.SMOOTH_CONTOUR: return "BevelAndEmbossTechnique.SMOOTH_CONTOUR";
    case BevelAndEmbossTechnique.CHISEL_HARD: return "BevelAndEmbossTechnique.CHISEL_HARD";
    case BevelAndEmbossTechnique.CHISEL_SOFT: return "BevelAndEmbossTechnique.CHISEL_SOFT";
    case BevelAndEmbossDirection.UP: return "BevelAndEmbossDirection.UP";
    case BevelAndEmbossDirection.DOWN: return "BevelAndEmbossDirection.DOWN";
    case FollowShapeModeOptions.NONE: return "FollowShapeModeOptions.NONE";
    case FollowShapeModeOptions.LEADING_EDGE: return "FollowShapeModeOptions.LEADING_EDGE";
    case FollowShapeModeOptions.ALL_EDGES: return "FollowShapeModeOptions.ALL_EDGES";
    case PageNumberPosition.AFTER_ENTRY: return "PageNumberPosition.AFTER_ENTRY";
    case PageNumberPosition.BEFORE_ENTRY: return "PageNumberPosition.BEFORE_ENTRY";
    case PageNumberPosition.NONE: return "PageNumberPosition.NONE";
    case NumberedParagraphsOptions.INCLUDE_FULL_PARAGRAPH: return "NumberedParagraphsOptions.INCLUDE_FULL_PARAGRAPH";
    case NumberedParagraphsOptions.INCLUDE_NUMBERS_ONLY: return "NumberedParagraphsOptions.INCLUDE_NUMBERS_ONLY";
    case NumberedParagraphsOptions.EXCLUDE_NUMBERS: return "NumberedParagraphsOptions.EXCLUDE_NUMBERS";
    case TextImportCharacterSet.ANSI: return "TextImportCharacterSet.ANSI";
    case TextImportCharacterSet.RECOMMENDSHIFTJIS83PV: return "TextImportCharacterSet.RECOMMENDSHIFTJIS83PV";
    case TextImportCharacterSet.SHIFTJIS90PV: return "TextImportCharacterSet.SHIFTJIS90PV";
    case TextImportCharacterSet.SHIFTJIS90MS: return "TextImportCharacterSet.SHIFTJIS90MS";
    case TextImportCharacterSet.GB2312: return "TextImportCharacterSet.GB2312";
    case TextImportCharacterSet.CHINESE_BIG_5: return "TextImportCharacterSet.CHINESE_BIG_5";
    case TextImportCharacterSet.MACINTOSH_CE: return "TextImportCharacterSet.MACINTOSH_CE";
    case TextImportCharacterSet.MACINTOSH_CYRILLIC: return "TextImportCharacterSet.MACINTOSH_CYRILLIC";
    case TextImportCharacterSet.MACINTOSH_GREEK: return "TextImportCharacterSet.MACINTOSH_GREEK";
    case TextImportCharacterSet.MACINTOSH_TURKISH: return "TextImportCharacterSet.MACINTOSH_TURKISH";
    case TextImportCharacterSet.WINDOWS_CYRILLIC: return "TextImportCharacterSet.WINDOWS_CYRILLIC";
    case TextImportCharacterSet.WINDOWS_EE: return "TextImportCharacterSet.WINDOWS_EE";
    case TextImportCharacterSet.WINDOWS_GREEK: return "TextImportCharacterSet.WINDOWS_GREEK";
    case TextImportCharacterSet.WINDOWS_TURKISH: return "TextImportCharacterSet.WINDOWS_TURKISH";
    case TextImportCharacterSet.GB18030: return "TextImportCharacterSet.GB18030";
    case TextImportCharacterSet.KSC5601: return "TextImportCharacterSet.KSC5601";
    case TextImportCharacterSet.WINDOWS_BALTIC: return "TextImportCharacterSet.WINDOWS_BALTIC";
    case TextImportCharacterSet.WINDOWS_CE: return "TextImportCharacterSet.WINDOWS_CE";
    case TextImportCharacterSet.MACINTOSH_ROMAN: return "TextImportCharacterSet.MACINTOSH_ROMAN";
    case TextImportCharacterSet.MACINTOSH_CROATIAN: return "TextImportCharacterSet.MACINTOSH_CROATIAN";
    case TextImportCharacterSet.MACINTOSH_ICELANDIC: return "TextImportCharacterSet.MACINTOSH_ICELANDIC";
    case TextImportCharacterSet.MACINTOSH_ROMANIAN: return "TextImportCharacterSet.MACINTOSH_ROMANIAN";
    case TextImportCharacterSet.CYRILLIC_KOI8R: return "TextImportCharacterSet.CYRILLIC_KOI8R";
    case TextImportCharacterSet.CYRILLIC_KOI8U: return "TextImportCharacterSet.CYRILLIC_KOI8U";
    case TextImportCharacterSet.CYRILLIC_CP855: return "TextImportCharacterSet.CYRILLIC_CP855";
    case TextImportCharacterSet.DOS_LATIN_2: return "TextImportCharacterSet.DOS_LATIN_2";
    case TextImportCharacterSet.CYRILLIC_ISO: return "TextImportCharacterSet.CYRILLIC_ISO";
    case TextImportCharacterSet.GREEK_ISO: return "TextImportCharacterSet.GREEK_ISO";
    case TextImportCharacterSet.CENTRALEUROPEAN_ISO: return "TextImportCharacterSet.CENTRALEUROPEAN_ISO";
    case TextImportCharacterSet.TURKISH_ISO: return "TextImportCharacterSet.TURKISH_ISO";
    case TextImportCharacterSet.UTF16: return "TextImportCharacterSet.UTF16";
    case TextImportCharacterSet.UTF8: return "TextImportCharacterSet.UTF8";
    case ImportPlatform.MACINTOSH: return "ImportPlatform.MACINTOSH";
    case ImportPlatform.PC: return "ImportPlatform.PC";
    case ConvertPageBreaks.NONE: return "ConvertPageBreaks.NONE";
    case ConvertPageBreaks.PAGE_BREAK: return "ConvertPageBreaks.PAGE_BREAK";
    case ConvertPageBreaks.COLUMN_BREAK: return "ConvertPageBreaks.COLUMN_BREAK";
    case TagTextExportCharacterSet.ASCII: return "TagTextExportCharacterSet.ASCII";
    case TagTextExportCharacterSet.ANSI: return "TagTextExportCharacterSet.ANSI";
    case TagTextExportCharacterSet.UNICODE: return "TagTextExportCharacterSet.UNICODE";
    case TagTextExportCharacterSet.SHIFT_JIS: return "TagTextExportCharacterSet.SHIFT_JIS";
    case TagTextExportCharacterSet.GB18030: return "TagTextExportCharacterSet.GB18030";
    case TagTextExportCharacterSet.KSC5601: return "TagTextExportCharacterSet.KSC5601";
    case TagTextExportCharacterSet.CHINESE_BIG_5: return "TagTextExportCharacterSet.CHINESE_BIG_5";
    case TagTextForm.VERBOSE: return "TagTextForm.VERBOSE";
    case TagTextForm.ABBREVIATED: return "TagTextForm.ABBREVIATED";
    case StyleConflict.PUBLICATION_DEFINITION: return "StyleConflict.PUBLICATION_DEFINITION";
    case StyleConflict.TAG_FILE_DEFINITION: return "StyleConflict.TAG_FILE_DEFINITION";
    case TextExportCharacterSet.DEFAULT_PLATFORM: return "TextExportCharacterSet.DEFAULT_PLATFORM";
    case TextExportCharacterSet.UTF16: return "TextExportCharacterSet.UTF16";
    case TextExportCharacterSet.UTF8: return "TextExportCharacterSet.UTF8";
    case ConvertTablesOptions.UNFORMATTED_TABLE: return "ConvertTablesOptions.UNFORMATTED_TABLE";
    case ConvertTablesOptions.UNFORMATTED_TABBED_TEXT: return "ConvertTablesOptions.UNFORMATTED_TABBED_TEXT";
    case TableFormattingOptions.EXCEL_FORMATTED_TABLE: return "TableFormattingOptions.EXCEL_FORMATTED_TABLE";
    case TableFormattingOptions.EXCEL_UNFORMATTED_TABLE: return "TableFormattingOptions.EXCEL_UNFORMATTED_TABLE";
    case TableFormattingOptions.EXCEL_UNFORMATTED_TABBED_TEXT: return "TableFormattingOptions.EXCEL_UNFORMATTED_TABBED_TEXT";
    case TableFormattingOptions.EXCEL_FORMAT_ONLY_ONCE: return "TableFormattingOptions.EXCEL_FORMAT_ONLY_ONCE";
    case AlignmentStyleOptions.SPREADSHEET: return "AlignmentStyleOptions.SPREADSHEET";
    case AlignmentStyleOptions.LEFT_ALIGN: return "AlignmentStyleOptions.LEFT_ALIGN";
    case AlignmentStyleOptions.RIGHT_ALIGN: return "AlignmentStyleOptions.RIGHT_ALIGN";
    case AlignmentStyleOptions.CENTER_ALIGN: return "AlignmentStyleOptions.CENTER_ALIGN";
    case ResolveStyleClash.RESOLVE_CLASH_USE_EXISTING: return "ResolveStyleClash.RESOLVE_CLASH_USE_EXISTING";
    case ResolveStyleClash.RESOLVE_CLASH_AUTO_RENAME: return "ResolveStyleClash.RESOLVE_CLASH_AUTO_RENAME";
    case ResolveStyleClash.RESOLVE_CLASH_USE_NEW: return "ResolveStyleClash.RESOLVE_CLASH_USE_NEW";
    case ContainerType.BAG: return "ContainerType.BAG";
    case ContainerType.SEQ: return "ContainerType.SEQ";
    case ContainerType.ALT: return "ContainerType.ALT";
    case CopyrightStatus.UNKNOWN: return "CopyrightStatus.UNKNOWN";
    case CopyrightStatus.YES: return "CopyrightStatus.YES";
    case CopyrightStatus.NO: return "CopyrightStatus.NO";
    case IndexCapitalizationOptions.SELECTED_ENTRY: return "IndexCapitalizationOptions.SELECTED_ENTRY";
    case IndexCapitalizationOptions.INCLUDE_SUBENTRIES: return "IndexCapitalizationOptions.INCLUDE_SUBENTRIES";
    case IndexCapitalizationOptions.ALL_LEVEL_1_ENTRIES: return "IndexCapitalizationOptions.ALL_LEVEL_1_ENTRIES";
    case IndexCapitalizationOptions.ALL_ENTRIES: return "IndexCapitalizationOptions.ALL_ENTRIES";
    case IndexFormat.RUNIN_FORMAT: return "IndexFormat.RUNIN_FORMAT";
    case IndexFormat.NESTED_FORMAT: return "IndexFormat.NESTED_FORMAT";
    case CrossReferenceType.SEE_OR_ALSO_BRACKET: return "CrossReferenceType.SEE_OR_ALSO_BRACKET";
    case CrossReferenceType.SEE: return "CrossReferenceType.SEE";
    case CrossReferenceType.SEE_ALSO: return "CrossReferenceType.SEE_ALSO";
    case CrossReferenceType.SEE_HEREIN: return "CrossReferenceType.SEE_HEREIN";
    case CrossReferenceType.SEE_ALSO_HEREIN: return "CrossReferenceType.SEE_ALSO_HEREIN";
    case CrossReferenceType.CUSTOM_CROSS_REFERENCE: return "CrossReferenceType.CUSTOM_CROSS_REFERENCE";
    case CrossReferenceType.CUSTOM_CROSS_REFERENCE_BEFORE: return "CrossReferenceType.CUSTOM_CROSS_REFERENCE_BEFORE";
    case CrossReferenceType.CUSTOM_CROSS_REFERENCE_AFTER: return "CrossReferenceType.CUSTOM_CROSS_REFERENCE_AFTER";
    case PageReferenceType.CURRENT_PAGE: return "PageReferenceType.CURRENT_PAGE";
    case PageReferenceType.TO_NEXT_STYLE_CHANGE: return "PageReferenceType.TO_NEXT_STYLE_CHANGE";
    case PageReferenceType.TO_NEXT_USE_OF_STYLE: return "PageReferenceType.TO_NEXT_USE_OF_STYLE";
    case PageReferenceType.TO_END_OF_STORY: return "PageReferenceType.TO_END_OF_STORY";
    case PageReferenceType.TO_END_OF_DOCUMENT: return "PageReferenceType.TO_END_OF_DOCUMENT";
    case PageReferenceType.TO_END_OF_SECTION: return "PageReferenceType.TO_END_OF_SECTION";
    case PageReferenceType.FOR_NEXT_N_PARAGRAPHS: return "PageReferenceType.FOR_NEXT_N_PARAGRAPHS";
    case PageReferenceType.FOR_NEXT_N_PAGES: return "PageReferenceType.FOR_NEXT_N_PAGES";
    case PageReferenceType.SUPPRESS_PAGE_NUMBERS: return "PageReferenceType.SUPPRESS_PAGE_NUMBERS";
    case HeaderTypes.BASIC_LATIN: return "HeaderTypes.BASIC_LATIN";
    case HeaderTypes.FINNISH_SWEDISH: return "HeaderTypes.FINNISH_SWEDISH";
    case HeaderTypes.DANISH_NORWEGIAN: return "HeaderTypes.DANISH_NORWEGIAN";
    case HeaderTypes.SPANISH: return "HeaderTypes.SPANISH";
    case HeaderTypes.CROATIAN: return "HeaderTypes.CROATIAN";
    case HeaderTypes.CZECH: return "HeaderTypes.CZECH";
    case HeaderTypes.ESTONIAN: return "HeaderTypes.ESTONIAN";
    case HeaderTypes.HUNGARIAN: return "HeaderTypes.HUNGARIAN";
    case HeaderTypes.LATVIAN: return "HeaderTypes.LATVIAN";
    case HeaderTypes.LITHUANIAN: return "HeaderTypes.LITHUANIAN";
    case HeaderTypes.POLISH: return "HeaderTypes.POLISH";
    case HeaderTypes.ROMANIAN: return "HeaderTypes.ROMANIAN";
    case HeaderTypes.SLOVAK: return "HeaderTypes.SLOVAK";
    case HeaderTypes.SLOVENIAN: return "HeaderTypes.SLOVENIAN";
    case HeaderTypes.TURKISH: return "HeaderTypes.TURKISH";
    case HeaderTypes.BELARUSIAN: return "HeaderTypes.BELARUSIAN";
    case HeaderTypes.BULGARIAN: return "HeaderTypes.BULGARIAN";
    case HeaderTypes.RUSSIAN: return "HeaderTypes.RUSSIAN";
    case HeaderTypes.UKRAINIAN: return "HeaderTypes.UKRAINIAN";
    case HeaderTypes.KOREAN_CONSONANT: return "HeaderTypes.KOREAN_CONSONANT";
    case HeaderTypes.KOREAN_CONSONANT_PLUS_VOWEL: return "HeaderTypes.KOREAN_CONSONANT_PLUS_VOWEL";
    case HeaderTypes.HIRAGANA_ALL: return "HeaderTypes.HIRAGANA_ALL";
    case HeaderTypes.HIRAGANA_CONSONANTS_ONLY: return "HeaderTypes.HIRAGANA_CONSONANTS_ONLY";
    case HeaderTypes.KATAKANA_ALL: return "HeaderTypes.KATAKANA_ALL";
    case HeaderTypes.KATAKANA_CONSONANTS_ONLY: return "HeaderTypes.KATAKANA_CONSONANTS_ONLY";
    case HeaderTypes.CHINESE_PINYIN: return "HeaderTypes.CHINESE_PINYIN";
    case HeaderTypes.CHINESE_STROKE_COUNT: return "HeaderTypes.CHINESE_STROKE_COUNT";
    case TagTransparency.OFF: return "TagTransparency.OFF";
    case TagTransparency.LOW_QUALITY: return "TagTransparency.LOW_QUALITY";
    case TagTransparency.MEDIUM_QUALITY: return "TagTransparency.MEDIUM_QUALITY";
    case TagTransparency.HIGH_QUALITY: return "TagTransparency.HIGH_QUALITY";
    case TagTransparency.DEFAULT_VALUE: return "TagTransparency.DEFAULT_VALUE";
    case TagVector.GRAY_OUT: return "TagVector.GRAY_OUT";
    case TagVector.PROXY: return "TagVector.PROXY";
    case TagVector.HIGH_RESOLUTION: return "TagVector.HIGH_RESOLUTION";
    case TagVector.DEFAULT_VALUE: return "TagVector.DEFAULT_VALUE";
    case TagRaster.GRAY_OUT: return "TagRaster.GRAY_OUT";
    case TagRaster.PROXY: return "TagRaster.PROXY";
    case TagRaster.HIGH_RESOLUTION: return "TagRaster.HIGH_RESOLUTION";
    case TagRaster.DEFAULT_VALUE: return "TagRaster.DEFAULT_VALUE";
    case HyperlinkAppearanceHighlight.NONE: return "HyperlinkAppearanceHighlight.NONE";
    case HyperlinkAppearanceHighlight.INVERT: return "HyperlinkAppearanceHighlight.INVERT";
    case HyperlinkAppearanceHighlight.OUTLINE: return "HyperlinkAppearanceHighlight.OUTLINE";
    case HyperlinkAppearanceHighlight.INSET: return "HyperlinkAppearanceHighlight.INSET";
    case HyperlinkAppearanceWidth.THIN: return "HyperlinkAppearanceWidth.THIN";
    case HyperlinkAppearanceWidth.MEDIUM: return "HyperlinkAppearanceWidth.MEDIUM";
    case HyperlinkAppearanceWidth.THICK: return "HyperlinkAppearanceWidth.THICK";
    case HyperlinkAppearanceStyle.SOLID: return "HyperlinkAppearanceStyle.SOLID";
    case HyperlinkAppearanceStyle.DASHED: return "HyperlinkAppearanceStyle.DASHED";
    case HyperlinkDestinationPageSetting.FIXED: return "HyperlinkDestinationPageSetting.FIXED";
    case HyperlinkDestinationPageSetting.FIT_VIEW: return "HyperlinkDestinationPageSetting.FIT_VIEW";
    case HyperlinkDestinationPageSetting.FIT_WINDOW: return "HyperlinkDestinationPageSetting.FIT_WINDOW";
    case HyperlinkDestinationPageSetting.FIT_WIDTH: return "HyperlinkDestinationPageSetting.FIT_WIDTH";
    case HyperlinkDestinationPageSetting.FIT_HEIGHT: return "HyperlinkDestinationPageSetting.FIT_HEIGHT";
    case HyperlinkDestinationPageSetting.FIT_VISIBLE: return "HyperlinkDestinationPageSetting.FIT_VISIBLE";
    case HyperlinkDestinationPageSetting.INHERIT_ZOOM: return "HyperlinkDestinationPageSetting.INHERIT_ZOOM";
    case BuildingBlockTypes.CUSTOM_STRING_BUILDING_BLOCK: return "BuildingBlockTypes.CUSTOM_STRING_BUILDING_BLOCK";
    case BuildingBlockTypes.FILE_NAME_BUILDING_BLOCK: return "BuildingBlockTypes.FILE_NAME_BUILDING_BLOCK";
    case BuildingBlockTypes.CHAPTER_NUMBER_BUILDING_BLOCK: return "BuildingBlockTypes.CHAPTER_NUMBER_BUILDING_BLOCK";
    case BuildingBlockTypes.PAGE_NUMBER_BUILDING_BLOCK: return "BuildingBlockTypes.PAGE_NUMBER_BUILDING_BLOCK";
    case BuildingBlockTypes.FULL_PARAGRAPH_BUILDING_BLOCK: return "BuildingBlockTypes.FULL_PARAGRAPH_BUILDING_BLOCK";
    case BuildingBlockTypes.PARAGRAPH_NUMBER_BUILDING_BLOCK: return "BuildingBlockTypes.PARAGRAPH_NUMBER_BUILDING_BLOCK";
    case BuildingBlockTypes.PARAGRAPH_TEXT_BUILDING_BLOCK: return "BuildingBlockTypes.PARAGRAPH_TEXT_BUILDING_BLOCK";
    case BuildingBlockTypes.BOOKMARK_NAME_BUILDING_BLOCK: return "BuildingBlockTypes.BOOKMARK_NAME_BUILDING_BLOCK";
    case RangeSortOrder.NO_SORT: return "RangeSortOrder.NO_SORT";
    case RangeSortOrder.ASCENDING_SORT: return "RangeSortOrder.ASCENDING_SORT";
    case RangeSortOrder.DESCENDING_SORT: return "RangeSortOrder.DESCENDING_SORT";
    case PreflightRuleFlag.RULE_IS_DISABLED: return "PreflightRuleFlag.RULE_IS_DISABLED";
    case PreflightRuleFlag.RETURN_AS_ERROR: return "PreflightRuleFlag.RETURN_AS_ERROR";
    case PreflightRuleFlag.RETURN_AS_WARNING: return "PreflightRuleFlag.RETURN_AS_WARNING";
    case PreflightRuleFlag.RETURN_AS_INFORMATIONAL: return "PreflightRuleFlag.RETURN_AS_INFORMATIONAL";
    case RuleDataType.INTEGER_DATA_TYPE: return "RuleDataType.INTEGER_DATA_TYPE";
    case RuleDataType.SHORT_INTEGER_DATA_TYPE: return "RuleDataType.SHORT_INTEGER_DATA_TYPE";
    case RuleDataType.REAL_DATA_TYPE: return "RuleDataType.REAL_DATA_TYPE";
    case RuleDataType.STRING_DATA_TYPE: return "RuleDataType.STRING_DATA_TYPE";
    case RuleDataType.BOOLEAN_DATA_TYPE: return "RuleDataType.BOOLEAN_DATA_TYPE";
    case RuleDataType.OBJECT_DATA_TYPE: return "RuleDataType.OBJECT_DATA_TYPE";
    case RuleDataType.LIST_DATA_TYPE: return "RuleDataType.LIST_DATA_TYPE";
    case PreflightScopeOptions.PREFLIGHT_ALL_PAGES: return "PreflightScopeOptions.PREFLIGHT_ALL_PAGES";
    case PreflightScopeOptions.PREFLIGHT_SELECTED_DOCUMENTS: return "PreflightScopeOptions.PREFLIGHT_SELECTED_DOCUMENTS";
    case PreflightScopeOptions.PREFLIGHT_ALL_DOCUMENTS: return "PreflightScopeOptions.PREFLIGHT_ALL_DOCUMENTS";
    case PreflightLayerOptions.PREFLIGHT_ALL_LAYERS: return "PreflightLayerOptions.PREFLIGHT_ALL_LAYERS";
    case PreflightLayerOptions.PREFLIGHT_VISIBLE_LAYERS: return "PreflightLayerOptions.PREFLIGHT_VISIBLE_LAYERS";
    case PreflightLayerOptions.PREFLIGHT_VISIBLE_PRINTABLE_LAYERS: return "PreflightLayerOptions.PREFLIGHT_VISIBLE_PRINTABLE_LAYERS";
    case PreflightProfileOptions.USE_EMBEDDED_PROFILE: return "PreflightProfileOptions.USE_EMBEDDED_PROFILE";
    case PreflightProfileOptions.USE_WORKING_PROFILE: return "PreflightProfileOptions.USE_WORKING_PROFILE";
    case PNGExportRangeEnum.EXPORT_RANGE: return "PNGExportRangeEnum.EXPORT_RANGE";
    case PNGExportRangeEnum.EXPORT_ALL: return "PNGExportRangeEnum.EXPORT_ALL";
    case PNGQualityEnum.LOW: return "PNGQualityEnum.LOW";
    case PNGQualityEnum.MEDIUM: return "PNGQualityEnum.MEDIUM";
    case PNGQualityEnum.HIGH: return "PNGQualityEnum.HIGH";
    case PNGQualityEnum.MAXIMUM: return "PNGQualityEnum.MAXIMUM";
    case PNGColorSpaceEnum.RGB: return "PNGColorSpaceEnum.RGB";
    case PNGColorSpaceEnum.GRAY: return "PNGColorSpaceEnum.GRAY";
    case StateTypes.UP: return "StateTypes.UP";
    case StateTypes.ROLLOVER: return "StateTypes.ROLLOVER";
    case StateTypes.DOWN: return "StateTypes.DOWN";
    case StateTypes.UP_ON: return "StateTypes.UP_ON";
    case StateTypes.ROLLOVER_ON: return "StateTypes.ROLLOVER_ON";
    case StateTypes.DOWN_ON: return "StateTypes.DOWN_ON";
    case StateTypes.UP_OFF: return "StateTypes.UP_OFF";
    case StateTypes.ROLLOVER_OFF: return "StateTypes.ROLLOVER_OFF";
    case StateTypes.DOWN_OFF: return "StateTypes.DOWN_OFF";
    case FloatingWindowPosition.UPPER_LEFT: return "FloatingWindowPosition.UPPER_LEFT";
    case FloatingWindowPosition.UPPER_MIDDLE: return "FloatingWindowPosition.UPPER_MIDDLE";
    case FloatingWindowPosition.UPPER_RIGHT: return "FloatingWindowPosition.UPPER_RIGHT";
    case FloatingWindowPosition.CENTER_LEFT: return "FloatingWindowPosition.CENTER_LEFT";
    case FloatingWindowPosition.CENTER: return "FloatingWindowPosition.CENTER";
    case FloatingWindowPosition.CENTER_RIGHT: return "FloatingWindowPosition.CENTER_RIGHT";
    case FloatingWindowPosition.LOWER_LEFT: return "FloatingWindowPosition.LOWER_LEFT";
    case FloatingWindowPosition.LOWER_MIDDLE: return "FloatingWindowPosition.LOWER_MIDDLE";
    case FloatingWindowPosition.LOWER_RIGHT: return "FloatingWindowPosition.LOWER_RIGHT";
    case FloatingWindowSize.ONE_FIFTH: return "FloatingWindowSize.ONE_FIFTH";
    case FloatingWindowSize.ONE_FOURTH: return "FloatingWindowSize.ONE_FOURTH";
    case FloatingWindowSize.ONE_HALF: return "FloatingWindowSize.ONE_HALF";
    case FloatingWindowSize.FULL: return "FloatingWindowSize.FULL";
    case FloatingWindowSize.TWICE: return "FloatingWindowSize.TWICE";
    case FloatingWindowSize.TRIPLE: return "FloatingWindowSize.TRIPLE";
    case FloatingWindowSize.QUADRUPLE: return "FloatingWindowSize.QUADRUPLE";
    case FloatingWindowSize.MAX: return "FloatingWindowSize.MAX";
    case MoviePosterTypes.NONE: return "MoviePosterTypes.NONE";
    case MoviePosterTypes.STANDARD: return "MoviePosterTypes.STANDARD";
    case MoviePosterTypes.FROM_MOVIE: return "MoviePosterTypes.FROM_MOVIE";
    case MoviePosterTypes.PROXY_IMAGE: return "MoviePosterTypes.PROXY_IMAGE";
    case MoviePlayOperations.PLAY: return "MoviePlayOperations.PLAY";
    case MoviePlayOperations.PLAY_FROM_NAVIGATION_POINT: return "MoviePlayOperations.PLAY_FROM_NAVIGATION_POINT";
    case MoviePlayOperations.STOP: return "MoviePlayOperations.STOP";
    case MoviePlayOperations.PAUSE: return "MoviePlayOperations.PAUSE";
    case MoviePlayOperations.RESUME: return "MoviePlayOperations.RESUME";
    case MoviePlayOperations.STOP_ALL: return "MoviePlayOperations.STOP_ALL";
    case SoundPosterTypes.NONE: return "SoundPosterTypes.NONE";
    case SoundPosterTypes.STANDARD: return "SoundPosterTypes.STANDARD";
    case SoundPosterTypes.PROXY_IMAGE: return "SoundPosterTypes.PROXY_IMAGE";
    case BehaviorEvents.MOUSE_UP: return "BehaviorEvents.MOUSE_UP";
    case BehaviorEvents.MOUSE_DOWN: return "BehaviorEvents.MOUSE_DOWN";
    case BehaviorEvents.MOUSE_ENTER: return "BehaviorEvents.MOUSE_ENTER";
    case BehaviorEvents.MOUSE_EXIT: return "BehaviorEvents.MOUSE_EXIT";
    case BehaviorEvents.ON_FOCUS: return "BehaviorEvents.ON_FOCUS";
    case BehaviorEvents.ON_BLUR: return "BehaviorEvents.ON_BLUR";
    case GoToZoomOptions.INHERIT_ZOOM: return "GoToZoomOptions.INHERIT_ZOOM";
    case GoToZoomOptions.FIT_WINDOW: return "GoToZoomOptions.FIT_WINDOW";
    case GoToZoomOptions.FIT_WIDTH: return "GoToZoomOptions.FIT_WIDTH";
    case GoToZoomOptions.FIT_VISIBLE: return "GoToZoomOptions.FIT_VISIBLE";
    case GoToZoomOptions.ACTUAL_SIZE: return "GoToZoomOptions.ACTUAL_SIZE";
    case PlayOperations.PLAY: return "PlayOperations.PLAY";
    case PlayOperations.STOP: return "PlayOperations.STOP";
    case PlayOperations.PAUSE: return "PlayOperations.PAUSE";
    case PlayOperations.RESUME: return "PlayOperations.RESUME";
    case PlayOperations.STOP_ALL: return "PlayOperations.STOP_ALL";
    case AnimationPlayOperations.PLAY: return "AnimationPlayOperations.PLAY";
    case AnimationPlayOperations.STOP: return "AnimationPlayOperations.STOP";
    case AnimationPlayOperations.PAUSE: return "AnimationPlayOperations.PAUSE";
    case AnimationPlayOperations.RESUME: return "AnimationPlayOperations.RESUME";
    case AnimationPlayOperations.REVERSE_PLAYBACK: return "AnimationPlayOperations.REVERSE_PLAYBACK";
    case AnimationPlayOperations.STOP_ALL: return "AnimationPlayOperations.STOP_ALL";
    case ViewZoomStyle.FULL_SCREEN: return "ViewZoomStyle.FULL_SCREEN";
    case ViewZoomStyle.ZOOM_IN: return "ViewZoomStyle.ZOOM_IN";
    case ViewZoomStyle.ZOOM_OUT: return "ViewZoomStyle.ZOOM_OUT";
    case ViewZoomStyle.FIT_PAGE: return "ViewZoomStyle.FIT_PAGE";
    case ViewZoomStyle.ACTUAL_SIZE: return "ViewZoomStyle.ACTUAL_SIZE";
    case ViewZoomStyle.FIT_WIDTH: return "ViewZoomStyle.FIT_WIDTH";
    case ViewZoomStyle.FIT_VISIBLE: return "ViewZoomStyle.FIT_VISIBLE";
    case ViewZoomStyle.SINGLE_PAGE: return "ViewZoomStyle.SINGLE_PAGE";
    case ViewZoomStyle.ONE_COLUMN: return "ViewZoomStyle.ONE_COLUMN";
    case ViewZoomStyle.TWO_COLUMN: return "ViewZoomStyle.TWO_COLUMN";
    case VersionState.VERSION_UNKNOWN: return "VersionState.VERSION_UNKNOWN";
    case VersionState.PROJECT_FILE_NEWER: return "VersionState.PROJECT_FILE_NEWER";
    case VersionState.LOCAL_PROJECT_MATCH: return "VersionState.LOCAL_PROJECT_MATCH";
    case VersionState.LOCAL_NEWER: return "VersionState.LOCAL_NEWER";
    case VersionState.VERSION_CONFLICT: return "VersionState.VERSION_CONFLICT";
    case VersionState.NO_RESOURCE: return "VersionState.NO_RESOURCE";
    case EditingState.EDITING_UNKNOWN: return "EditingState.EDITING_UNKNOWN";
    case EditingState.EDITING_NOWHERE: return "EditingState.EDITING_NOWHERE";
    case EditingState.EDITING_REMOTELY: return "EditingState.EDITING_REMOTELY";
    case EditingState.EDITING_LOCALLY: return "EditingState.EDITING_LOCALLY";
    case EditingState.EDITING_LOCALLY_LOCKED: return "EditingState.EDITING_LOCALLY_LOCKED";
    case EditingState.EDITING_CONFLICT: return "EditingState.EDITING_CONFLICT";
    case VersionCueSyncStatus.FILE_DOWNLOADED: return "VersionCueSyncStatus.FILE_DOWNLOADED";
    case VersionCueSyncStatus.FILE_UPLOADED: return "VersionCueSyncStatus.FILE_UPLOADED";
    case VersionCueSyncStatus.FILE_UNLOCKED: return "VersionCueSyncStatus.FILE_UNLOCKED";
    case VersionCueSyncStatus.FILE_SKIPPED: return "VersionCueSyncStatus.FILE_SKIPPED";
    case VersionCueSyncStatus.FILE_NO_CHANGE: return "VersionCueSyncStatus.FILE_NO_CHANGE";
    case SyncConflictResolution.SKIP_CONFLICTS: return "SyncConflictResolution.SKIP_CONFLICTS";
    case SyncConflictResolution.ASK_ABOUT_CONFLICTS: return "SyncConflictResolution.ASK_ABOUT_CONFLICTS";
    case SyncConflictResolution.PREFER_LOCAL: return "SyncConflictResolution.PREFER_LOCAL";
    case SyncConflictResolution.PREFER_PROJECT: return "SyncConflictResolution.PREFER_PROJECT";
    case LanguageAndRegion.STANDARD_ARABIC: return "LanguageAndRegion.STANDARD_ARABIC";
    case LanguageAndRegion.CZECH_REPUBLIC_CZECH: return "LanguageAndRegion.CZECH_REPUBLIC_CZECH";
    case LanguageAndRegion.DENMARK_DANISH: return "LanguageAndRegion.DENMARK_DANISH";
    case LanguageAndRegion.GERMANY_GERMAN: return "LanguageAndRegion.GERMANY_GERMAN";
    case LanguageAndRegion.GREECE_GREEK: return "LanguageAndRegion.GREECE_GREEK";
    case LanguageAndRegion.UNITED_KINGDOM_ENGLISH: return "LanguageAndRegion.UNITED_KINGDOM_ENGLISH";
    case LanguageAndRegion.UNITED_STATES_ENGLISH: return "LanguageAndRegion.UNITED_STATES_ENGLISH";
    case LanguageAndRegion.SPAIN_SPANISH: return "LanguageAndRegion.SPAIN_SPANISH";
    case LanguageAndRegion.FINLAND_FINNISH: return "LanguageAndRegion.FINLAND_FINNISH";
    case LanguageAndRegion.FRANCE_FRENCH: return "LanguageAndRegion.FRANCE_FRENCH";
    case LanguageAndRegion.ISRAEL_HEBREW: return "LanguageAndRegion.ISRAEL_HEBREW";
    case LanguageAndRegion.HUNGARY_HUNGARIAN: return "LanguageAndRegion.HUNGARY_HUNGARIAN";
    case LanguageAndRegion.ITALY_ITALIAN: return "LanguageAndRegion.ITALY_ITALIAN";
    case LanguageAndRegion.JAPAN_JAPANESE: return "LanguageAndRegion.JAPAN_JAPANESE";
    case LanguageAndRegion.REPUBLIC_OF_KOREA_KOREAN: return "LanguageAndRegion.REPUBLIC_OF_KOREA_KOREAN";
    case LanguageAndRegion.NORWAY_NORWEGIAN: return "LanguageAndRegion.NORWAY_NORWEGIAN";
    case LanguageAndRegion.NETHERLANDS_DUTCH: return "LanguageAndRegion.NETHERLANDS_DUTCH";
    case LanguageAndRegion.POLAND_POLISH: return "LanguageAndRegion.POLAND_POLISH";
    case LanguageAndRegion.BRAZIL_PORTUGUESE: return "LanguageAndRegion.BRAZIL_PORTUGUESE";
    case LanguageAndRegion.RUSSIAN_FEDERATION_RUSSIAN: return "LanguageAndRegion.RUSSIAN_FEDERATION_RUSSIAN";
    case LanguageAndRegion.SWEDEN_SWEDISH: return "LanguageAndRegion.SWEDEN_SWEDISH";
    case LanguageAndRegion.TURKEY_TURKISH: return "LanguageAndRegion.TURKEY_TURKISH";
    case LanguageAndRegion.UKRAINE_UKRAINIAN: return "LanguageAndRegion.UKRAINE_UKRAINIAN";
    case LanguageAndRegion.SIMPLIFIED_CHINESE: return "LanguageAndRegion.SIMPLIFIED_CHINESE";
    case LanguageAndRegion.TRADITIONAL_CHINESE: return "LanguageAndRegion.TRADITIONAL_CHINESE";
    case LanguageAndRegion.BELARUS_BELARUSIAN: return "LanguageAndRegion.BELARUS_BELARUSIAN";
    case LanguageAndRegion.BULGARIA_BULGARIAN: return "LanguageAndRegion.BULGARIA_BULGARIAN";
    case LanguageAndRegion.ESTONIA_ESTONIAN: return "LanguageAndRegion.ESTONIA_ESTONIAN";
    case LanguageAndRegion.CROATIA_CROATIAN: return "LanguageAndRegion.CROATIA_CROATIAN";
    case LanguageAndRegion.LITUANIA_LITHUANIAN: return "LanguageAndRegion.LITUANIA_LITHUANIAN";
    case LanguageAndRegion.LATVIA_LATVIAN: return "LanguageAndRegion.LATVIA_LATVIAN";
    case LanguageAndRegion.ROMANIA_ROMANIAN: return "LanguageAndRegion.ROMANIA_ROMANIAN";
    case LanguageAndRegion.SLOVAKIA_SLOVAK: return "LanguageAndRegion.SLOVAKIA_SLOVAK";
    case LanguageAndRegion.SLOVENIA_SLOVENIAN: return "LanguageAndRegion.SLOVENIA_SLOVENIAN";
    case LanguageAndRegion.ALBANIA_ALBANIAN: return "LanguageAndRegion.ALBANIA_ALBANIAN";
    case LanguageAndRegion.INDIA_TAMIL: return "LanguageAndRegion.INDIA_TAMIL";
    case LanguageAndRegion.THAILAND_THAI: return "LanguageAndRegion.THAILAND_THAI";
    case LanguageAndRegion.VIETNAM_VIETNAMESE: return "LanguageAndRegion.VIETNAM_VIETNAMESE";
    case UserInteractionLevels.NEVER_INTERACT: return "UserInteractionLevels.NEVER_INTERACT";
    case UserInteractionLevels.INTERACT_WITH_ALL: return "UserInteractionLevels.INTERACT_WITH_ALL";
    case UserInteractionLevels.INTERACT_WITH_ALERTS: return "UserInteractionLevels.INTERACT_WITH_ALERTS";
    case Locale.DANISH_LOCALE: return "Locale.DANISH_LOCALE";
    case Locale.ENGLISH_LOCALE: return "Locale.ENGLISH_LOCALE";
    case Locale.INTERNATIONAL_ENGLISH_LOCALE: return "Locale.INTERNATIONAL_ENGLISH_LOCALE";
    case Locale.FINNISH_LOCALE: return "Locale.FINNISH_LOCALE";
    case Locale.FRENCH_LOCALE: return "Locale.FRENCH_LOCALE";
    case Locale.GERMAN_LOCALE: return "Locale.GERMAN_LOCALE";
    case Locale.ITALIAN_LOCALE: return "Locale.ITALIAN_LOCALE";
    case Locale.PORTUGUESE_LOCALE: return "Locale.PORTUGUESE_LOCALE";
    case Locale.SPANISH_LOCALE: return "Locale.SPANISH_LOCALE";
    case Locale.SWEDISH_LOCALE: return "Locale.SWEDISH_LOCALE";
    case Locale.JAPANESE_LOCALE: return "Locale.JAPANESE_LOCALE";
    case Locale.ARABIC_LOCALE: return "Locale.ARABIC_LOCALE";
    case Locale.CZECH_LOCALE: return "Locale.CZECH_LOCALE";
    case Locale.GREEK_LOCALE: return "Locale.GREEK_LOCALE";
    case Locale.HEBREW_LOCALE: return "Locale.HEBREW_LOCALE";
    case Locale.HUNGARIAN_LOCALE: return "Locale.HUNGARIAN_LOCALE";
    case Locale.POLISH_LOCALE: return "Locale.POLISH_LOCALE";
    case Locale.ROMANIAN_LOCALE: return "Locale.ROMANIAN_LOCALE";
    case Locale.RUSSIAN_LOCALE: return "Locale.RUSSIAN_LOCALE";
    case Locale.TURKISH_LOCALE: return "Locale.TURKISH_LOCALE";
    case Locale.UKRAINIAN_LOCALE: return "Locale.UKRAINIAN_LOCALE";
    case Locale.KOREAN_LOCALE: return "Locale.KOREAN_LOCALE";
    case Locale.SIMPLIFIED_CHINESE_LOCALE: return "Locale.SIMPLIFIED_CHINESE_LOCALE";
    case Locale.TRADITIONAL_CHINESE_LOCALE: return "Locale.TRADITIONAL_CHINESE_LOCALE";
    case ScriptLanguage.UNKNOWN: return "ScriptLanguage.UNKNOWN";
    case ScriptLanguage.JAVASCRIPT: return "ScriptLanguage.JAVASCRIPT";
    case ScriptLanguage.APPLESCRIPT_LANGUAGE: return "ScriptLanguage.APPLESCRIPT_LANGUAGE";
    case FeatureSetOptions.ROMAN: return "FeatureSetOptions.ROMAN";
    case FeatureSetOptions.JAPANESE: return "FeatureSetOptions.JAPANESE";
    case FeatureSetOptions.RIGHTTOLEFT: return "FeatureSetOptions.RIGHTTOLEFT";
    case UndoModes.SCRIPT_REQUEST: return "UndoModes.SCRIPT_REQUEST";
    case UndoModes.ENTIRE_SCRIPT: return "UndoModes.ENTIRE_SCRIPT";
    case UndoModes.AUTO_UNDO: return "UndoModes.AUTO_UNDO";
    case UndoModes.FAST_ENTIRE_SCRIPT: return "UndoModes.FAST_ENTIRE_SCRIPT";
    case OpenOptions.DEFAULT_VALUE: return "OpenOptions.DEFAULT_VALUE";
    case OpenOptions.OPEN_ORIGINAL: return "OpenOptions.OPEN_ORIGINAL";
    case OpenOptions.OPEN_COPY: return "OpenOptions.OPEN_COPY";
    case TaskState.QUEUED: return "TaskState.QUEUED";
    case TaskState.RUNNING: return "TaskState.RUNNING";
    case TaskState.WAITING: return "TaskState.WAITING";
    case TaskState.CANCELLING: return "TaskState.CANCELLING";
    case TaskState.COMPLETED: return "TaskState.COMPLETED";
    case TaskState.CANCELLED: return "TaskState.CANCELLED";
    case TaskAlertType.TASK_INFORMATION: return "TaskAlertType.TASK_INFORMATION";
    case TaskAlertType.TASK_WARNING: return "TaskAlertType.TASK_WARNING";
    case TaskAlertType.TASK_ERROR: return "TaskAlertType.TASK_ERROR";
    case SaveOptions.NO: return "SaveOptions.NO";
    case SaveOptions.ASK: return "SaveOptions.ASK";
    case SaveOptions.YES: return "SaveOptions.YES";
    case ZoomOptions.ZOOM_IN: return "ZoomOptions.ZOOM_IN";
    case ZoomOptions.ZOOM_OUT: return "ZoomOptions.ZOOM_OUT";
    case ZoomOptions.FIT_SPREAD: return "ZoomOptions.FIT_SPREAD";
    case ZoomOptions.FIT_PAGE: return "ZoomOptions.FIT_PAGE";
    case ZoomOptions.SHOW_PASTEBOARD: return "ZoomOptions.SHOW_PASTEBOARD";
    case ZoomOptions.ACTUAL_SIZE: return "ZoomOptions.ACTUAL_SIZE";
    case ViewDisplaySettings.HIGH_QUALITY: return "ViewDisplaySettings.HIGH_QUALITY";
    case ViewDisplaySettings.TYPICAL: return "ViewDisplaySettings.TYPICAL";
    case ViewDisplaySettings.OPTIMIZED: return "ViewDisplaySettings.OPTIMIZED";
    case AnchorPoint.TOP_LEFT_ANCHOR: return "AnchorPoint.TOP_LEFT_ANCHOR";
    case AnchorPoint.TOP_CENTER_ANCHOR: return "AnchorPoint.TOP_CENTER_ANCHOR";
    case AnchorPoint.TOP_RIGHT_ANCHOR: return "AnchorPoint.TOP_RIGHT_ANCHOR";
    case AnchorPoint.LEFT_CENTER_ANCHOR: return "AnchorPoint.LEFT_CENTER_ANCHOR";
    case AnchorPoint.CENTER_ANCHOR: return "AnchorPoint.CENTER_ANCHOR";
    case AnchorPoint.RIGHT_CENTER_ANCHOR: return "AnchorPoint.RIGHT_CENTER_ANCHOR";
    case AnchorPoint.BOTTOM_LEFT_ANCHOR: return "AnchorPoint.BOTTOM_LEFT_ANCHOR";
    case AnchorPoint.BOTTOM_CENTER_ANCHOR: return "AnchorPoint.BOTTOM_CENTER_ANCHOR";
    case AnchorPoint.BOTTOM_RIGHT_ANCHOR: return "AnchorPoint.BOTTOM_RIGHT_ANCHOR";
    case ColorModel.SPOT: return "ColorModel.SPOT";
    case ColorModel.PROCESS: return "ColorModel.PROCESS";
    case ColorModel.REGISTRATION: return "ColorModel.REGISTRATION";
    case ColorModel.MIXEDINKMODEL: return "ColorModel.MIXEDINKMODEL";
    case ColorSpace.RGB: return "ColorSpace.RGB";
    case ColorSpace.CMYK: return "ColorSpace.CMYK";
    case ColorSpace.LAB: return "ColorSpace.LAB";
    case ColorSpace.MIXEDINK: return "ColorSpace.MIXEDINK";
    case ScreenModeOptions.PREVIEW_OFF: return "ScreenModeOptions.PREVIEW_OFF";
    case ScreenModeOptions.PREVIEW_TO_PAGE: return "ScreenModeOptions.PREVIEW_TO_PAGE";
    case ScreenModeOptions.PREVIEW_TO_BLEED: return "ScreenModeOptions.PREVIEW_TO_BLEED";
    case ScreenModeOptions.PREVIEW_TO_SLUG: return "ScreenModeOptions.PREVIEW_TO_SLUG";
    case ScreenModeOptions.PRESENTATION_PREVIEW: return "ScreenModeOptions.PRESENTATION_PREVIEW";
    case WatermarkVerticalPositionEnum.WATERMARK_V_TOP: return "WatermarkVerticalPositionEnum.WATERMARK_V_TOP";
    case WatermarkVerticalPositionEnum.WATERMARK_V_CENTER: return "WatermarkVerticalPositionEnum.WATERMARK_V_CENTER";
    case WatermarkVerticalPositionEnum.WATERMARK_V_BOTTOM: return "WatermarkVerticalPositionEnum.WATERMARK_V_BOTTOM";
    case WatermarkHorizontalPositionEnum.WATERMARK_H_LEFT: return "WatermarkHorizontalPositionEnum.WATERMARK_H_LEFT";
    case WatermarkHorizontalPositionEnum.WATERMARK_H_CENTER: return "WatermarkHorizontalPositionEnum.WATERMARK_H_CENTER";
    case WatermarkHorizontalPositionEnum.WATERMARK_H_RIGHT: return "WatermarkHorizontalPositionEnum.WATERMARK_H_RIGHT";
    case PageNumberingOptions.SECTION: return "PageNumberingOptions.SECTION";
    case PageNumberingOptions.ABSOLUTE: return "PageNumberingOptions.ABSOLUTE";
    case ToolTipOptions.NORMAL: return "ToolTipOptions.NORMAL";
    case ToolTipOptions.NONE: return "ToolTipOptions.NONE";
    case ToolTipOptions.FAST: return "ToolTipOptions.FAST";
    case SelectionOptions.ADD_TO: return "SelectionOptions.ADD_TO";
    case SelectionOptions.REMOVE_FROM: return "SelectionOptions.REMOVE_FROM";
    case SelectionOptions.REPLACE_WITH: return "SelectionOptions.REPLACE_WITH";
    case SelectAll.ALL: return "SelectAll.ALL";
    case PreviewSizeOptions.SMALL: return "PreviewSizeOptions.SMALL";
    case PreviewSizeOptions.MEDIUM: return "PreviewSizeOptions.MEDIUM";
    case PreviewSizeOptions.LARGE: return "PreviewSizeOptions.LARGE";
    case PreviewSizeOptions.EXTRA_LARGE: return "PreviewSizeOptions.EXTRA_LARGE";
    case ToolsPanelOptions.SINGLE_COLUMN: return "ToolsPanelOptions.SINGLE_COLUMN";
    case ToolsPanelOptions.DOUBLE_COLUMN: return "ToolsPanelOptions.DOUBLE_COLUMN";
    case ToolsPanelOptions.SINGLE_ROW: return "ToolsPanelOptions.SINGLE_ROW";
    case LiveDrawingOptions.NEVER: return "LiveDrawingOptions.NEVER";
    case LiveDrawingOptions.IMMEDIATELY: return "LiveDrawingOptions.IMMEDIATELY";
    case LiveDrawingOptions.DELAYED: return "LiveDrawingOptions.DELAYED";
    case StaticAlignmentOptions.LEFT_ALIGN: return "StaticAlignmentOptions.LEFT_ALIGN";
    case StaticAlignmentOptions.CENTER_ALIGN: return "StaticAlignmentOptions.CENTER_ALIGN";
    case StaticAlignmentOptions.RIGHT_ALIGN: return "StaticAlignmentOptions.RIGHT_ALIGN";
    case RenderingIntent.USE_COLOR_SETTINGS: return "RenderingIntent.USE_COLOR_SETTINGS";
    case RenderingIntent.PERCEPTUAL: return "RenderingIntent.PERCEPTUAL";
    case RenderingIntent.SATURATION: return "RenderingIntent.SATURATION";
    case RenderingIntent.RELATIVE_COLORIMETRIC: return "RenderingIntent.RELATIVE_COLORIMETRIC";
    case RenderingIntent.ABSOLUTE_COLORIMETRIC: return "RenderingIntent.ABSOLUTE_COLORIMETRIC";
    case MarkLineWeight.P125PT: return "MarkLineWeight.P125PT";
    case MarkLineWeight.P25PT: return "MarkLineWeight.P25PT";
    case MarkLineWeight.P50PT: return "MarkLineWeight.P50PT";
    case MarkLineWeight.P05MM: return "MarkLineWeight.P05MM";
    case MarkLineWeight.P07MM: return "MarkLineWeight.P07MM";
    case MarkLineWeight.P10MM: return "MarkLineWeight.P10MM";
    case MarkLineWeight.P15MM: return "MarkLineWeight.P15MM";
    case MarkLineWeight.P20MM: return "MarkLineWeight.P20MM";
    case MarkLineWeight.P30MM: return "MarkLineWeight.P30MM";
    case MarkTypes.DEFAULT_VALUE: return "MarkTypes.DEFAULT_VALUE";
    case MarkTypes.J_MARK_WITH_CIRCLE: return "MarkTypes.J_MARK_WITH_CIRCLE";
    case MarkTypes.J_MARK_WITHOUT_CIRCLE: return "MarkTypes.J_MARK_WITHOUT_CIRCLE";
    case ColorOutputModes.COMPOSITE_LEAVE_UNCHANGED: return "ColorOutputModes.COMPOSITE_LEAVE_UNCHANGED";
    case ColorOutputModes.COMPOSITE_GRAY: return "ColorOutputModes.COMPOSITE_GRAY";
    case ColorOutputModes.COMPOSITE_RGB: return "ColorOutputModes.COMPOSITE_RGB";
    case ColorOutputModes.COMPOSITE_CMYK: return "ColorOutputModes.COMPOSITE_CMYK";
    case ColorOutputModes.SEPARATIONS: return "ColorOutputModes.SEPARATIONS";
    case ColorOutputModes.INRIP_SEPARATIONS: return "ColorOutputModes.INRIP_SEPARATIONS";
    case DataFormat.ASCII: return "DataFormat.ASCII";
    case DataFormat.BINARY: return "DataFormat.BINARY";
    case Flip.NONE: return "Flip.NONE";
    case Flip.HORIZONTAL: return "Flip.HORIZONTAL";
    case Flip.VERTICAL: return "Flip.VERTICAL";
    case Flip.HORIZONTAL_AND_VERTICAL: return "Flip.HORIZONTAL_AND_VERTICAL";
    case Flip.BOTH: return "Flip.BOTH";
    case FontDownloading.NONE: return "FontDownloading.NONE";
    case FontDownloading.COMPLETE: return "FontDownloading.COMPLETE";
    case FontDownloading.SUBSET: return "FontDownloading.SUBSET";
    case FontDownloading.SUBSET_LARGE: return "FontDownloading.SUBSET_LARGE";
    case PagePositions.UPPER_LEFT: return "PagePositions.UPPER_LEFT";
    case PagePositions.CENTER_HORIZONTALLY: return "PagePositions.CENTER_HORIZONTALLY";
    case PagePositions.CENTER_VERTICALLY: return "PagePositions.CENTER_VERTICALLY";
    case PagePositions.CENTERED: return "PagePositions.CENTERED";
    case PostScriptLevels.LEVEL_2: return "PostScriptLevels.LEVEL_2";
    case PostScriptLevels.LEVEL_3: return "PostScriptLevels.LEVEL_3";
    case PrintPageOrientation.PORTRAIT: return "PrintPageOrientation.PORTRAIT";
    case PrintPageOrientation.LANDSCAPE: return "PrintPageOrientation.LANDSCAPE";
    case PrintPageOrientation.REVERSE_PORTRAIT: return "PrintPageOrientation.REVERSE_PORTRAIT";
    case PrintPageOrientation.REVERSE_LANDSCAPE: return "PrintPageOrientation.REVERSE_LANDSCAPE";
    case ImageDataTypes.ALL_IMAGE_DATA: return "ImageDataTypes.ALL_IMAGE_DATA";
    case ImageDataTypes.OPTIMIZED_SUBSAMPLING: return "ImageDataTypes.OPTIMIZED_SUBSAMPLING";
    case ImageDataTypes.PROXY_IMAGE_DATA: return "ImageDataTypes.PROXY_IMAGE_DATA";
    case ImageDataTypes.NONE: return "ImageDataTypes.NONE";
    case Sequences.ALL: return "Sequences.ALL";
    case Sequences.ODD: return "Sequences.ODD";
    case Sequences.EVEN: return "Sequences.EVEN";
    case SourceSpaces.USE_DOCUMENT: return "SourceSpaces.USE_DOCUMENT";
    case SourceSpaces.PROOF_SPACE: return "SourceSpaces.PROOF_SPACE";
    case ThumbsPerPage.K1X2: return "ThumbsPerPage.K1X2";
    case ThumbsPerPage.K2X2: return "ThumbsPerPage.K2X2";
    case ThumbsPerPage.K3X3: return "ThumbsPerPage.K3X3";
    case ThumbsPerPage.K4X4: return "ThumbsPerPage.K4X4";
    case ThumbsPerPage.K5X5: return "ThumbsPerPage.K5X5";
    case ThumbsPerPage.K6X6: return "ThumbsPerPage.K6X6";
    case ThumbsPerPage.K7X7: return "ThumbsPerPage.K7X7";
    case TilingTypes.AUTO: return "TilingTypes.AUTO";
    case TilingTypes.AUTO_JUSTIFIED: return "TilingTypes.AUTO_JUSTIFIED";
    case TilingTypes.MANUAL: return "TilingTypes.MANUAL";
    case Trapping.OFF: return "Trapping.OFF";
    case Trapping.APPLICATION_BUILTIN: return "Trapping.APPLICATION_BUILTIN";
    case Trapping.ADOBE_INRIP: return "Trapping.ADOBE_INRIP";
    case InkTypes.NORMAL: return "InkTypes.NORMAL";
    case InkTypes.OPAQUE: return "InkTypes.OPAQUE";
    case InkTypes.TRANSPARENT: return "InkTypes.TRANSPARENT";
    case InkTypes.OPAQUE_IGNORE: return "InkTypes.OPAQUE_IGNORE";
    case PrinterPresetTypes.DEFAULT_VALUE: return "PrinterPresetTypes.DEFAULT_VALUE";
    case PrinterPresetTypes.CUSTOM: return "PrinterPresetTypes.CUSTOM";
    case ColorRenderingDictionary.DEFAULT_VALUE: return "ColorRenderingDictionary.DEFAULT_VALUE";
    case ColorRenderingDictionary.USE_DOCUMENT: return "ColorRenderingDictionary.USE_DOCUMENT";
    case ColorRenderingDictionary.WORKING: return "ColorRenderingDictionary.WORKING";
    case PageRange.ALL_PAGES: return "PageRange.ALL_PAGES";
    case PageRange.SELECTED_ITEMS: return "PageRange.SELECTED_ITEMS";
    case PaperSize.AUTO: return "PaperSize.AUTO";
    case PPDValues.DEVICE_INDEPENDENT: return "PPDValues.DEVICE_INDEPENDENT";
    case Profile.POSTSCRIPT_CMS: return "Profile.POSTSCRIPT_CMS";
    case Profile.USE_DOCUMENT: return "Profile.USE_DOCUMENT";
    case Profile.WORKING: return "Profile.WORKING";
    case Profile.NO_CMS: return "Profile.NO_CMS";
    case Screeening.DEFAULT_VALUE: return "Screeening.DEFAULT_VALUE";
    case Screeening.CUSTOM: return "Screeening.CUSTOM";
    case PaperSizes.DEFINED_BY_DRIVER: return "PaperSizes.DEFINED_BY_DRIVER";
    case PaperSizes.CUSTOM: return "PaperSizes.CUSTOM";
    case Printer.POSTSCRIPT_FILE: return "Printer.POSTSCRIPT_FILE";
    case TrapImagePlacementTypes.CENTER_EDGES: return "TrapImagePlacementTypes.CENTER_EDGES";
    case TrapImagePlacementTypes.CHOKE: return "TrapImagePlacementTypes.CHOKE";
    case TrapImagePlacementTypes.IMAGE_NEUTRAL_DENSITY: return "TrapImagePlacementTypes.IMAGE_NEUTRAL_DENSITY";
    case TrapImagePlacementTypes.IMAGES_OVER_SPREAD: return "TrapImagePlacementTypes.IMAGES_OVER_SPREAD";
    case TrapEndTypes.MITER_TRAP_ENDS: return "TrapEndTypes.MITER_TRAP_ENDS";
    case TrapEndTypes.OVERLAP_TRAP_ENDS: return "TrapEndTypes.OVERLAP_TRAP_ENDS";
    case EPSImageData.ALL_IMAGE_DATA: return "EPSImageData.ALL_IMAGE_DATA";
    case EPSImageData.PROXY_IMAGE_DATA: return "EPSImageData.PROXY_IMAGE_DATA";
    case BookletTypeOptions.TWO_UP_SADDLE_STITCH: return "BookletTypeOptions.TWO_UP_SADDLE_STITCH";
    case BookletTypeOptions.TWO_UP_PERFECT_BOUND: return "BookletTypeOptions.TWO_UP_PERFECT_BOUND";
    case BookletTypeOptions.TWO_UP_CONSECUTIVE: return "BookletTypeOptions.TWO_UP_CONSECUTIVE";
    case BookletTypeOptions.THREE_UP_CONSECUTIVE: return "BookletTypeOptions.THREE_UP_CONSECUTIVE";
    case BookletTypeOptions.FOUR_UP_CONSECUTIVE: return "BookletTypeOptions.FOUR_UP_CONSECUTIVE";
    case SignatureSizeOptions.SIGNATURE_SIZE_4: return "SignatureSizeOptions.SIGNATURE_SIZE_4";
    case SignatureSizeOptions.SIGNATURE_SIZE_8: return "SignatureSizeOptions.SIGNATURE_SIZE_8";
    case SignatureSizeOptions.SIGNATURE_SIZE_12: return "SignatureSizeOptions.SIGNATURE_SIZE_12";
    case SignatureSizeOptions.SIGNATURE_SIZE_16: return "SignatureSizeOptions.SIGNATURE_SIZE_16";
    case SignatureSizeOptions.SIGNATURE_SIZE_32: return "SignatureSizeOptions.SIGNATURE_SIZE_32";
    case DocumentPrintUiOptions.SUPPRESS_PRINT_PROGRESS: return "DocumentPrintUiOptions.SUPPRESS_PRINT_PROGRESS";
    case DocumentPrintUiOptions.SUPPRESS_PRINT_WARNINGS: return "DocumentPrintUiOptions.SUPPRESS_PRINT_WARNINGS";
    case DocumentPrintUiOptions.SUPPRESS_PRINT_DIALOG: return "DocumentPrintUiOptions.SUPPRESS_PRINT_DIALOG";
    case DocumentPrintUiOptions.SUPPRESS_FILE_SAVE_DIALOG: return "DocumentPrintUiOptions.SUPPRESS_FILE_SAVE_DIALOG";
    case NoteBackgrounds.GALLEY_BACKGROUND_COLOR: return "NoteBackgrounds.GALLEY_BACKGROUND_COLOR";
    case NoteBackgrounds.USE_NOTE_COLOR: return "NoteBackgrounds.USE_NOTE_COLOR";
    case NoteColorChoices.USE_USER_COLOR: return "NoteColorChoices.USE_USER_COLOR";
    case NoteColorChoices.USE_NOTE_PREF_COLOR: return "NoteColorChoices.USE_NOTE_PREF_COLOR";
    case ChangeMarkings.NONE: return "ChangeMarkings.NONE";
    case ChangeMarkings.STRIKETHROUGH: return "ChangeMarkings.STRIKETHROUGH";
    case ChangeMarkings.UNDERLINE_SINGLE: return "ChangeMarkings.UNDERLINE_SINGLE";
    case ChangeMarkings.OUTLINE: return "ChangeMarkings.OUTLINE";
    case ChangebarLocations.LEFT_ALIGN: return "ChangebarLocations.LEFT_ALIGN";
    case ChangebarLocations.RIGHT_ALIGN: return "ChangebarLocations.RIGHT_ALIGN";
    case ChangeTextColorChoices.CHANGE_USES_GALLEY_TEXT_COLOR: return "ChangeTextColorChoices.CHANGE_USES_GALLEY_TEXT_COLOR";
    case ChangeTextColorChoices.CHANGE_USES_CHANGE_PREF_COLOR: return "ChangeTextColorChoices.CHANGE_USES_CHANGE_PREF_COLOR";
    case ChangeBackgroundColorChoices.CHANGE_BACKGROUND_USES_GALLEY_BACKGROUND_COLOR: return "ChangeBackgroundColorChoices.CHANGE_BACKGROUND_USES_GALLEY_BACKGROUND_COLOR";
    case ChangeBackgroundColorChoices.CHANGE_BACKGROUND_USES_USER_COLOR: return "ChangeBackgroundColorChoices.CHANGE_BACKGROUND_USES_USER_COLOR";
    case ChangeBackgroundColorChoices.CHANGE_BACKGROUND_USES_CHANGE_PREF_COLOR: return "ChangeBackgroundColorChoices.CHANGE_BACKGROUND_USES_CHANGE_PREF_COLOR";
    case LockStateValues.NONE: return "LockStateValues.NONE";
    case LockStateValues.UNMANAGED_STORY: return "LockStateValues.UNMANAGED_STORY";
    case LockStateValues.CHECKED_IN_STORY: return "LockStateValues.CHECKED_IN_STORY";
    case LockStateValues.CHECKED_OUT_STORY: return "LockStateValues.CHECKED_OUT_STORY";
    case LockStateValues.LOCKED_STORY: return "LockStateValues.LOCKED_STORY";
    case LockStateValues.EMBEDDED_STORY: return "LockStateValues.EMBEDDED_STORY";
    case LockStateValues.MISSING_LOCK_STATE: return "LockStateValues.MISSING_LOCK_STATE";
    case LockStateValues.MIXED_LOCK_STATE: return "LockStateValues.MIXED_LOCK_STATE";
    case JpegColorSpaceEnum.RGB: return "JpegColorSpaceEnum.RGB";
    case JpegColorSpaceEnum.CMYK: return "JpegColorSpaceEnum.CMYK";
    case JpegColorSpaceEnum.GRAY: return "JpegColorSpaceEnum.GRAY";
    case ExportRangeOrAllPages.EXPORT_RANGE: return "ExportRangeOrAllPages.EXPORT_RANGE";
    case ExportRangeOrAllPages.EXPORT_ALL: return "ExportRangeOrAllPages.EXPORT_ALL";
    case RecordSelection.ALL_RECORDS: return "RecordSelection.ALL_RECORDS";
    case RecordSelection.ONE_RECORD: return "RecordSelection.ONE_RECORD";
    case RecordSelection.RANGE: return "RecordSelection.RANGE";
    case ArrangeBy.ROWS_FIRST: return "ArrangeBy.ROWS_FIRST";
    case ArrangeBy.COLUMNS_FIRST: return "ArrangeBy.COLUMNS_FIRST";
    case RecordsPerPage.SINGLE_RECORD: return "RecordsPerPage.SINGLE_RECORD";
    case RecordsPerPage.MULTIPLE_RECORD: return "RecordsPerPage.MULTIPLE_RECORD";
    case Fitting.PROPORTIONAL: return "Fitting.PROPORTIONAL";
    case Fitting.FIT_CONTENT_TO_FRAME: return "Fitting.FIT_CONTENT_TO_FRAME";
    case Fitting.FIT_FRAME_TO_CONTENT: return "Fitting.FIT_FRAME_TO_CONTENT";
    case Fitting.PRESERVE_SIZES: return "Fitting.PRESERVE_SIZES";
    case Fitting.FILL_PROPORTIONAL: return "Fitting.FILL_PROPORTIONAL";
    case SourceFieldType.TEXT_FIELD: return "SourceFieldType.TEXT_FIELD";
    case SourceFieldType.IMAGE_FIELD: return "SourceFieldType.IMAGE_FIELD";
    case ListType.NO_LIST: return "ListType.NO_LIST";
    case ListType.BULLET_LIST: return "ListType.BULLET_LIST";
    case ListType.NUMBERED_LIST: return "ListType.NUMBERED_LIST";
    case BulletCharacterType.UNICODE_ONLY: return "BulletCharacterType.UNICODE_ONLY";
    case BulletCharacterType.UNICODE_WITH_FONT: return "BulletCharacterType.UNICODE_WITH_FONT";
    case BulletCharacterType.GLYPH_WITH_FONT: return "BulletCharacterType.GLYPH_WITH_FONT";
    case NumberingStyle.UPPER_ROMAN: return "NumberingStyle.UPPER_ROMAN";
    case NumberingStyle.LOWER_ROMAN: return "NumberingStyle.LOWER_ROMAN";
    case NumberingStyle.UPPER_LETTERS: return "NumberingStyle.UPPER_LETTERS";
    case NumberingStyle.LOWER_LETTERS: return "NumberingStyle.LOWER_LETTERS";
    case NumberingStyle.ARABIC: return "NumberingStyle.ARABIC";
    case NumberingStyle.KANJI: return "NumberingStyle.KANJI";
    case NumberingStyle.KATAKANA_MODERN: return "NumberingStyle.KATAKANA_MODERN";
    case NumberingStyle.KATAKANA_TRADITIONAL: return "NumberingStyle.KATAKANA_TRADITIONAL";
    case NumberingStyle.FORMAT_NONE: return "NumberingStyle.FORMAT_NONE";
    case NumberingStyle.SINGLE_LEADING_ZEROS: return "NumberingStyle.SINGLE_LEADING_ZEROS";
    case NumberingStyle.ARABIC_ALIF_BA_TAH: return "NumberingStyle.ARABIC_ALIF_BA_TAH";
    case NumberingStyle.ARABIC_ABJAD: return "NumberingStyle.ARABIC_ABJAD";
    case NumberingStyle.HEBREW_BIBLICAL: return "NumberingStyle.HEBREW_BIBLICAL";
    case NumberingStyle.HEBREW_NON_STANDARD: return "NumberingStyle.HEBREW_NON_STANDARD";
    case NumberingStyle.DOUBLE_LEADING_ZEROS: return "NumberingStyle.DOUBLE_LEADING_ZEROS";
    case NumberingStyle.TRIPLE_LEADING_ZEROS: return "NumberingStyle.TRIPLE_LEADING_ZEROS";
    case RestartPolicy.ANY_PREVIOUS_LEVEL: return "RestartPolicy.ANY_PREVIOUS_LEVEL";
    case RestartPolicy.AFTER_SPECIFIC_LEVEL: return "RestartPolicy.AFTER_SPECIFIC_LEVEL";
    case RestartPolicy.RANGE_OF_LEVELS: return "RestartPolicy.RANGE_OF_LEVELS";
    case ListAlignment.LEFT_ALIGN: return "ListAlignment.LEFT_ALIGN";
    case ListAlignment.CENTER_ALIGN: return "ListAlignment.CENTER_ALIGN";
    case ListAlignment.RIGHT_ALIGN: return "ListAlignment.RIGHT_ALIGN";
    case ChapterNumberSources.USER_DEFINED: return "ChapterNumberSources.USER_DEFINED";
    case ChapterNumberSources.CONTINUE_FROM_PREVIOUS_DOCUMENT: return "ChapterNumberSources.CONTINUE_FROM_PREVIOUS_DOCUMENT";
    case ChapterNumberSources.SAME_AS_PREVIOUS_DOCUMENT: return "ChapterNumberSources.SAME_AS_PREVIOUS_DOCUMENT";
    case CustomLayoutTypeEnum.FLOAT_LEFT: return "CustomLayoutTypeEnum.FLOAT_LEFT";
    case CustomLayoutTypeEnum.FLOAT_RIGHT: return "CustomLayoutTypeEnum.FLOAT_RIGHT";
    case CustomLayoutTypeEnum.ALIGNMENT_AND_SPACING: return "CustomLayoutTypeEnum.ALIGNMENT_AND_SPACING";
    case AssignmentExportOptions.EMPTY_FRAMES: return "AssignmentExportOptions.EMPTY_FRAMES";
    case AssignmentExportOptions.ASSIGNED_SPREADS: return "AssignmentExportOptions.ASSIGNED_SPREADS";
    case AssignmentExportOptions.EVERYTHING: return "AssignmentExportOptions.EVERYTHING";
    case AssignmentStatus.ASSIGNMENT_UP_TO_DATE: return "AssignmentStatus.ASSIGNMENT_UP_TO_DATE";
    case AssignmentStatus.ASSIGNMENT_OUT_OF_DATE: return "AssignmentStatus.ASSIGNMENT_OUT_OF_DATE";
    case AssignmentStatus.ASSIGNMENT_FILE_MISSING: return "AssignmentStatus.ASSIGNMENT_FILE_MISSING";
    case PanningTypes.NO_GREEKING: return "PanningTypes.NO_GREEKING";
    case PanningTypes.GREEK_IMAGES: return "PanningTypes.GREEK_IMAGES";
    case PanningTypes.GREEK_IMAGES_AND_TEXT: return "PanningTypes.GREEK_IMAGES_AND_TEXT";
    case AlignDistributeBounds.ITEM_BOUNDS: return "AlignDistributeBounds.ITEM_BOUNDS";
    case AlignDistributeBounds.PAGE_BOUNDS: return "AlignDistributeBounds.PAGE_BOUNDS";
    case AlignDistributeBounds.MARGIN_BOUNDS: return "AlignDistributeBounds.MARGIN_BOUNDS";
    case AlignDistributeBounds.SPREAD_BOUNDS: return "AlignDistributeBounds.SPREAD_BOUNDS";
    case AlignDistributeBounds.KEY_OBJECT: return "AlignDistributeBounds.KEY_OBJECT";
    case AlignOptions.LEFT_EDGES: return "AlignOptions.LEFT_EDGES";
    case AlignOptions.TOP_EDGES: return "AlignOptions.TOP_EDGES";
    case AlignOptions.RIGHT_EDGES: return "AlignOptions.RIGHT_EDGES";
    case AlignOptions.BOTTOM_EDGES: return "AlignOptions.BOTTOM_EDGES";
    case AlignOptions.HORIZONTAL_CENTERS: return "AlignOptions.HORIZONTAL_CENTERS";
    case AlignOptions.VERTICAL_CENTERS: return "AlignOptions.VERTICAL_CENTERS";
    case DistributeOptions.LEFT_EDGES: return "DistributeOptions.LEFT_EDGES";
    case DistributeOptions.TOP_EDGES: return "DistributeOptions.TOP_EDGES";
    case DistributeOptions.RIGHT_EDGES: return "DistributeOptions.RIGHT_EDGES";
    case DistributeOptions.BOTTOM_EDGES: return "DistributeOptions.BOTTOM_EDGES";
    case DistributeOptions.HORIZONTAL_CENTERS: return "DistributeOptions.HORIZONTAL_CENTERS";
    case DistributeOptions.VERTICAL_CENTERS: return "DistributeOptions.VERTICAL_CENTERS";
    case DistributeOptions.HORIZONTAL_SPACE: return "DistributeOptions.HORIZONTAL_SPACE";
    case DistributeOptions.VERTICAL_SPACE: return "DistributeOptions.VERTICAL_SPACE";
    case SourceType.SOURCE_CUSTOM: return "SourceType.SOURCE_CUSTOM";
    case SourceType.SOURCE_XMP_TITLE: return "SourceType.SOURCE_XMP_TITLE";
    case SourceType.SOURCE_XMP_DESCRIPTION: return "SourceType.SOURCE_XMP_DESCRIPTION";
    case SourceType.SOURCE_XMP_HEADLINE: return "SourceType.SOURCE_XMP_HEADLINE";
    case SourceType.SOURCE_XMP_OTHER: return "SourceType.SOURCE_XMP_OTHER";
    case SourceType.SOURCE_XML_STRUCTURE: return "SourceType.SOURCE_XML_STRUCTURE";
    case TagType.TAG_FROM_STRUCTURE: return "TagType.TAG_FROM_STRUCTURE";
    case TagType.TAG_ARTIFACT: return "TagType.TAG_ARTIFACT";
    case TagType.TAG_BASED_ON_OBJECT: return "TagType.TAG_BASED_ON_OBJECT";
    case ImageFormat.JPEG: return "ImageFormat.JPEG";
    case ImageFormat.GIF: return "ImageFormat.GIF";
    case ImageFormat.PNG: return "ImageFormat.PNG";
    case ImageSizeOption.SIZE_FIXED: return "ImageSizeOption.SIZE_FIXED";
    case ImageSizeOption.SIZE_RELATIVE_TO_PAGE_WIDTH: return "ImageSizeOption.SIZE_RELATIVE_TO_PAGE_WIDTH";
    case ImageResolution.PPI_72: return "ImageResolution.PPI_72";
    case ImageResolution.PPI_96: return "ImageResolution.PPI_96";
    case ImageResolution.PPI_150: return "ImageResolution.PPI_150";
    case ImageResolution.PPI_300: return "ImageResolution.PPI_300";
    case ImageAlignmentType.ALIGN_LEFT: return "ImageAlignmentType.ALIGN_LEFT";
    case ImageAlignmentType.ALIGN_CENTER: return "ImageAlignmentType.ALIGN_CENTER";
    case ImageAlignmentType.ALIGN_RIGHT: return "ImageAlignmentType.ALIGN_RIGHT";
    case ImagePageBreakType.PAGE_BREAK_BEFORE: return "ImagePageBreakType.PAGE_BREAK_BEFORE";
    case ImagePageBreakType.PAGE_BREAK_AFTER: return "ImagePageBreakType.PAGE_BREAK_AFTER";
    case ImagePageBreakType.PAGE_BREAK_BEFORE_AND_AFTER: return "ImagePageBreakType.PAGE_BREAK_BEFORE_AND_AFTER";
    case PerformanceMetricOptions.CPU_TIME: return "PerformanceMetricOptions.CPU_TIME";
    case PerformanceMetricOptions.NUMBER_OF_THREADS: return "PerformanceMetricOptions.NUMBER_OF_THREADS";
    case PerformanceMetricOptions.OVERALL_SYSTEM_CPU: return "PerformanceMetricOptions.OVERALL_SYSTEM_CPU";
    case PerformanceMetricOptions.OVERALL_USER_CPU: return "PerformanceMetricOptions.OVERALL_USER_CPU";
    case PerformanceMetricOptions.CORE_ALLOCATION_COUNT: return "PerformanceMetricOptions.CORE_ALLOCATION_COUNT";
    case PerformanceMetricOptions.CORE_MEMORY_SIZE: return "PerformanceMetricOptions.CORE_MEMORY_SIZE";
    case PerformanceMetricOptions.RESIDENT_MEMORY_SIZE: return "PerformanceMetricOptions.RESIDENT_MEMORY_SIZE";
    case PerformanceMetricOptions.VIRTUAL_MEMORY_SIZE: return "PerformanceMetricOptions.VIRTUAL_MEMORY_SIZE";
    case PerformanceMetricOptions.CURRENT_MEMORY_MARK: return "PerformanceMetricOptions.CURRENT_MEMORY_MARK";
    case PerformanceMetricOptions.HANDLE_COUNT: return "PerformanceMetricOptions.HANDLE_COUNT";
    case PerformanceMetricOptions.GDI_OBJECT_COUNT: return "PerformanceMetricOptions.GDI_OBJECT_COUNT";
    case PerformanceMetricOptions.HEAP_ALLOCATIONS: return "PerformanceMetricOptions.HEAP_ALLOCATIONS";
    case PerformanceMetricOptions.HEAP_ALLOCATIONS_PEAK: return "PerformanceMetricOptions.HEAP_ALLOCATIONS_PEAK";
    case PerformanceMetricOptions.MEMORY_PURGE_COUNT: return "PerformanceMetricOptions.MEMORY_PURGE_COUNT";
    case PerformanceMetricOptions.MEMORY_PURGE_TIME: return "PerformanceMetricOptions.MEMORY_PURGE_TIME";
    case PerformanceMetricOptions.BIB_ALLOCATIONS: return "PerformanceMetricOptions.BIB_ALLOCATIONS";
    case PerformanceMetricOptions.BIB_ALLOCATIONS_PEAK: return "PerformanceMetricOptions.BIB_ALLOCATIONS_PEAK";
    case PerformanceMetricOptions.BIB_CACHE: return "PerformanceMetricOptions.BIB_CACHE";
    case PerformanceMetricOptions.BIB_CACHE_PEAK: return "PerformanceMetricOptions.BIB_CACHE_PEAK";
    case PerformanceMetricOptions.PDF_ALLOCACTIONS: return "PerformanceMetricOptions.PDF_ALLOCACTIONS";
    case PerformanceMetricOptions.PDF_ALLOCACTIONS_PEAK: return "PerformanceMetricOptions.PDF_ALLOCACTIONS_PEAK";
    case PerformanceMetricOptions.IMAGE_CACHE_ALLOCATIONS: return "PerformanceMetricOptions.IMAGE_CACHE_ALLOCATIONS";
    case PerformanceMetricOptions.IMAGE_CACHE_ALLOCATIONS_PEAK: return "PerformanceMetricOptions.IMAGE_CACHE_ALLOCATIONS_PEAK";
    case PerformanceMetricOptions.IMAGE_CACHE_FILE_BYTES_READ: return "PerformanceMetricOptions.IMAGE_CACHE_FILE_BYTES_READ";
    case PerformanceMetricOptions.IMAGE_CACHE_FILE_BYTES_WRITTEN: return "PerformanceMetricOptions.IMAGE_CACHE_FILE_BYTES_WRITTEN";
    case PerformanceMetricOptions.IMAGE_CACHE_FILE_READ_TIME: return "PerformanceMetricOptions.IMAGE_CACHE_FILE_READ_TIME";
    case PerformanceMetricOptions.IMAGE_CACHE_FILE_WRITE_TIME: return "PerformanceMetricOptions.IMAGE_CACHE_FILE_WRITE_TIME";
    case PerformanceMetricOptions.VXFERALLOC: return "PerformanceMetricOptions.VXFERALLOC";
    case PerformanceMetricOptions.VXFERALLOCPEAK: return "PerformanceMetricOptions.VXFERALLOCPEAK";
    case PerformanceMetricOptions.VXFERBYTESREAD: return "PerformanceMetricOptions.VXFERBYTESREAD";
    case PerformanceMetricOptions.VXFERBYTESWRITTEN: return "PerformanceMetricOptions.VXFERBYTESWRITTEN";
    case PerformanceMetricOptions.VXFERREADTIME: return "PerformanceMetricOptions.VXFERREADTIME";
    case PerformanceMetricOptions.VXFERWRITETIME: return "PerformanceMetricOptions.VXFERWRITETIME";
    case PerformanceMetricOptions.VXFERFILEBYTESREAD: return "PerformanceMetricOptions.VXFERFILEBYTESREAD";
    case PerformanceMetricOptions.VXFERFILEBYTESWRITTEN: return "PerformanceMetricOptions.VXFERFILEBYTESWRITTEN";
    case PerformanceMetricOptions.PROCESS_IO_BYTES_READ: return "PerformanceMetricOptions.PROCESS_IO_BYTES_READ";
    case PerformanceMetricOptions.PROCESS_IO_BYTES_WRITTEN: return "PerformanceMetricOptions.PROCESS_IO_BYTES_WRITTEN";
    case PerformanceMetricOptions.AGMXSHOWTIME: return "PerformanceMetricOptions.AGMXSHOWTIME";
    case PerformanceMetricOptions.DATABASE_FILE_BYTES_READ: return "PerformanceMetricOptions.DATABASE_FILE_BYTES_READ";
    case PerformanceMetricOptions.DATABASE_FILE_BYTES_WRITTEN: return "PerformanceMetricOptions.DATABASE_FILE_BYTES_WRITTEN";
    case PerformanceMetricOptions.DATABASE_FILE_READ_TIME: return "PerformanceMetricOptions.DATABASE_FILE_READ_TIME";
    case PerformanceMetricOptions.DATABASE_FILE_WRITE_TIME: return "PerformanceMetricOptions.DATABASE_FILE_WRITE_TIME";
    case PerformanceMetricOptions.DROP_SHADOW_MEMORY_READ_TIME: return "PerformanceMetricOptions.DROP_SHADOW_MEMORY_READ_TIME";
    case PerformanceMetricOptions.DROP_SHADOW_MEMORY_READ_BYTES: return "PerformanceMetricOptions.DROP_SHADOW_MEMORY_READ_BYTES";
    case PerformanceMetricOptions.DROP_SHADOW_MEMORY_WRITE_TIME: return "PerformanceMetricOptions.DROP_SHADOW_MEMORY_WRITE_TIME";
    case PerformanceMetricOptions.DROP_SHADOW_MEMORY_WRITE_BYTES: return "PerformanceMetricOptions.DROP_SHADOW_MEMORY_WRITE_BYTES";
    case PerformanceMetricOptions.DROP_SHADOW_FILE_READ_TIME: return "PerformanceMetricOptions.DROP_SHADOW_FILE_READ_TIME";
    case PerformanceMetricOptions.DROP_SHADOW_FILE_READ_BYTES: return "PerformanceMetricOptions.DROP_SHADOW_FILE_READ_BYTES";
    case PerformanceMetricOptions.DROP_SHADOW_FILE_WRITE_TIME: return "PerformanceMetricOptions.DROP_SHADOW_FILE_WRITE_TIME";
    case PerformanceMetricOptions.DROP_SHADOW_FILE_WRITE_BYTES: return "PerformanceMetricOptions.DROP_SHADOW_FILE_WRITE_BYTES";
    case PerformanceMetricOptions.CHANGE_MANAGER_UPDATE_CALL_COUNT: return "PerformanceMetricOptions.CHANGE_MANAGER_UPDATE_CALL_COUNT";
    case PerformanceMetricOptions.CHANGE_MANAGER_UPDATE_CALL_TIME: return "PerformanceMetricOptions.CHANGE_MANAGER_UPDATE_CALL_TIME";
    case PerformanceMetricOptions.SNAPSHOT_COUNT: return "PerformanceMetricOptions.SNAPSHOT_COUNT";
    case PerformanceMetricOptions.GALLEY_COMPOSITION_TIME: return "PerformanceMetricOptions.GALLEY_COMPOSITION_TIME";
    case PerformanceMetricOptions.LAYOUT_COMPOSITION_TIME: return "PerformanceMetricOptions.LAYOUT_COMPOSITION_TIME";
    case PerformanceMetricOptions.GALLEY_COMPOSITION_COUNT: return "PerformanceMetricOptions.GALLEY_COMPOSITION_COUNT";
    case PerformanceMetricOptions.LAYOUT_COMPOSITION_COUNT: return "PerformanceMetricOptions.LAYOUT_COMPOSITION_COUNT";
    case PerformanceMetricOptions.DRAW_MANAGER_DRAW_TIME: return "PerformanceMetricOptions.DRAW_MANAGER_DRAW_TIME";
    case PerformanceMetricOptions.DRAW_MANAGER_NUMBER_OF_INTERRUPTS: return "PerformanceMetricOptions.DRAW_MANAGER_NUMBER_OF_INTERRUPTS";
    case PerformanceMetricOptions.SNAPSHOT_READ_WRITE_TIME: return "PerformanceMetricOptions.SNAPSHOT_READ_WRITE_TIME";
    case PerformanceMetricOptions.NEW_SNAPSHOT_TIME: return "PerformanceMetricOptions.NEW_SNAPSHOT_TIME";
    case PerformanceMetricOptions.DATABASE_NEW_UID_COUNT: return "PerformanceMetricOptions.DATABASE_NEW_UID_COUNT";
    case PerformanceMetricOptions.DATABASE_INSTANTIATE_COUNT: return "PerformanceMetricOptions.DATABASE_INSTANTIATE_COUNT";
    case PerformanceMetricOptions.INSTANCE_CACHE_PURGE_COUNT: return "PerformanceMetricOptions.INSTANCE_CACHE_PURGE_COUNT";
    case PerformanceMetricOptions.MINISAVE_COUNT: return "PerformanceMetricOptions.MINISAVE_COUNT";
    case PerformanceMetricOptions.XMP_FILTER_TIME: return "PerformanceMetricOptions.XMP_FILTER_TIME";
    case PerformanceMetricOptions.SNAPSHOT_READ_WRITE_BYTE_COUNT: return "PerformanceMetricOptions.SNAPSHOT_READ_WRITE_BYTE_COUNT";
    case PerformanceMetricOptions.DATABASE_FILE_PAGE_READS: return "PerformanceMetricOptions.DATABASE_FILE_PAGE_READS";
    case PerformanceMetricOptions.ATTACHABLE_EVENT_COUNT: return "PerformanceMetricOptions.ATTACHABLE_EVENT_COUNT";
    case PerformanceMetricOptions.ATTACHED_SCRIPTS_COUNT: return "PerformanceMetricOptions.ATTACHED_SCRIPTS_COUNT";
    case PerformanceMetricOptions.DISPATCH_EVENT_TIME: return "PerformanceMetricOptions.DISPATCH_EVENT_TIME";
    case SWFBackgroundOptions.TRANSPARENT_SWF_BACKGROUND: return "SWFBackgroundOptions.TRANSPARENT_SWF_BACKGROUND";
    case SWFBackgroundOptions.PAPER_COLOR: return "SWFBackgroundOptions.PAPER_COLOR";
    case XFLRasterizeFormatOptions.JPEG: return "XFLRasterizeFormatOptions.JPEG";
    case XFLRasterizeFormatOptions.GIF: return "XFLRasterizeFormatOptions.GIF";
    case XFLRasterizeFormatOptions.PNG: return "XFLRasterizeFormatOptions.PNG";
    case XFLRasterizeFormatOptions.AUTOMATIC: return "XFLRasterizeFormatOptions.AUTOMATIC";
    case AnimationEaseOptions.NO_EASE: return "AnimationEaseOptions.NO_EASE";
    case AnimationEaseOptions.EASE_IN: return "AnimationEaseOptions.EASE_IN";
    case AnimationEaseOptions.EASE_OUT: return "AnimationEaseOptions.EASE_OUT";
    case AnimationEaseOptions.EASE_IN_OUT: return "AnimationEaseOptions.EASE_IN_OUT";
    case AnimationEaseOptions.CUSTOM_EASE: return "AnimationEaseOptions.CUSTOM_EASE";
    case DynamicTriggerEvents.ON_PAGE_LOAD: return "DynamicTriggerEvents.ON_PAGE_LOAD";
    case DynamicTriggerEvents.ON_PAGE_CLICK: return "DynamicTriggerEvents.ON_PAGE_CLICK";
    case DynamicTriggerEvents.ON_STATE_LOAD: return "DynamicTriggerEvents.ON_STATE_LOAD";
    case DynamicTriggerEvents.ON_CLICK: return "DynamicTriggerEvents.ON_CLICK";
    case DynamicTriggerEvents.ON_ROLLOVER: return "DynamicTriggerEvents.ON_ROLLOVER";
    case DynamicTriggerEvents.ON_RELEASE: return "DynamicTriggerEvents.ON_RELEASE";
    case DynamicTriggerEvents.ON_ROLLOFF: return "DynamicTriggerEvents.ON_ROLLOFF";
    case DynamicTriggerEvents.ON_SELF_CLICK: return "DynamicTriggerEvents.ON_SELF_CLICK";
    case DynamicTriggerEvents.ON_SELF_ROLLOVER: return "DynamicTriggerEvents.ON_SELF_ROLLOVER";
    case PageTransitionTypeOptions.NONE: return "PageTransitionTypeOptions.NONE";
    case PageTransitionTypeOptions.BLINDS_TRANSITION: return "PageTransitionTypeOptions.BLINDS_TRANSITION";
    case PageTransitionTypeOptions.BOX_TRANSITION: return "PageTransitionTypeOptions.BOX_TRANSITION";
    case PageTransitionTypeOptions.COMB_TRANSITION: return "PageTransitionTypeOptions.COMB_TRANSITION";
    case PageTransitionTypeOptions.COVER_TRANSITION: return "PageTransitionTypeOptions.COVER_TRANSITION";
    case PageTransitionTypeOptions.DISSOLVE_TRANSITION: return "PageTransitionTypeOptions.DISSOLVE_TRANSITION";
    case PageTransitionTypeOptions.FADE_TRANSITION: return "PageTransitionTypeOptions.FADE_TRANSITION";
    case PageTransitionTypeOptions.PAGE_TURN_TRANSITION: return "PageTransitionTypeOptions.PAGE_TURN_TRANSITION";
    case PageTransitionTypeOptions.PUSH_TRANSITION: return "PageTransitionTypeOptions.PUSH_TRANSITION";
    case PageTransitionTypeOptions.SPLIT_TRANSITION: return "PageTransitionTypeOptions.SPLIT_TRANSITION";
    case PageTransitionTypeOptions.UNCOVER_TRANSITION: return "PageTransitionTypeOptions.UNCOVER_TRANSITION";
    case PageTransitionTypeOptions.WIPE_TRANSITION: return "PageTransitionTypeOptions.WIPE_TRANSITION";
    case PageTransitionTypeOptions.ZOOM_IN_TRANSITION: return "PageTransitionTypeOptions.ZOOM_IN_TRANSITION";
    case PageTransitionTypeOptions.ZOOM_OUT_TRANSITION: return "PageTransitionTypeOptions.ZOOM_OUT_TRANSITION";
    case PageTransitionDirectionOptions.NOT_APPLICABLE: return "PageTransitionDirectionOptions.NOT_APPLICABLE";
    case PageTransitionDirectionOptions.DOWN: return "PageTransitionDirectionOptions.DOWN";
    case PageTransitionDirectionOptions.RIGHT_TO_LEFT: return "PageTransitionDirectionOptions.RIGHT_TO_LEFT";
    case PageTransitionDirectionOptions.LEFT_DOWN: return "PageTransitionDirectionOptions.LEFT_DOWN";
    case PageTransitionDirectionOptions.LEFT_UP: return "PageTransitionDirectionOptions.LEFT_UP";
    case PageTransitionDirectionOptions.LEFT_TO_RIGHT: return "PageTransitionDirectionOptions.LEFT_TO_RIGHT";
    case PageTransitionDirectionOptions.RIGHT_DOWN: return "PageTransitionDirectionOptions.RIGHT_DOWN";
    case PageTransitionDirectionOptions.RIGHT_UP: return "PageTransitionDirectionOptions.RIGHT_UP";
    case PageTransitionDirectionOptions.UP: return "PageTransitionDirectionOptions.UP";
    case PageTransitionDirectionOptions.IN: return "PageTransitionDirectionOptions.IN";
    case PageTransitionDirectionOptions.OUT: return "PageTransitionDirectionOptions.OUT";
    case PageTransitionDirectionOptions.HORIZONTAL: return "PageTransitionDirectionOptions.HORIZONTAL";
    case PageTransitionDirectionOptions.VERTICAL: return "PageTransitionDirectionOptions.VERTICAL";
    case PageTransitionDirectionOptions.HORIZONTAL_IN: return "PageTransitionDirectionOptions.HORIZONTAL_IN";
    case PageTransitionDirectionOptions.HORIZONTAL_OUT: return "PageTransitionDirectionOptions.HORIZONTAL_OUT";
    case PageTransitionDirectionOptions.VERTICAL_IN: return "PageTransitionDirectionOptions.VERTICAL_IN";
    case PageTransitionDirectionOptions.VERTICAL_OUT: return "PageTransitionDirectionOptions.VERTICAL_OUT";
    case RasterCompressionOptions.JPEG_COMPRESSION: return "RasterCompressionOptions.JPEG_COMPRESSION";
    case RasterCompressionOptions.LOSSLESS_COMPRESSION: return "RasterCompressionOptions.LOSSLESS_COMPRESSION";
    case RasterCompressionOptions.AUTOMATIC_COMPRESSION: return "RasterCompressionOptions.AUTOMATIC_COMPRESSION";
    case DynamicDocumentsJPEGQualityOptions.MINIMUM: return "DynamicDocumentsJPEGQualityOptions.MINIMUM";
    case DynamicDocumentsJPEGQualityOptions.LOW: return "DynamicDocumentsJPEGQualityOptions.LOW";
    case DynamicDocumentsJPEGQualityOptions.MEDIUM: return "DynamicDocumentsJPEGQualityOptions.MEDIUM";
    case DynamicDocumentsJPEGQualityOptions.HIGH: return "DynamicDocumentsJPEGQualityOptions.HIGH";
    case DynamicDocumentsJPEGQualityOptions.MAXIMUM: return "DynamicDocumentsJPEGQualityOptions.MAXIMUM";
    case DynamicDocumentsTextExportPolicy.LIVE: return "DynamicDocumentsTextExportPolicy.LIVE";
    case DynamicDocumentsTextExportPolicy.RASTERIZE: return "DynamicDocumentsTextExportPolicy.RASTERIZE";
    case DynamicDocumentsTextExportPolicy.VECTORIZE: return "DynamicDocumentsTextExportPolicy.VECTORIZE";
    case DynamicDocumentsTextExportPolicy.TLF: return "DynamicDocumentsTextExportPolicy.TLF";
    case FitMethodSettings.FIT_PREDEFINED_SETTINGS: return "FitMethodSettings.FIT_PREDEFINED_SETTINGS";
    case FitMethodSettings.FIT_GIVEN_WIDTH_AND_HEIGHT: return "FitMethodSettings.FIT_GIVEN_WIDTH_AND_HEIGHT";
    case FitMethodSettings.FIT_GIVEN_SCALE_PERCENTAGE: return "FitMethodSettings.FIT_GIVEN_SCALE_PERCENTAGE";
    case FitDimension.FIT1280X800: return "FitDimension.FIT1280X800";
    case FitDimension.FIT1240X620: return "FitDimension.FIT1240X620";
    case FitDimension.FIT1024X768: return "FitDimension.FIT1024X768";
    case FitDimension.FIT984X588: return "FitDimension.FIT984X588";
    case FitDimension.FIT800X600: return "FitDimension.FIT800X600";
    case FitDimension.FIT760X420: return "FitDimension.FIT760X420";
    case FitDimension.FIT640X480: return "FitDimension.FIT640X480";
    case FitDimension.FIT600X300: return "FitDimension.FIT600X300";
    case PageTransitionDurationOptions.FAST: return "PageTransitionDurationOptions.FAST";
    case PageTransitionDurationOptions.MEDIUM: return "PageTransitionDurationOptions.MEDIUM";
    case PageTransitionDurationOptions.SLOW: return "PageTransitionDurationOptions.SLOW";
    case SWFCurveQualityValue.MINIMUM: return "SWFCurveQualityValue.MINIMUM";
    case SWFCurveQualityValue.LOW: return "SWFCurveQualityValue.LOW";
    case SWFCurveQualityValue.MEDIUM: return "SWFCurveQualityValue.MEDIUM";
    case SWFCurveQualityValue.HIGH: return "SWFCurveQualityValue.HIGH";
    case SWFCurveQualityValue.MAXIMUM: return "SWFCurveQualityValue.MAXIMUM";
    case DynamicMediaHandlingOptions.INCLUDE_ALL_MEDIA: return "DynamicMediaHandlingOptions.INCLUDE_ALL_MEDIA";
    case DynamicMediaHandlingOptions.APPEARANCE_ONLY: return "DynamicMediaHandlingOptions.APPEARANCE_ONLY";
    case DesignOptions.FROM_CURRENT_APPEARANCE: return "DesignOptions.FROM_CURRENT_APPEARANCE";
    case DesignOptions.TO_CURRENT_APPEARANCE: return "DesignOptions.TO_CURRENT_APPEARANCE";
    case DesignOptions.TO_CURRENT_LOCATION: return "DesignOptions.TO_CURRENT_LOCATION";
    case ConditionIndicatorMethod.USE_UNDERLINE: return "ConditionIndicatorMethod.USE_UNDERLINE";
    case ConditionIndicatorMethod.USE_HIGHLIGHT: return "ConditionIndicatorMethod.USE_HIGHLIGHT";
    case ConditionUnderlineIndicatorAppearance.WAVY: return "ConditionUnderlineIndicatorAppearance.WAVY";
    case ConditionUnderlineIndicatorAppearance.SOLID: return "ConditionUnderlineIndicatorAppearance.SOLID";
    case ConditionUnderlineIndicatorAppearance.DASHED: return "ConditionUnderlineIndicatorAppearance.DASHED";
    case ConditionIndicatorMode.SHOW_INDICATORS: return "ConditionIndicatorMode.SHOW_INDICATORS";
    case ConditionIndicatorMode.SHOW_AND_PRINT_INDICATORS: return "ConditionIndicatorMode.SHOW_AND_PRINT_INDICATORS";
    case ConditionIndicatorMode.HIDE_INDICATORS: return "ConditionIndicatorMode.HIDE_INDICATORS";
    case SmoothScrollingOptions.NO_SMOOTH_SCROLL: return "SmoothScrollingOptions.NO_SMOOTH_SCROLL";
    case SmoothScrollingOptions.VERTICAL: return "SmoothScrollingOptions.VERTICAL";
    case SmoothScrollingOptions.HORIZONTAL: return "SmoothScrollingOptions.HORIZONTAL";
    case SmoothScrollingOptions.VERTICAL_AND_HORIZONTAL: return "SmoothScrollingOptions.VERTICAL_AND_HORIZONTAL";
    case FolioOrientationOptions.PORTRAIT: return "FolioOrientationOptions.PORTRAIT";
    case FolioOrientationOptions.LANDSCAPE: return "FolioOrientationOptions.LANDSCAPE";
    case FolioOrientationOptions.PORTRAIT_AND_LANDSCAPE: return "FolioOrientationOptions.PORTRAIT_AND_LANDSCAPE";
    case FolioOrientationOptions.AUTO: return "FolioOrientationOptions.AUTO";
    case FolioBindingDirectionOptions.LEFT: return "FolioBindingDirectionOptions.LEFT";
    case FolioBindingDirectionOptions.RIGHT: return "FolioBindingDirectionOptions.RIGHT";
    case DigpubVersion.ALL: return "DigpubVersion.ALL";
    case DigpubVersion.PLUGIN: return "DigpubVersion.PLUGIN";
    case DigpubVersion.FOLIO: return "DigpubVersion.FOLIO";
    case DigpubVersion.PLIST: return "DigpubVersion.PLIST";
    case AttachedDevices.ALL: return "AttachedDevices.ALL";
    case AttachedDevices.ANDROID: return "AttachedDevices.ANDROID";
    case AttachedDevices.IOS: return "AttachedDevices.IOS";
    case DigpubArticleVersion.ALL: return "DigpubArticleVersion.ALL";
    case DigpubArticleVersion.PLUGIN: return "DigpubArticleVersion.PLUGIN";
    case DigpubArticleVersion.ARTICLE: return "DigpubArticleVersion.ARTICLE";
    case ExportOrder.LAYOUT_ORDER: return "ExportOrder.LAYOUT_ORDER";
    case ExportOrder.ARTICLE_PANEL_ORDER: return "ExportOrder.ARTICLE_PANEL_ORDER";
    case ExportOrder.XML_STRUCTURE_ORDER: return "ExportOrder.XML_STRUCTURE_ORDER";
    case EpubCover.NONE: return "EpubCover.NONE";
    case EpubCover.FIRST_PAGE: return "EpubCover.FIRST_PAGE";
    case EpubCover.EXTERNAL_IMAGE: return "EpubCover.EXTERNAL_IMAGE";
    case BulletListExportOption.UNORDERED_LIST: return "BulletListExportOption.UNORDERED_LIST";
    case BulletListExportOption.AS_TEXT: return "BulletListExportOption.AS_TEXT";
    case NumberedListExportOption.ORDERED_LIST: return "NumberedListExportOption.ORDERED_LIST";
    case NumberedListExportOption.STATIC_ORDERED_LIST: return "NumberedListExportOption.STATIC_ORDERED_LIST";
    case NumberedListExportOption.AS_TEXT: return "NumberedListExportOption.AS_TEXT";
    case StyleSheetExportOption.NONE: return "StyleSheetExportOption.NONE";
    case StyleSheetExportOption.EMBEDDED_CSS: return "StyleSheetExportOption.EMBEDDED_CSS";
    case StyleSheetExportOption.STYLE_NAME_ONLY: return "StyleSheetExportOption.STYLE_NAME_ONLY";
    case StyleSheetExportOption.EXTERNAL_CSS: return "StyleSheetExportOption.EXTERNAL_CSS";
    case ImageExportOption.ORIGINAL_IMAGE: return "ImageExportOption.ORIGINAL_IMAGE";
    case ImageExportOption.OPTIMIZED_IMAGE: return "ImageExportOption.OPTIMIZED_IMAGE";
    case ImageExportOption.LINK_TO_SERVER: return "ImageExportOption.LINK_TO_SERVER";
    case ParagraphDirectionOptions.LEFT_TO_RIGHT_DIRECTION: return "ParagraphDirectionOptions.LEFT_TO_RIGHT_DIRECTION";
    case ParagraphDirectionOptions.RIGHT_TO_LEFT_DIRECTION: return "ParagraphDirectionOptions.RIGHT_TO_LEFT_DIRECTION";
    case ParagraphJustificationOptions.DEFAULT_JUSTIFICATION: return "ParagraphJustificationOptions.DEFAULT_JUSTIFICATION";
    case ParagraphJustificationOptions.ARABIC_JUSTIFICATION: return "ParagraphJustificationOptions.ARABIC_JUSTIFICATION";
    case ParagraphJustificationOptions.NASKH_JUSTIFICATION: return "ParagraphJustificationOptions.NASKH_JUSTIFICATION";
    case CharacterDirectionOptions.DEFAULT_DIRECTION: return "CharacterDirectionOptions.DEFAULT_DIRECTION";
    case CharacterDirectionOptions.LEFT_TO_RIGHT_DIRECTION: return "CharacterDirectionOptions.LEFT_TO_RIGHT_DIRECTION";
    case CharacterDirectionOptions.RIGHT_TO_LEFT_DIRECTION: return "CharacterDirectionOptions.RIGHT_TO_LEFT_DIRECTION";
    case DigitsTypeOptions.DEFAULT_DIGITS: return "DigitsTypeOptions.DEFAULT_DIGITS";
    case DigitsTypeOptions.ARABIC_DIGITS: return "DigitsTypeOptions.ARABIC_DIGITS";
    case DigitsTypeOptions.HINDI_DIGITS: return "DigitsTypeOptions.HINDI_DIGITS";
    case DigitsTypeOptions.FARSI_DIGITS: return "DigitsTypeOptions.FARSI_DIGITS";
    case DigitsTypeOptions.NATIVE_DIGITS: return "DigitsTypeOptions.NATIVE_DIGITS";
    case DigitsTypeOptions.FULL_FARSI_DIGITS: return "DigitsTypeOptions.FULL_FARSI_DIGITS";
    case DigitsTypeOptions.THAI_DIGITS: return "DigitsTypeOptions.THAI_DIGITS";
    case DigitsTypeOptions.LAO_DIGITS: return "DigitsTypeOptions.LAO_DIGITS";
    case DigitsTypeOptions.DEVANAGARI_DIGITS: return "DigitsTypeOptions.DEVANAGARI_DIGITS";
    case DigitsTypeOptions.BENGALI_DIGITS: return "DigitsTypeOptions.BENGALI_DIGITS";
    case DigitsTypeOptions.GURMUKHI_DIGITS: return "DigitsTypeOptions.GURMUKHI_DIGITS";
    case DigitsTypeOptions.GUJARATI_DIGITS: return "DigitsTypeOptions.GUJARATI_DIGITS";
    case DigitsTypeOptions.ORIYA_DIGITS: return "DigitsTypeOptions.ORIYA_DIGITS";
    case DigitsTypeOptions.TAMIL_DIGITS: return "DigitsTypeOptions.TAMIL_DIGITS";
    case DigitsTypeOptions.TELUGU_DIGITS: return "DigitsTypeOptions.TELUGU_DIGITS";
    case DigitsTypeOptions.KANNADA_DIGITS: return "DigitsTypeOptions.KANNADA_DIGITS";
    case DigitsTypeOptions.MALAYALAM_DIGITS: return "DigitsTypeOptions.MALAYALAM_DIGITS";
    case DigitsTypeOptions.TIBETAN_DIGITS: return "DigitsTypeOptions.TIBETAN_DIGITS";
    case DigitsTypeOptions.KHMER_DIGITS: return "DigitsTypeOptions.KHMER_DIGITS";
    case DigitsTypeOptions.BURMESE_DIGITS: return "DigitsTypeOptions.BURMESE_DIGITS";
    case KashidasOptions.DEFAULT_KASHIDAS: return "KashidasOptions.DEFAULT_KASHIDAS";
    case KashidasOptions.KASHIDAS_OFF: return "KashidasOptions.KASHIDAS_OFF";
    case DiacriticPositionOptions.DEFAULT_POSITION: return "DiacriticPositionOptions.DEFAULT_POSITION";
    case DiacriticPositionOptions.LOOSE_POSITION: return "DiacriticPositionOptions.LOOSE_POSITION";
    case DiacriticPositionOptions.MEDIUM_POSITION: return "DiacriticPositionOptions.MEDIUM_POSITION";
    case DiacriticPositionOptions.TIGHT_POSITION: return "DiacriticPositionOptions.TIGHT_POSITION";
    case DiacriticPositionOptions.OPENTYPE_POSITION: return "DiacriticPositionOptions.OPENTYPE_POSITION";
    case TableDirectionOptions.LEFT_TO_RIGHT_DIRECTION: return "TableDirectionOptions.LEFT_TO_RIGHT_DIRECTION";
    case TableDirectionOptions.RIGHT_TO_LEFT_DIRECTION: return "TableDirectionOptions.RIGHT_TO_LEFT_DIRECTION";
    // --- END ENUM ---
    default: return null;
  }
}
